/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.casedesigninfo.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.casedesigninfo.entity.CaseDesignInfo;
import com.jeeplus.modules.casedesigninfo.dao.CaseDesignInfoDao;

/**
 * 案例-设计单位Service
 * @author fgy
 * @version 2018-01-24
 */
@Service
@Transactional(readOnly = true)
public class CaseDesignInfoService extends CrudService<CaseDesignInfoDao, CaseDesignInfo> {

	public CaseDesignInfo get(String id) {
		return super.get(id);
	}
	
	public List<CaseDesignInfo> findList(CaseDesignInfo caseDesignInfo) {
		return super.findList(caseDesignInfo);
	}
	
	public Page<CaseDesignInfo> findPage(Page<CaseDesignInfo> page, CaseDesignInfo caseDesignInfo) {
		return super.findPage(page, caseDesignInfo);
	}
	
	@Transactional(readOnly = false)
	public void save(CaseDesignInfo caseDesignInfo) {
		super.save(caseDesignInfo);
	}
	
	@Transactional(readOnly = false)
	public void delete(CaseDesignInfo caseDesignInfo) {
		super.delete(caseDesignInfo);
	}
	
	
	
	
}