/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oa.dao;

import java.util.List;
import java.util.Map;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.oa.entity.OaAttendanceRule;

/**
 * 考勤规则DAO接口
 * @author 孟祥越
 * @version 2017-05-10
 */
@MyBatisDao
public interface OaAttendanceRuleDao extends CrudDao<OaAttendanceRule> {

	List<OaAttendanceRule> findListByCompany(OaAttendanceRule or);

	/**
	 *	查询规则
	 * @param map
	 */
	public OaAttendanceRule queryRuleByCompanyIdAndRuleId(Map<Object,Object> map);


	
}