/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreimbursement.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workreimbursement.entity.WorkAccount;
import com.jeeplus.modules.workreimbursement.entity.WorkAccountAudit;

import java.util.List;

/**
 * 财务报销DAO接口
 * @author 孟祥越
 * @version 2017-05-02
 */
@MyBatisDao
public interface WorkAccountDao extends CrudDao<WorkAccount> {
    public int deleteAudits(WorkAccount workAccount);
    public int insertAudits(WorkAccount workAccount);
    public List<WorkAccountAudit> findByWorkAccount(WorkAccount workAccount);
}