
accessid= 'LTAIi7VuxcgfJR2x';
accesskey= 'Q9xF9V7tcnCI28ttUsP8H4GyAhZta7';
host = 'http://gangwan-app.oss-cn-hangzhou.aliyuncs.com';

g_dirname = ''
g_object_name = ''
g_object_name_type = ''
now = timestamp = Date.parse(new Date()) / 1000;

var policyText = {
    "expiration": "2020-01-01T12:00:00.000Z", //设置该Policy的失效时间，超过这个失效时间之后，就没有办法通过这个policy上传文件了
    "conditions": [
    ["content-length-range", 0, 1048576000] // 设置上传文件的大小限制
    ]
};
//oss API签名计算方式
var pt = "POST\n" +
         "Thu, 17 Nov 2005 18:49:58 GMT\n" +
         "/gangwan-app/ObjectName?uploads";
// 直接上传文件的签名计算方式
var policyBase64 = Base64.encode(JSON.stringify(policyText))
message = policyBase64
var bytes = Crypto.HMAC(Crypto.SHA1, message, accesskey, { asBytes: true }) ;
var signature = Crypto.util.bytesToBase64(bytes);
// $(function(){
//     $.ajax({
//         type:'post',
//         headers: {
//             // "Date": new Date().toUTCString(),
//             'Authorization':"OSS " + accesskey +":" + signature,
//             "Access-Control-Allow-Origin":"*"
//         },
//         url:host,
//         success:function(data){
//             console.log(data);
//         }
//     });
// })

function check_object_radio() {
    var tt = document.getElementsByName('myradio');
    for (var i = 0; i < tt.length ; i++ )
    {
        if(tt[i].checked)
        {
            g_object_name_type = tt[i].value;
            break;
        }
    }
}

function get_dirname()
{
    dir = document.getElementById("dirname").value;
    if (dir != '' && dir.indexOf('/') != dir.length - 1)
    {
        dir = dir + '/'
    }
    //alert(dir)
    g_dirname = dir
}

/**
 * 生成随机字符串 (作为文件名)
 * @param len
 * @returns {string}
 */
function random_string(len) {
　　len = len || 32;
　　var chars = 'ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz2345678';   
　　var maxPos = chars.length;
　　var pwd = '';
　　for (i = 0; i < len; i++) {
    　　pwd += chars.charAt(Math.floor(Math.random() * maxPos));
    }
    return pwd;
}

/**
 * 获取文件后缀
 * @param filename
 * @returns {string}
 */
function get_suffix(filename) {
    pos = filename.lastIndexOf('.')
    suffix = ''
    if (pos != -1) {
        suffix = filename.substring(pos)
    }
    return suffix;
}

function calculate_object_name(filename)
{
    if (g_object_name_type == 'local_name')
    {
        g_object_name += "${filename}"
    }
    else if (g_object_name_type == 'random_name')
    {
        suffix = get_suffix(filename)
        g_object_name = g_dirname + random_string(10) + suffix
    }
    return ''
}

/**
 * 上传的文件名是自定义还是随机名称
 * @param filename
 * @returns {*}
 */
function get_uploaded_object_name(filename)
{
    if (g_object_name_type == 'local_name')
    {
        tmp_name = g_object_name
        tmp_name = tmp_name.replace("${filename}", filename);
        return tmp_name
    }
    else if(g_object_name_type == 'random_name')
    {
        return g_object_name
    }
}



/**
 * 设置上传的参数
 * @param up
 * @param filename
 * @param ret
 */
function set_upload_param(up, filename, ret)
{
    g_object_name = g_dirname;
    if (filename != '') {
        suffix = get_suffix(filename)
        calculate_object_name(filename)
    }
    new_multipart_params = {
        'key' : g_object_name,
        'policy': policyBase64,
        'OSSAccessKeyId': accessid, 
        'success_action_status' : '200', //让服务端返回200,不然，默认会返回204
        'signature': signature,
    };

    up.setOption({
        'url': host,
        'multipart_params': new_multipart_params
    });

    up.start();
}
function stop_upload(up){
    up.stop();
}


var uploader = new plupload.Uploader({
	runtimes : 'html5,flash,silverlight,html4',
	browse_button : 'selectfiles', 
    multi_selection: false,  //是否可以选择多个文件
	container: document.getElementById('container'),
	flash_swf_url : 'lib/plupload-2.3.6/js/Moxie.swf',
	silverlight_xap_url : 'lib/plupload-2.3.6/js/Moxie.xap',
    // url : 'http://oss.aliyuncs.com',
    url : 'http://gangwan-app.oss-cn-hangzhou.aliyuncs.com',
    chunk_size:"10mb",

	init: {
		PostInit: function() {
			document.getElementById('ossfile').innerHTML = '';
			document.getElementById('postfiles').onclick = function() {
            set_upload_param(uploader, '', false);
            return false;
			};
		},

        Browse: function(up) {
            // Called when file picker is clicked
            log('[Browse]');
        },

        Refresh: function(up) {
            // Called when the position or dimensions of the picker change
            log('[Refresh]');
        },

		FilesAdded: function(up, files) {
			plupload.each(files, function(file) {
				document.getElementById('ossfile').innerHTML += '<div id="' + file.id + '">' + file.name + ' (' + plupload.formatSize(file.size) + ')<b></b>'
				+'<div class="progress"><div class="progress-bar" style="width: 0%"></div></div>'
				+'</div>';
			});
		},

        StateChanged: function(up) {
            // Called when the state of the queue is changed
            log('[StateChanged]', up.state == plupload.STARTED ? "STARTED" : "STOPPED");
            document.getElementById('stopfile').onclick = function() {
                stop_upload(uploader);
                return false;
            };
            document.getElementById('startfile').onclick = function() {
                up.start();
                return false;
            };
        },

        QueueChanged: function(up) {
            // Called when queue is changed by adding or removing files
            log('[QueueChanged]');
        },

        OptionChanged: function(up, name, value, oldValue) {
            // Called when one of the configuration options is changed
            log('[OptionChanged]', 'Option Name: ', name, 'Value: ', value, 'Old Value: ', oldValue);
        },

		BeforeUpload: function(up, file) {
            check_object_radio();
            get_dirname();
            set_upload_param(up, file.name, true);
        },

		UploadProgress: function(up, file) {
			var d = document.getElementById(file.id);
			d.getElementsByTagName('b')[0].innerHTML = '<span>' + file.percent + "%</span>";
            var prog = d.getElementsByTagName('div')[0];
			var progBar = prog.getElementsByTagName('div')[0]
			progBar.style.width= 2*file.percent+'px';
			progBar.setAttribute('aria-valuenow', file.percent);
		},

        FileFiltered: function(up, file) {
            // Called when file successfully files all the filters
            log('[FileFiltered]', 'File:', file);
        },

        FilesRemoved: function(up, files) {
            // Called when files are removed from queue
            log('[FilesRemoved]');

            plupload.each(files, function(file) {
                log('  File:', file);
            });
        },

		FileUploaded: function(up, file, info) {
            if (info.status == 200)
            {
                document.getElementById(file.id).getElementsByTagName('b')[0].innerHTML = 'upload to oss success, object name:' + get_uploaded_object_name(file.name);
            }
            else
            {
                document.getElementById(file.id).getElementsByTagName('b')[0].innerHTML = info.response;
            } 
		},

        ChunkUploaded: function(up, file, info) {
            // Called when file chunk has finished uploading
            log('[ChunkUploaded] File:', file, "Info:", info);
        },

        UploadComplete: function(up, files) {
            // Called when all files are either uploaded or failed
            log('[UploadComplete]');
        },

        Destroy: function(up) {
            // Called when uploader is destroyed
            log('[Destroy] ');
        },

		Error: function(up, err) {
			document.getElementById('console').appendChild(document.createTextNode("\nError xml:" + err.response));
		}
	}
});

uploader.init();
function log() {
    var str = "";

    plupload.each(arguments, function(arg) {
        var row = "";

        if (typeof(arg) != "string") {
            plupload.each(arg, function(value, key) {
                // Convert items in File objects to human readable form
                if (arg instanceof plupload.File) {
                    // Convert status to human readable
                    switch (value) {
                        case plupload.QUEUED:
                            value = 'QUEUED';
                            break;

                        case plupload.UPLOADING:
                            value = 'UPLOADING';
                            break;

                        case plupload.FAILED:
                            value = 'FAILED';
                            break;

                        case plupload.DONE:
                            value = 'DONE';
                            break;
                    }
                }

                if (typeof(value) != "function") {
                    row += (row ? ', ' : '') + key + '=' + value;
                }
            });

            str += row + " ";
        } else {
            str += arg + " ";
        }
    });

    var log = document.getElementById('console');
    log.innerHTML += str + "\n";
}

/**
 * 转换GMT时间格式
 * @param strDate
 * @returns {string}
 */
function getTaskTime(strDate) {
    var date = new Date(strDate);
    var y = date.getFullYear();
    var m = date.getMonth() + 1;
    m = m < 10 ? ('0' + m) : m;
    var d = date.getDate();
    d = d < 10 ? ('0' + d) : d;
    var h = date.getHours();
    var minute = date.getMinutes();
    minute = minute < 10 ? ('0' + minute) : minute;
    var str = y+"-"+m+"-"+d+" "+h+":"+minute;
    return str;
};

/**
 * 获取当前时间
 * @returns {string}
 */
function getNowFormatDate() {
    var date = new Date();
    var seperator1 = "-";
    var seperator2 = ":";
    var month = date.getMonth() + 1;
    var strDate = date.getDate();
    if (month >= 1 && month <= 9) {
        month = "0" + month;
    }
    if (strDate >= 0 && strDate <= 9) {
        strDate = "0" + strDate;
    }
    var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate
        + " " + date.getHours() + seperator2 + date.getMinutes()
        + seperator2 + date.getSeconds();
    return currentdate;
}

function dateToGMT(strDate){
    var dateStr=strDate.split(" ");
    var strGMT = dateStr[0]+" "+dateStr[1]+" "+dateStr[2]+" "+dateStr[5]+" "+dateStr[3]+" GMT+0800";
    var date = new Date(Date.parse(strGMT));
    return date;
}