<%@ page import="com.jeeplus.modules.sys.utils.UserUtils" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>案例详情管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});

	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<%--<div class="ibox-title">
		<h5>
			企业案例库
		</h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>--%>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="caseInfo" action="${ctx}/caseinfo/caseInfo/allList" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
		<div class="form-group">
			<span>案例名称：</span>
				<form:input path="name" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
		 </div>
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th style="text-align: center;width: 13%"  class="">所属项目</th>
				<th style="text-align: center;width: 13%"  class="">案例名称(分部分项)</th>
				<th style="text-align: center;width: 13%"  class="">案例类别</th>
				<th style="text-align: center;width: 8%"  class="sort-column startDate">施工时间</th>
				<th style="text-align: center;width: 8%"  class=" ">工程所在地</th>
				<th style="text-align: center;width: 15%"  class="">案例分享公司</th>
				<th style="text-align: center;width: 8%">创建人</th>
				<th style="text-align: center;width: 8%">审核人</th>
				<th style="text-align: center;width: 8%"  class="">案例类型</th>
				<%--<th  class="sort-column endDate">竣工日期</th>--%>
			</tr>
		</thead>
		<tbody>
		<c:choose>
			<c:when test="${not empty page.list}">
		<c:forEach items="${page.list}" var="caseInfo">
			<%--<c:set var="Sid" scope="session" value="<%= UserUtils.getUser().getId()%>"/>
			<c:set var="rname" scope="session" value="<%= UserUtils.getSelectRole().get(0).getName()%>"/>--%>
			<tr>
				<%--<td> <input type="checkbox" id="${caseInfo.id}" class="i-checks"></td>--%>
				<td>
					<c:choose>
						<c:when test="${caseInfo.ext == 1}">
							${fns:abbr(caseInfo.contractName,30)}
						</c:when>
						<c:otherwise>
							${fns:abbr(caseInfo.project.projectName,30)}
						</c:otherwise>
					</c:choose>
				</td>
				<td>
					<c:choose>
						<c:when test="${caseInfo.shareStatus == 1}">
							<a  href="javascript:void(0)" onclick="openDialogView('查看案例详情', '${ctx}/caseinfo/caseInfo/form?id=${caseInfo.id}&tabId=0','80%','80%')">
									${caseInfo.name}
							</a>
						</c:when>
						<c:otherwise>
							${caseInfo.name}
						</c:otherwise>
					</c:choose>
				</td>
				<td>
						${caseInfo.caseCategory.name}
				</td>
				<td>
					<fmt:formatDate value="${caseInfo.startDate}" pattern="yyyy-MM-dd"/>
				</td>
				<%--<td>
					<fmt:formatDate value="${caseInfo.endDate}" pattern="yyyy-MM-dd"/>
				</td>--%>
				<td>
					${caseInfo.area.name}
				</td>
				<td>
					${caseInfo.companyName}
				</td>
				<td>
					${caseInfo.createBy.name}
				</td>
				<td>
					<c:choose>
						<c:when test="${caseInfo.status == 1 or caseInfo.status == 2}">
							未审核
						</c:when>
						<c:otherwise>
							${caseInfo.updateBy.name}
						</c:otherwise>
					</c:choose>
				</td>
				<td>
						${fns:getDictLabel(caseInfo.shareStatus, 'share_status', '')}
				</td>
			</tr>
		</c:forEach>
		</c:when>
		<c:otherwise>
			<tr>
				<td colspan="15" align="center">
					暂无数据
				</td>
			</tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>