<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>工作日志管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
			<form:form id="searchForm" modelAttribute="workReport" action="${ctx}/work/report/workReport/${getList}${outList}" method="post" class="form-inline">
				<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
				<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
				<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->

				<div class="commonQuery">
					<div class="layui-item query athird">
						<label class="layui-form-label">类型：</label>
						<div class="layui-input-block with-icon">
							<form:select path="type"  class="form-control simple-select">
								<form:option value="" label=""/>
								<form:options items="${fns:getDictList('work_report_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
							</form:select>
						</div>
					</div>
					<c:if test="${requestScope.outList == 'outList'}">
					<div class="layui-item query athird">
						<label class="layui-form-label">发布人：</label>
						<div class="layui-input-block">
							<form:radiobuttons class="i-checks" path="status" items="${fns:getDictList('oa_notify_status')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
						</div>
					</div>
					</c:if>
					<div class="layui-item athird fr">
						<div class="input-group">
							<%--<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>--%>
							<button id="searchReset" style="margin-right: 0px;" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
							<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
						</div>
					</div>
					<div style="    clear:both;"></div>
				</div>
				<%--<div id="moresees" style="clear:both;display:none;">--%>

					<%--<div style="clear:both;"></div>--%>
				<%--</div>--%>
			</form:form>
			</div>
		</div>


			<%--<c:if test="${requestScope.allList == 'allList' || requestScope.getList == 'getList'}">--%>
				<%--<label>创建人：</label>--%>
				<%--<form:input path="createBy.name" htmlEscape="false"    class="form-control"/>--%>
			<%--</c:if>--%>
			<%--<c:if test="${requestScope.outList == 'outList'}">--%>
				<%--<label>状态：</label>--%>
				<%--<form:radiobuttons class="i-checks" path="status" items="${fns:getDictList('oa_notify_status')}" itemLabel="label" itemValue="value" htmlEscape="false"/>--%>
			<%--</c:if>--%>
		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<c:if test="${not empty my_send}">
						<shiro:hasPermission name="work:report:workReport:add">
							<table:addRow url="${ctx}/work/report/workReport/formc" title="工作日志"></table:addRow><!-- 增加按钮 -->
						</shiro:hasPermission>
					</c:if>
					<%--
                                    <shiro:hasPermission name="work:report:workReport:edit">
                                        <table:editRow url="${ctx}/work/report/workReport/form" title="工作日志" id="contentTable"></table:editRow><!-- 编辑按钮 -->
                                    </shiro:hasPermission>
                    --%>
					<c:if test="${empty my_receive and empty my_send}">
						<shiro:hasPermission name="work:report:workReport:del">
							<table:delRow url="${ctx}/work/report/workReport/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
						</shiro:hasPermission>
						<shiro:hasPermission name="work:report:workReport:import">
							<table:importExcel url="${ctx}/work/report/workReport/import"></table:importExcel><!-- 导入按钮 -->
						</shiro:hasPermission>
						<shiro:hasPermission name="work:report:workReport:export">
							<table:exportExcel url="${ctx}/work/report/workReport/export"></table:exportExcel><!-- 导出按钮 -->
						</shiro:hasPermission>
					</c:if>
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center',  width:40,title: '序号'}
                ,{field:'type',align:'center', title: '类型', minWidth:150}
                ,{field:'status',align:'center', title: '状态', minWidth:150}
                ,{field:'createDate',align:'center', title: '创建时间', minWidth:150}
                ,{field:'updateDate', align:'center',title: '更新时间', minWidth:150}
                ,{field:'createBy', align:'center',title: '创建人', minWidth:150}
                ,{field:'op',align:'center',title:"操作",width:180,templet:function(d){
                        ////对操作进行初始化
                        var xml = "";
                        if(d.canview1 != undefined && d.canview1 == "1")
                            xml +="<a href=\"javascript:void(0)\" onclick=\"openDialogView('查看工作日志', '${ctx}/work/report/workReport/form?id=" + d.id + "&readAttr=disabled&view=view&updateReadFlag=updateReadFlag','95%','95%')\" class=\"op-btn op-btn-view\" ><i class=\"fa fa-search-plus\"></i> 查看</a>";
                        if(d.canview2 != undefined && d.canview2 == "1")
                         	xml +="<a href=\"javascript:void(0)\" onclick=\"openDialogView('查看工作日志', '${ctx}/work/report/workReport/form?id=" + d.id + "&readAttr=disabled&view=view','95%','95%')\" class=\"op-btn op-btn-view\" ><i class=\"fa fa-search-plus\"></i> 查看</a>";
                        if(d.candel2 != undefined && d.candel2 == "1")
                            xml +="<a href=\"${ctx}/work/report/workReport/delete?id="+ d.id +"\" onclick=\"return confirmx('确认要删除该工作日志吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 删除</a>";
                        if(d.canview3 != undefined && d.canview3 == "1")
                            xml += "<a href=\"javascript:void(0)\" onclick=\"openDialogView('查看工作日志', '${ctx}/work/report/workReport/form?id="+ d.id +"&readAttr=disabled&view=view','95%','95%')\" class=\"op-btn op-btn-view\" ><i class=\"fa fa-search-plus\"></i> 查看</a>";
                        if(d.canedit3 != undefined && d.canedit3 == "1")
                            xml += "<a href=\"javascript:void(0)\" onclick=\"openDialog('修改工作日志', '${ctx}/work/report/workReport/form?id="+ d.id +"&forUpdate=forUpdate','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";
                        if(d.candel31 != undefined && d.candel31 == "1")
                            xml += "<a href=\"${ctx}/work/report/workReport/delete?id=" + d.id + "\" onclick=\"return confirmx('确认要删除该工作日志吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 删除</a>";
                        if(d.candel32 != undefined && d.candel32 == "1")
                            xml += "<a href=\"${ctx}/work/report/workReport/delete?id=" + d.id + "\" onclick=\"return confirmx('确认要删除该工作日志吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 删除</a>";
                        return xml;
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workReport" varStatus="varStatus">
                <c:if test="${varStatus.index != 0}">,</c:if>
                {
                    "index":"${varStatus.index+1}"
                    ,"id":"${workReport.id}"
                    ,"type":"${fns:getDictLabel(workReport.type, 'work_report_type', '')}"
                    ,"status":"${fns:getDictLabel(workReport.status, 'oa_notify_status', '')}"
                    ,"createDate":"<fmt:formatDate value="${workReport.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"
                    ,"updateDate":"<fmt:formatDate value="${workReport.updateDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"
                    ,"createBy":"${workReport.createBy.name}"
					<c:if test="${my_receive}"><shiro:hasPermission name="work:report:workReport:view">,"canview1":"1"</shiro:hasPermission></c:if>
                    <c:if test="${empty my_receive and empty my_send}">	<shiro:hasPermission name="work:report:workReport:view">,"canview2":"1"</shiro:hasPermission>
						<shiro:hasPermission name="work:report:workReport:del">,"candel2":"1"</shiro:hasPermission></c:if>
					<c:if test="${my_send}"><shiro:hasPermission name="work:report:workReport:view">,"canview3":"1"</shiro:hasPermission>
					<c:if test="${workReport.status eq '0'}"><shiro:hasPermission name="work:report:workReport:edit">,"canedit3":"1"</shiro:hasPermission>
					<shiro:hasPermission name="work:report:workReport:del">,"candel31":"1"</shiro:hasPermission></c:if>
					<c:if test="${workReport.status eq '1'}"><shiro:hasPermission name="work:report:workReport:del">,"candel32":"1"</shiro:hasPermission>
					</c:if></c:if>
                }
                </c:forEach>
                </c:if>
            ]
            // ,even: true
            // ,height: 315
        });

    })

    resizeListTable(200);
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
<script type="text/javascript">
    $(document).ready(function() {
        //搜索框收放
        $('#moresee').click(function(){
            if($('#moresees').is(':visible'))
            {
                $('#moresees').slideUp(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
            }else{
                $('#moresees').slideDown(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
            }
        });

    })
</script>
</body>
</html>