<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>招标项目信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp('slow');
                    $(this).text("更多").removeClass("fa fa-chevron-up").addClass("fa fa-chevron-down");
                    //document.getElementById("moresees").style.visibility = "hidden";
                }else{
                    $('#moresees').slideDown('slow');
                    $(this).text("收起").removeClass("fa fa-chevron-down").addClass("fa fa-chevron-up");
                    //document.getElementById("moresees").style.visibility = "visible";
                }
            });
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<%--<div class="ibox-title">
		<h5>招标项目信息列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>--%>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workBidingProject" action="${ctx}/workbidingproject/workBidingProject/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
		<div class="form-group">
			<%--<span>客户信息Id：</span>
				<sys:gridselect url="${ctx}/workbidingproject/workBidingProject/selectclientId" id="client.id" name="client.id"  value="${workBidingProject.client.id}"  title="选择客户信息Id" labelName="client.id"
					labelValue="${workBidingProject.client.id}" cssClass="form-control required" fieldLabels="" fieldKeys="" searchLabel="" searchKey="" ></sys:gridselect>
			--%>
			<%--<span>合同外键：</span>
				<sys:gridselect url="${ctx}/workbidingproject/workBidingProject/selectcontractId" id="contract.id" name="contract.id"  value="${workBidingProject.contract.id}"  title="选择合同外键" labelName="contract.id"
					labelValue="${workBidingProject.contract.id}" cssClass="form-control required" fieldLabels="" fieldKeys="" searchLabel="" searchKey="" ></sys:gridselect>
			--%>
			<span>项目编号：</span>
				<form:input path="projectNumber" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>&nbsp;&nbsp;项目名称：</span>
				<form:input path="projectName" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>&nbsp;&nbsp;招标方式：</span>
				<form:select path="biddingType"  class="form-control m-b">
					<form:option value="" label=""/>
					<form:options items="${fns:getMainDictList('bidding_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
				</form:select>

			<%--<span style="margin-top: 15px">&nbsp;&nbsp;合同名称： </span>
				<div class="form-group shows">
					<sys:gridselectContract url="${ctx}/workengineeringproject/workEngineeringProject/selectcontractId" id="contractId" name="contractId.id" type="1,2" value="${workBidingProject.contract.id}"  title="选择合同名称" labelName="contractId.name"
									labelValue="${workBidingProject.contract.name}" cssClass="form-control required" fieldLabels="合同信息" fieldKeys="name" searchLabel="合同名称" searchKey="name" ></sys:gridselectContract>
				</div>--%>
		</div>
		<div style="display:none;margin-top: 15px" id="moresees">
			<span>行业分类：</span>
			<form:select path="psort"  class="form-control m-b">
				<form:option value="" label=""/>
				<form:options items="${fns:getDictList('psort')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
			</form:select>
			<span style="margin-top: 15px">客户名称： </span>
			<div class="form-group shows">
				<sys:gridselectcallproject url="${ctx}/workcontractinfo/workContractInfo/selectclient" id="client"
					name="client.id" value="${workBidingProject.client.id}" title="选择客户"
					labelName="client.name"
					labelValue="${workBidingProject.client.name}"
					cssClass="form-control required" fieldLabels="客户名称" fieldKeys="name"
					searchLabel="客户名称" searchKey="name"></sys:gridselectcallproject>
			</div>
		</div>
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<%--<c:if test="${status eq 2}">--%>
				<%--<shiro:hasPermission name="workbidingproject:workBidingProject:add">--%>
					<table:addRow url="${ctx}/workbidingproject/workBidingProject/form" title="招标项目信息" ></table:addRow><!-- 增加按钮 -->
				<%--</shiro:hasPermission>--%>
		<%--	</c:if>--%>

			<%--<shiro:hasPermission name="workbidingproject:workBidingProject:edit">
			    <table:editRow url="${ctx}/workbidingproject/workBidingProject/form" title="招标项目信息" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workbidingproject:workBidingProject:del">
				<table:delRow url="${ctx}/workbidingproject/workBidingProject/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>--%>
			<shiro:hasPermission name="workbidingproject:workBidingProject:import">
				<table:importExcel url="${ctx}/workbidingproject/workBidingProject/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workbidingproject:workBidingProject:export">
	       		<table:exportExcel url="${ctx}/workbidingproject/workBidingProject/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th style="text-align: center;width: 5%"> 序号</th>
				<th style="text-align: center;width: 15%"  class="sort-column createDate">登记日期</th>
				<th style="text-align: center;width: 25%"  class="sort-column ce.name">客户名称</th>
				<th style="text-align: center;width: 15%"  class="sort-column projectNumber">项目编号</th>
				<th style="text-align: center;width: 25%"  class="sort-column projectName">项目名称</th>
				<th style="text-align: center;width: 15%">操作</th>
			</tr>
		</thead>
		<tbody>
			<c:choose>
			<c:when test="${not empty page.list}">
				<c:forEach items="${page.list}" var="workBidingProject" varStatus="index">
				<tr>
					<td> ${index.index+1}</td>
					<td>
						<fmt:formatDate value="${workBidingProject.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
					</td>
					<td>
						<a  href="javascript:void(0)" onclick="openDialogView('查看客户管理', '${ctx}/workclientinfo/workClientInfo/detail?id=${workBidingProject.client.id}','80%', '80%')">
							<span title="${workEngineeringProject.workClientInfo.name}">${fns:abbr(workBidingProject.client.name,30)}</span>
						</a>

					</td>
					<td>
						${workBidingProject.projectNumber}
					</td>
					<td>
						<a  href="javascript:void(0)" onclick="openDialogView('查看招标项目信息', '${ctx}/workbidingproject/workBidingProject/form?id=${workBidingProject.id}&name=view','80%', '80%')">
							${workBidingProject.projectName}
						</a>

					</td>
					<td>
						<div style="text-align: center">
						<%--<shiro:hasPermission name="workbidingproject:workBidingProject:view">--%>
							<a href="javascript:void(0)" onclick="openDialogView('查看招标项目信息', '${ctx}/workbidingproject/workBidingProject/form?id=${workBidingProject.id}&name=view','80%', '80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					<%--	</shiro:hasPermission>--%>
						<c:if test="${workBidingProject.createBy.id eq fns:getUser().id}">
							<%--<shiro:hasPermission name="workbidingproject:workBidingProject:edit">--%>
								<a href="javascript:void(0)" onclick="openDialog('修改招标项目信息', '${ctx}/workbidingproject/workBidingProject/form?id=${workBidingProject.id}&name=edit','80%', '80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
						<%--	</shiro:hasPermission>--%>
							<%--<shiro:hasPermission name="workbidingproject:workBidingProject:del">--%>
								<a href="${ctx}/workbidingproject/workBidingProject/delete?id=${workBidingProject.id}" onclick="return confirmx('确认要删除该招标项目信息吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
						<%--	</shiro:hasPermission>--%>
						</c:if>
						</div>
					</td>
				</tr>
				</c:forEach>
			</c:when>
				<c:otherwise>
					<tr>
						<td colspan="15" align="center">
							暂无数据
						</td>
					</tr>
				</c:otherwise>
			</c:choose>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>