<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>

<form:form id="subForm" modelAttribute="workContentPricemanage" action="#" method="post" class="form-horizontal">
    <form:hidden path="id"/>
    <div class="form-group layui-row lw12">
        <div class="layui-item layui-col-sm6">
            <label class="layui-form-label"><span class="require-item">*</span>合同名称：</label>
            <div class="layui-input-block with-icon">
                <input htmlEscape="false" readonly="true" class="form-control layui-input" value="${workContentPricemanage.contract.name}"/>
            </div>
        </div>
        <div class="layui-item layui-col-sm6">
            <label class="layui-form-label">认价类型：</label>
            <div class="layui-input-block">
                <input htmlEscape="false" readonly="true" class="form-control layui-input" value="${fns:getMainDictLabel(workContentPricemanage.priceType,'content_recognize_type','')}"/>
            </div>
        </div>
        <div class="layui-item layui-col-sm6">
            <label class="layui-form-label"><span class="require-item">*</span>认价时间：</label>
            <div class="layui-input-block">
                <input htmlEscape="false" readonly="true" class="form-control layui-input" value="<fmt:formatDate value="${workContentPricemanage.priceDate}" pattern="yyyy-MM-dd"/>"/>
            </div>
        </div>
    </div>
    <div class="form-group layui-row lw12">
        <div class="form-group-label"><h2>详情信息</h2></div>
        <div class="layui-item layui-col-sm12 with-textarea">
            <label class="layui-form-label">认价范围：</label>
            <div class="layui-input-block">
                <form:textarea path="scope" htmlEscape="false" rows="3" readonly="true" class="form-control "/>
            </div>
        </div>
        <div class="layui-item layui-col-sm12 with-textarea">
            <label class="layui-form-label">适用说明：</label>
            <div class="layui-input-block">
                <form:textarea path="explain" htmlEscape="false" rows="3" readonly="true" class="form-control "/>
            </div>
        </div>
        <div class="layui-item layui-col-sm12 with-textarea">
            <label class="layui-form-label">备注：</label>
            <div class="layui-input-block">
                <form:textarea path="remarks" htmlEscape="false" rows="3" readonly="true" class="form-control "/>
            </div>
        </div>
    </div>
</form:form>
<script type="text/javascript">
    var validateForm;
    $(document).ready(function() {
        validateForm = $("#subForm").validate({
            errorContainer: "#messageBox",
            errorPlacement: function(error, element) {
                $("#messageBox").text("输入有误，请先更正。");
                if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                    error.appendTo(element.parent().parent());
                } else {
                    error.insertAfter(element);
                }
            }
        });

        laydate.render({
            elem: '#priceDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
            event: 'focus' //响应事件。如果没有传入event，则按照默认的click
        });
    });

    function genDetailStr(){
        var stringify = JSON.stringify($("#subForm").serializeJson());
        return stringify;
    }
</script>