<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>合同客户信息</title>
    <meta name="decorator" content="default"/>
    <script type="text/javascript">

    </script>
</head>
<body  class="hideScroll">
<div class="wrapper wrapper-content">

    <div class="ibox">
        <div class="ibox-tools">
            <a class="collapse-link">
                <i class="fa fa-chevron-up"></i>
            </a>
            <a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
                <i class="fa fa-wrench"></i>
            </a>
            <ul class="dropdown-menu dropdown-user">
                <li><a href="javascript:void(0)">选项1</a>
                </li>
                <li><a href="javascript:void(0)">选项2</a>
                </li>
            </ul>
            <a class="close-link">
                <i class="fa fa-times"></i>
            </a>
        </div>

    <div class="ibox-title" style="height: 50px;">
        <h7 style="font-size: 20px;">
            客户详细信息
        </h7>
    </div>

        <div class="ibox-content">
            <sys:message content="${message}"/>

<form:form id="inputForm"  modelAttribute="WorkClientInfo" class="form-horizontal">
    <form:hidden path="id"/>
    <sys:message content="${message}"/>
    <table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
        <tbody>
        <tr>
            <td class="width-15 active"><label class="pull-right">公司名称：</label></td>
            <td class="width-35">
                    ${WorkClientInfo.name}
            </td>
            <td class="width-15 active"><label class="pull-right">公司缩写：</label></td>
            <td class="width-35">
                    ${WorkClientInfo.nameForShort}
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="pull-right">公司行业：</label></td>
            <td class="width-35">
                    ${WorkClientInfo.companyIndustry}
            </td>
            <td class="width-15 active"><label class="pull-right">公司类型：</label></td>
            <td class="width-35">
                    ${WorkClientInfo.clientType}
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="pull-right">组织机构代码：</label></td>
            <td class="width-35">
                    ${WorkClientInfo.orUnicode}
            </td>
            <td class="width-15 active"><label class="pull-right">信用等级：</label></td>
            <td class="width-35">
                    ${WorkClientInfo.creditRank}
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="pull-right">法人代表：</label></td>
            <td class="width-35">
                    ${WorkClientInfo.lawerPresint}
            </td>
            <td class="width-15 active"><label class="pull-right">邮政编码：</label></td>
            <td class="width-35">
                    ${WorkClientInfo.zipCode}
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="pull-right">传真：</label></td>
            <td class="width-35">
                    ${WorkClientInfo.fax}
            </td>
            <td class="width-15 active"><label class="pull-right">电子邮箱：</label></td>
            <td class="width-35">
                    ${WorkClientInfo.email}
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="pull-right">详细地址：</label></td>
            <td class="width-35">
                    ${WorkClientInfo.address}
            </td>
            <td class="width-15 active"><label class="pull-right">公司网址：</label></td>
            <td class="width-35">
                    ${WorkClientInfo.companyUrl}
            </td>
        </tr>
        <tbody>
    </table>
</form:form>
    </div>
</div>
</body>


</html>
