<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>合同归档管理</title>
	<meta name="decorator" content="default"/>
	<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
	<script type="text/javascript">
		var validateForm;
		function doSubmit(obj){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
		  if(validateForm.form()){
		      var fileNum =  $("#fileNum").val();
              if(obj == 1){
                  $('#flag').val('yes');
                  if(fileNum == ''|| fileNum == undefined){
                      top.layer.alert('填写档案号！', {icon: 0});
                      return;
				  }
              }else{
                  $('#flag').val('no');
              }
			  $("#inputForm").submit();
			  return true;
		  }else {
              parent.layer.msg("信息未填写完整!", {icon: 5});
          }
		  return false;
		}
		$(document).ready(function() {
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
            $("#attachment_btn").click(function () {
                $("#attachment_file").click();
            });
		});
        function insertTitle(tValue){
            var list = "${workContractRecord.workAttachments}";
            var size = (list.split('url')).length-1;
            var files = $("#attachment_file")[0].files;            for(var i = 0;i<files.length;i++) {                var file = files[i];
            var attachmentId = "";
            var attachmentFlag = "85";
            console.log(file);
            var timestamp=new Date().getTime();

            var storeAs = "attachment-file/workContractRd/"+timestamp+"/"+file['name'];
            var uploadPath="http://gangwan-app.oss-cn-hangzhou.aliyuncs.com/"+storeAs;/*将这段字符串存到数据库即可*/
            var divId = "_attachment";
            $("#addFile"+divId).show();
            multipartUploadWithSts(storeAs, file,attachmentId,attachmentFlag,uploadPath,divId,size);}
        }

        function setValue(obj){
            $.ajax({
                type:'post',
                url:'${ctx}/workcontractrecord/workContractRecord/getPNumberr',
                data:{
                    "obj":obj
                },
                success:function(data){
                    var d = JSON.parse(data);
                    $("#recordNum").val(d.recordNum);
                    $("#contractNum").val(d.contractNum);
                    $("#cName").val(d.cName);
                    $("#contractType").val(d.contractType);
                }
            })
        }
	</script>
</head>
<body >
<div class="single-form">
	<div class="container">
		<form:form id="inputForm" modelAttribute="workContractRecord" action="${ctx}/workcontractrecord/workContractRecord/saveAudit" method="post" class="form-horizontal">
			<form:hidden path="id"/>
			<form:hidden path="workContractInfo.id"/>
			<form:hidden path="home"/>
			<form:hidden path="act.taskId"/>
			<form:hidden path="act.taskName"/>
			<form:hidden path="act.taskDefKey"/>
			<form:hidden path="act.procInsId"/>
			<form:hidden path="act.procDefId"/>
			<form:hidden id="flag" path="act.flag"/>
			<sys:message content="${message}"/>

			<div class="form-group layui-row first lw8">
				<div class="form-group-label"><h2>基础信息</h2></div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>合同名称：</label>
					<div class="layui-input-block with-icon">
						<input htmlEscape="false"   readonly="true" class="form-control layui-input" value="${workContractRecord.workContractInfo.name}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">归档申请编号：</label>
					<div class="layui-input-block">
						<div class="input-group">
							<input  htmlEscape="false"   readonly="true" class="form-control layui-input" value="${workContractRecord.recordNum}"/>
							<span class="input-group-btn">
								<label class="form-status"><c:choose><c:when test="${ empty workContractRecord.status}">新添</c:when><c:otherwise>${fns:getDictLabel(workContractRecord.status, 'audit_state','')}</c:otherwise>	</c:choose></label>
							</span>
						</div>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">合同编号：</label>
					<div class="layui-input-block">
						<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${workContractRecord.workContractInfo.contractNum}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">主委托方：</label>
					<div class="layui-input-block">
						<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${workContractRecord.workContractInfo.client.name}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">工程分类：</label>
					<div class="layui-input-block">
						<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${fns:getMainDictLabel(workContractRecord.workContractInfo.contractType, 'contract_type','')}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">归档人：</label>
					<div class="layui-input-block">
						<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${workContractRecord.createBy.name}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">归档日期：</label>
					<div class="layui-input-block">
						<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="<fmt:formatDate value="${workContractRecord.createDate}" pattern="yyyy年MM月dd日" type="date" dateStyle="full"/>"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>档案号：</label>
					<div class="layui-input-block">
						<form:input path="fileNum" htmlEscape="false" class="form-control layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm12  with-textarea">
					<label class="layui-form-label">说明：</label>
					<div class="layui-input-block">
						<textarea  htmlEscape="false" rows="4" readonly="true"    class="form-control ">${workContractRecord.instruction}</textarea>
					</div>
				</div>
			</div>
			<div class="form-group layui-row">
				<div class="form-group-label"><h2>附件信息</h2></div>
				<div class="layui-item layui-col-xs12" style="padding:0 16px;">
					<table id="upTable" class="table table-bordered table-condensed details">
						<thead>
						<tr>
								<%-- <th>序号</th>--%>
							<th>文件预览</th>
							<th>上传人</th>
							<th>上传时间</th>
							<th width="150px">操作</th>
						</tr>
						</thead>
						<tbody id="file_attachment">
						<c:forEach items="${workContractRecord.workAttachments}" var = "workClientAttachment" varStatus="status">
							<tr>
									<%-- <td>${status.index + 1}</td>--%>
								<c:choose>
									<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
										<td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}">
									</c:when>
									<c:otherwise>
										<c:choose>
											<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
												<td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a></td>
											</c:when>
											<c:otherwise>
												<td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a></td>
											</c:otherwise>
										</c:choose>
									</c:otherwise>
								</c:choose>
								<td>${workClientAttachment.createBy.name}</td>
								<td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
								<td class="op-td">
									<a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
								</td>
							</tr>
						</c:forEach>
						</tbody>
					</table>
				</div>
			</div>
			<div class="form-group layui-row lw8">
				<div class="form-group-label"><h2>审批意见</h2></div>
				<div class="layui-item layui-col-sm12  with-textarea">
					<label class="layui-form-label">审批意见：</label>
					<div class="layui-input-block">
						<form:textarea path="act.comment" class="form-control" rows="4" maxlength="127" />
						<input type="file" name="upload_files" style="display: none;">
					</div>
				</div>
			</div>
			<div class="form-group layui-row">
				<div class="form-group-label"><h2>审批流程</h2></div>
				<div class="layui-item layui-col-xs12 form-table-container" >
					<act:flowChart procInsId="${workContractRecord.act.procInsId}"/>
					<act:histoicFlow procInsId="${workContractRecord.act.procInsId}"/>
				</div>
			</div>
			<div class="form-group layui-row page-end"></div>
		</form:form>
	</div>
</div>
</body>
</html>