<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目计划添加</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        $(document).ready(function() {
            laydate.render({
                elem: '#startTime', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
            });
            laydate.render({
                elem: '#endTime', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
            });
            laydate.render({
                elem: '#remindDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
            });
        });

	</script>
</head>
<body class="hideScroll">
		<form:form id="inputForm" modelAttribute="workProjectPlan" action="${ctx}/workengineeringproject/workEngineeringProject/addPlanRowData" method="post" class="form-horizontal">
		<form:hidden path="projectId"/>
		<form:hidden path="type"/>
			<sys:message content="${message}"/>
		<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
		   <tbody>
				<tr>
					<%--<td class="width-15 active"><label class="pull-right">任务编号：</label></td>
					<td class="width-35">
						<form:input path="taskCount" htmlEscape="false"    class="form-control required"/>
					</td>--%>
					<td class="width-15 active"><label class="pull-right">任务名称：</label></td>
					<td class="width-35" colspan="3">
						<form:input path="taskName" htmlEscape="false"    class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">开始时间：</label></td>
					<td class="width-35" >
						<input id="startTime" name="startTime" type="text" maxlength="20" class="laydate-icondate form-control layer-date "
							   value="<fmt:formatDate value="${workProjectPlan.startTime}" pattern="yyyy-MM-dd"/>"/>
					</td>
					<td class="width-15 active"><label class="pull-right">结束时间：</label></td>
					<td class="width-35">
						<input id="endTime" name="endTime" type="text" maxlength="20" class="laydate-icondate form-control layer-date "
							   value="<fmt:formatDate value="${workProjectPlan.endTime}" pattern="yyyy-MM-dd"/>"/>
					</td>
				</tr>
		 	</tbody>
		</table>
	</form:form>
</body>
</html>