<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>案例管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        $(document).ready(function() {
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });
            laydate.render({
                elem: '#beginContractDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
            });


            laydate.render({
                elem: '#endContractDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
            });
        });
        function switchInput(obj){
            $("#"+obj).show();
            $("#"+obj).siblings().hide();
        }
        function openDialogre(title,url,width,height,target){

            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: false, //开启最大化最小化按钮
                skin: 'three-btns',
                content: url ,
                btn: ['送审','暂存','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        top.layer.close(index);//关闭对话框。
//                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn3: function(index){
                }
            });
        }
        function openDialogreplay(title,url,width,height,target){

            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: false, //开启最大化最小化按钮
                skin: 'two-btns',
                content: url ,
                btn: ['送审','关闭'],
                yes: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示

                    if(iframeWin.contentWindow.doSubmit() ){
                        top.layer.close(index);//关闭对话框。
                        //setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }

                },
                cancel: function(index){
                }
            });
        }
	</script>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">

				<form:form id="searchForm" modelAttribute="workExample" action="${ctx}/workexample/workExamples/" method="post" class="form-inline">
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<%--<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->--%>

					<div class="commonQuery lw8">
						<<div class="layui-item query athird">
						<label class="layui-form-label">工程类型：</label>
						<div class="layui-input-block with-icon">
							<sys:treeselect id="mainDictDetail" name="mainDictDetail.id" value="${workExample.mainDictDetail.id}" labelName="mainDictDetail.detailName"
											labelValue="${workExample.mainDictDetail.detailName}"
											title="类型" url="/sys/mainDictDetail/treeDataByType?type=2&typeName=work_example_type&isAll=true" notAllowSelectParent="true" cssClass="form-control	 layui-input"
											allowClear="true"/>
						</div>
					</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">工程名称：</label>
							<div class="layui-input-block">
								<form:input path="name" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
							</div>
						</div>
						<div class="layui-item athird">
							<div class="input-group">
								<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
								<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
					<div id="moresees" class="lw8" style="clear:both;display:none;">
						<div class="layui-item query athird">
							<label class="layui-form-label">竣工日期：</label>
							<div class="layui-input-block">
								<input id="beginContractDate" name="beginContractDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
									   value="<fmt:formatDate value="${workExample.beginContractDate}" pattern="yyyy-MM-dd"/>"/>
								</input>
								<span class="group-sep">-</span>
								<input id="endContractDate" name="endContractDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
									   value="<fmt:formatDate value="${workExample.endContractDate}" pattern="yyyy-MM-dd"/>"/>
								</input>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">工程地点：</label>
							<div class="layui-input-block with-icon">
								<sys:treeselect id="areaId" name="area.id" value="${workExample.area.id}" labelName="area.name" labelValue="${workExample.area.name}"
												title="工程地点" url="/sys/area/treeData" cssClass="form-control layui-input " allowClear="true" notAllowSelectParent="false"/>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">建设规模：</label>
							<div class="layui-input-block">
								<form:input path="buildScale" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">结构形式：</label>
							<div class="layui-input-block">
								<form:input path="modus" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">审核状态：</label>
							<div class="layui-input-block">
								<form:select path="status"  class="form-control simple-select">
									<form:option value="" label=""/>
									<form:options items="${fns:getDictList('audit_state')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
								</form:select>
							</div>
							<div style="clear:both;"></div>
						</div>
					</div>
				</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center', title: '序号',width:40}
                ,{field:'type',align:'center', title: '工程类型',minWidth:120,templet:function(d){
                        return "<span title='"+ d.type +"'>" + d.type + "</span>";
                    }}
                ,{field:'name',align:'center',title: '工程名称',minWidth:120,templet:function(d){
                        var xml = "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('查看案例信息', '${ctx}/workexample/workExample/form?id=" + d.id + "&tabId=1','95%','95%')\">" +
                            "<span title=" + d.name + ">" + d.name + "</span></a>";
                        return xml;
                    }}
                ,{field:'address',align:'center', title: '工程地点',minWidth:160,templet:function(d){
                    return "<span title='"+ d.address +"'>" + d.address + "</span>";
                }}
                ,{field:'buildScale',align:'center', title: '建设规模(m2)',minWidth:160,templet:function(d){
                    return "<span title='"+ d.buildScale +"'>" + d.buildScale + "</span>";
                }}
                ,{field:'modus', align:'center',title: '结构形式',width:90,templet:function(d){
                    return "<span title='"+ d.modus +"'>" + d.modus + "</span>";
                }}
                ,{field:'basicType', align:'center',title: '基础类型',width:90,templet:function(d){
                    return "<span title='"+ d.basicType +"'>" + d.basicType + "</span>";
                }}
                ,{field:'scale', align:'center',title: '规模',width:90,templet:function(d){
                    return "<span title='"+ d.scale +"'>" + d.scale + "</span>";
                }}
                ,{field:'startDate', align:'center',title: '开工日期',width:90,templet:function(d){
                    return "<span title='"+ d.startDate +"'>" + d.startDate + "</span>";
                }}
                ,{field:'endDate', align:'center',title: '竣工日期',width:90,templet:function(d){
                    return "<span title='"+ d.endDate +"'>" + d.endDate + "</span>";
                }}
                ,{field:'officeName', align:'center',title: '所属部门',width:90,templet:function(d){
                    return "<span title='"+ d.officeName +"'>" + d.officeName + "</span>";
                }}
                ,{field:'safeLevel', align:'center',title: '结构安全等级',width:90,templet:function(d){
                    return "<span title='"+ d.safeLevel +"'>" + d.safeLevel + "</span>";
                }}
                ,{field:'stage', align:'center',title: '编制阶段',width:90,templet:function(d){
                    return "<span title='"+ d.stage +"'>" + d.stage + "</span>";
                }}
                ,{field:'investmentType', align:'center',title: '投资类型',width:90,templet:function(d){
                    return "<span title='"+ d.investmentType +"'>" + d.investmentType + "</span>";
                }}
                ,{field:'valuationType', align:'center',title: '计价类型',width:90,templet:function(d){
                    return "<span title='"+ d.valuationType +"'>" + d.valuationType + "</span>";
                }}
                ,{field:'valuationAccording', align:'center',title: '计价依据',width:90,templet:function(d){
                    return "<span title='"+ d.valuationAccording +"'>" + d.valuationAccording + "</span>";
                }}
                ,{field:'biddingPrice', align:'center',title: '招标基准信息价',width:90,templet:function(d){
                    return "<span title='"+ d.biddingPrice +"'>" + d.biddingPrice + "</span>";
                }}
                ,{field:'taxModel', align:'center',title: '计税模式',width:90,templet:function(d){
                    return "<span title='"+ d.taxModel +"'>" + d.taxModel + "</span>";
                }}
                ,{field:'abovegroundArea', align:'center',title: '地上建筑面积',width:90,templet:function(d){
                    return "<span title='"+ d.abovegroundArea +"'>" + d.abovegroundArea + "</span>";
                }}
                ,{field:'undergroundArea', align:'center',title: '地下建筑面积',width:90,templet:function(d){
                    return "<span title='"+ d.undergroundArea +"'>" + d.undergroundArea + "</span>";
                }}
                ,{field:'civilArea', align:'center',title: '人防建筑面积',width:90,templet:function(d){
                    return "<span title='"+ d.civilArea +"'>" + d.civilArea + "</span>";
                }}
                ,{field:'garageArea', align:'center',title: '车库建筑面积',width:90,templet:function(d){
                    return "<span title='"+ d.garageArea +"'>" + d.garageArea + "</span>";
                }}
                ,{field:'abovegroundLayer', align:'center',title: '地上层数',width:90,templet:function(d){
                    return "<span title='"+ d.abovegroundLayer +"'>" + d.abovegroundLayer + "</span>";
                }}
                ,{field:'undergroundLayer', align:'center',title: '地下层数',width:90,templet:function(d){
                    return "<span title='"+ d.undergroundLayer +"'>" + d.undergroundLayer + "</span>";
                }}
                ,{field:'abovegroundHeight', align:'center',title: '地上层高',width:90,templet:function(d){
                    return "<span title='"+ d.abovegroundHeight +"'>" + d.abovegroundHeight + "</span>";
                }}
                ,{field:'undergroundHeight', align:'center',title: '地下层高',width:90,templet:function(d){
                    return "<span title='"+ d.undergroundHeight +"'>" + d.undergroundHeight + "</span>";
                }}
                ,{field:'totalHeight', align:'center',title: '总层数',width:90,templet:function(d){
                    return "<span title='"+ d.totalHeight +"'>" + d.totalHeight + "</span>";
                }}
                ,{field:'eavesHeight', align:'center',title: '檐 高',width:90,templet:function(d){
                    return "<span title='"+ d.eavesHeight +"'>" + d.eavesHeight + "</span>";
                }}
                ,{field:'insideDecoration', align:'center',title: '内墙面装修',width:90,templet:function(d){
                    return "<span title='"+ d.insideDecoration +"'>" + d.insideDecoration + "</span>";
                }}
                ,{field:'outsideDecoration', align:'center',title: '外墙面装修',width:90,templet:function(d){
                    return "<span title='"+ d.outsideDecoration +"'>" + d.outsideDecoration + "</span>";
                }}
                ,{field:'skylightDecoration', align:'center',title: '天棚装修',width:90,templet:function(d){
                    return "<span title='"+ d.skylightDecoration +"'>" + d.skylightDecoration + "</span>";
                }}
                ,{field:'floorDecoration', align:'center',title: '楼地面装修',width:90,templet:function(d){
                    return "<span title='"+ d.floorDecoration +"'>" + d.floorDecoration + "</span>";
                }}
                ,{field:'door', align:'center',title: '门',width:90,templet:function(d){
                    return "<span title='"+ d.door +"'>" + d.door + "</span>";
                }}
                ,{field:'window', align:'center',title: '窗',width:90,templet:function(d){
                    return "<span title='"+ d.window +"'>" + d.window + "</span>";
                }}
                ,{field:'createBy', align:'center',title: '创建人',width:90,templet:function(d){
                    return "<span title='"+ d.createBy +"'>" + d.createBy + "</span>";
                }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workExample" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"id":"${workExample.id}"
                    ,"type":"${workExample.mainDictDetail.detailName}"
                    ,"name":"${workExample.name}"
                    ,"address":"${workExample.area.name}"
                    ,"modus":"${workExample.modus}"
                    ,"basicType":"${workExample.basicType}"
                    ,"buildScale":"${workExample.buildScale}"
                    ,"scale":"${workExample.scale}"
                    ,"officeName":"${workExample.officeName}"
                    ,"safeLevel":"${workExample.safeLevel}"
                    ,"stage":"${workExample.stage}"
                    ,"investmentType":"${workExample.investmentType}"
                    ,"valuationType":"${workExample.valuationType}"
                    ,"valuationAccording":"${workExample.valuationAccording}"
                    ,"biddingPrice":"${workExample.biddingPrice}"
                    ,"taxModel":"${workExample.taxModel}"
                    ,"abovegroundArea":"${workExample.abovegroundArea}"
                    ,"undergroundArea":"${workExample.undergroundArea}"
                    ,"civilArea":"${workExample.civilArea}"
                    ,"garageArea":"${workExample.garageArea}"
                    ,"abovegroundLayer":"${workExample.abovegroundLayer}"
                    ,"undergroundLayer":"${workExample.undergroundLayer}"
                    ,"abovegroundHeight":"${workExample.abovegroundHeight}"
                    ,"undergroundHeight":"${workExample.undergroundHeight}"
                    ,"totalHeight":"${workExample.totalHeight}"
                    ,"eavesHeight":"${workExample.eavesHeight}"
                    ,"insideDecoration":"${workExample.insideDecoration}"
                    ,"outsideDecoration":"${workExample.outsideDecoration}"
                    ,"skylightDecoration":"${workExample.skylightDecoration}"
                    ,"floorDecoration":"${workExample.floorDecoration}"
                    ,"door":"${workExample.door}"
                    ,"window":"${workExample.window}"
                    ,"endDate":"<fmt:formatDate value="${workExample.endDate}" pattern="yyyy-MM-dd"/>"
                    ,"startDate":"<fmt:formatDate value="${workExample.startDate}" pattern="yyyy-MM-dd"/>"
                    ,"status":"${workExample.status}"
                    ,"createBy":"${workExample.createBy.name}"
                }
                </c:forEach>
                </c:if>
            ]
            // ,even: true
            // ,height: 315
        });

    })

    resizeListTable();
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>