<%@ page import="com.jeeplus.modules.sys.utils.UserUtils" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>案例导入日志</title>
	<meta name="decorator" content="default"/>


	<style>
		.widthClass{
			display: inline-block;
		}
		.shows .input-group{
			width: 48%!important;
		}
	</style>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
				<form:form id="searchForm" modelAttribute="workExampleImplog" action="${ctx}/workexampleimplog/workExampleImplog/" method="post" class="form-inline">
					<%--以下三行照抄--%>
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
					<div class="commonQuery ">
						<div class="layui-item query athird">
							<label class="layui-form-label">工程名称：</label>
							<div class="layui-input-block">
								<input id="exampleName" name="exampleName" type="text"  maxlength="64" class=" form-control  layui-input "  />
								</input>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">导入时间：</label>
							<div class="layui-input-block">
								<input id="beginDate" placeholder="开始时间" name="beginCreateDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
									   value="<fmt:formatDate value="${workExampleImplog.beginCreateDate}" pattern="yyyy-MM-dd"/>"/>
								</input>
								<span class="group-sep">-</span>
								<input id="endDate" placeholder="结束时间" name="endCreateDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
									   value="<fmt:formatDate value="${workExampleImplog.endCreateDate}" pattern="yyyy-MM-dd"/>"/>
								</input>
							</div>
						</div>
						<div class="layui-item athird">
							<div class="input-group">
									<%--	<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>--%>
								<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
					<div id="moresees" style="clear:both;display:none;">
						<div style="clear:both;"></div>
					</div>
				</form:form>
			</div>
		</div>

		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                {field:'exampleName',align:'center', minWidth:130,title: '工程名称', templet:function(d){
                        return "<span title='"+ d.exampleName +"'>" + d.exampleName + "</span>";
                    }},
                {field:'indexName',align:'center', minWidth:130, title: '指标名称',templet:function(d){
                        return "<span title='"+ d.indexName +"'>" + d.indexName + "</span>";
                    }}
               /* ,{field:'termName',align:'center', width:100, title: '指标项',templet:function(d){
                        return "<span title='"+ d.termName +"'>" + d.termName + "</span>";
                    }}*/
                ,{field:'userName',align:'center', width:100, title: '操作人',templet:function(d){
                        return "<span title='"+ d.userName +"'>" + d.userName + "</span>";
                    }}
                ,{field:'reason',align:'center', minWidth:130, title: '失败原因',templet:function(d){
                        return "<span title='"+ d.reason +"'>" + d.reason + "</span>";
                    }}
                ,{field:'createDate',align:'center',sort: true,width:130, title: '导入时间', templet:function(d){
                        return "<span title='"+ d.createDate +"'>" + d.createDate + "</span>";
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workExampleImplog" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "id":"${workExampleImplog.id}"
                    ,"exampleName":"${workExampleImplog.exampleName}"
                    ,"indexName":"${workExampleImplog.indexName}"
                   /* ,"termName":"${workExampleImplog.termName}"*/
                    ,"userName":"${workExampleImplog.userName}"
                    ,"reason":"${workExampleImplog.reason}"
                    ,"createDate":"<fmt:formatDate value="${workExampleImplog.createDate}" pattern="yyyy-MM-dd HH:mm"/>"
                }
                </c:forEach>
                </c:if>
            ]
        });

    })

    resizeListTable();
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
<script type="text/javascript">
    $(document).ready(function() {
        $("#cus_name").show();
        $("#cus_name").siblings().hide();
        //搜索框收放
        $('#moresee').click(function(){
            if($('#moresees').is(':visible'))
            {
                $('#moresees').slideUp(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
            }else{
                $('#moresees').slideDown(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
            }
        });
        laydate.render({
            elem: '#beginDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
            format: 'yyyy-MM-dd',
            type : 'date'
        });

        laydate.render({
            elem: '#endDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
            format: 'yyyy-MM-dd',
            type : 'date'
        });
    });
    function switchInput(obj){
        $("#"+obj).show();
        $("#"+obj).siblings().hide();
    }
    /*function openDialogre(title,url,width,height,target){

        if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
            width='auto';
            height='auto';
        }else{//如果是PC端，根据用户设置的width和height显示。

        }
        top.layer.open({
            type: 2,
            area: [width, height],
            title: title,
            skin: 'two-btns',
            maxmin: true, //开启最大化最小化按钮
            content: url ,
            btn: ['提交','关闭'],
            yes: function(index, layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示

                if(iframeWin.contentWindow.doSubmit() ){
                    top.layer.close(index);//关闭对话框。
                    //setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }

            }

        });
    }

    function openDialogre(title,url,width,height,target){

        if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
            width='auto';
            height='auto';
        }else{//如果是PC端，根据用户设置的width和height显示。

        }
        top.layer.open({
            type: 2,
            area: [width, height],
            title: title,
            skin: 'two-btns',
            maxmin: true, //开启最大化最小化按钮
            content: url ,
            btn: ['提交','关闭'],
            yes: function(index, layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示

                if(iframeWin.contentWindow.doSubmit() ){
                    top.layer.close(index);//关闭对话框。
                    //setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }

            }

        });
    }*/
</script>
</body>
</html>
