<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目实施详情</title>
	<meta name="decorator" content="default"/>

</head>
<body class="hideScroll">
<form:form id="inputForm" modelAttribute="workFullExecute" class="form-horizontal">
	<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
		<tbody>
		<tr>
			<td class="width-15 active" rowspan="5"><label class="pull-right">文件信息:</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right"></font>文件名：</label></td>
			<td class="width-30">
				${workFullExecute.fileName}
			</td>
			<td class="width-15 active"><label class="pull-right"></font>文件类型：</label></td>
			<td class="width-30">
				${fns:getDictLabel(workFullExecute.fileType,'work_full_execute_fileType','')}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">文件类型说明：</label></td>
			<td class="width-40" colspan="3">
				${workFullExecute.fileTypeDeclare}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">编制开始日期：</label></td>
			<td class="width-30">
				<fmt:formatDate value="${workFullExecute.startTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
			</td>
			<td class="width-15 active"><label class="pull-right">编制完成日期：</label></td>
			<td class="width-30">
				<fmt:formatDate value="${workFullExecute.endTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">文件附件：</label></td>
			<td class="width-40" colspan="3">
				<div>
					<div style="float:left; height: 100%; width: 100%; ">
						<table id="listExecuteFile"  style="text-align: center;width: 100%;margin-top:10px;"  class="table table-striped table-bordered table-condensed" >
							<tr>
								<%--<td>序号</td>--%><td>文件名</td><td>上传人</td><td>上传时间</td><td>操作</td>
							</tr>
								<c:if test="${not empty workFullExecute.executeFile}">
									<c:forEach items="${workFullExecute.executeFile}" var="exeFile" varStatus="varStatus">
										<tr>
											<%--<td>${varStatus.index+1}</td>--%>
												<%--<td>${workFullExecute.executeFile.attachmentName}</td>--%>
											<c:choose>
												<c:when test="${fn:containsIgnoreCase(exeFile.attachmentName,'jpg')
													   or fn:containsIgnoreCase(exeFile.attachmentName,'png')
													   or fn:containsIgnoreCase(exeFile.attachmentName,'gif')
													   or fn:containsIgnoreCase(exeFile.attachmentName,'jpeg')}">
													<td><img src="${exeFile.url}" onclick="openDialogView(' ','${ctx}/sys/picturepreview/picturePreview?url=${exeFile.url}','860px','600px')" width="50" height="50" alt="${exeFile.attachmentName}"/></td>
												</c:when>
												<c:otherwise>
													<c:choose>
														<c:when test="${fn:containsIgnoreCase(exeFile.attachmentName,'pdf')}">
															<td><a href="javascript:void(0)" onclick="preview('预览','${exeFile.url}','80%','80%','1')">
																<span title="${exeFile.attachmentName}">${fns:abbr(exeFile.attachmentName, 30)}</span>
															</a></td>
															<%--<td><a href="${workFullExecute.executeFile.url}"><span title="${workFullExecute.executeFile.attachmentName}">${fns:abbr(workFullExecute.executeFile.attachmentName, 14)}</span></a></td>--%>
														</c:when>
														<c:otherwise>
															<td><a href="javascript:void(0)" onclick="preview('预览','${exeFile.url}','80%','80%')">
																<span title="${exeFile.attachmentName}">${fns:abbr(exeFile.attachmentName, 30)}</span>
															</a></td>
															<%--<td><a href="javascript:void(0)" onclick="openDialogViewPre('预览','${ctx}/previewController/previewUrl?fileUrl=${workFullExecute.executeFile.url}','80%','80%')"><span title="${workFullExecute.executeFile.attachmentName}">${fns:abbr(workFullExecute.executeFile.attachmentName, 14)}</span></a></td>--%>
														</c:otherwise>
													</c:choose>
												</c:otherwise>
											</c:choose>
											<td>${exeFile.attachmentUser}</td>
											<td><fmt:formatDate value="${exeFile.createDate}" pattern="yyyy-MM-dd"/></td>
											<td>
												<a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${exeFile.url}" class="btn btn-success btn-xs">下载</a>
											</td>
										</tr>
									</c:forEach>
								</c:if>
						</table>
					</div>
				</div>
			</td>
		</tr>
		<tr>
			<td class="width-15 active" rowspan="2"><label class="pull-right">工作底稿:</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">底稿附件：</label></td>
			<td class="width-40" colspan="3">
				<div>
					<div style="float:left; height: 100%; width: 100%; ">
						<table id="listManuscriptFile"  style="text-align: center;width: 100%;margin-top:10px;"  class="table table-striped table-bordered table-condensed" >
							<tr>
								<%--<td>序号</td>--%><td>文件名</td><td>上传人</td><td>上传时间</td><td>操作</td>
							</tr>
							<c:if test="${not empty workFullExecute.manuscriptFile}">
								<c:forEach items="${workFullExecute.manuscriptFile}" var="mFile" varStatus="varStatus">
									<tr>
										<%--<td>${varStatus.index + 1}</td>--%>
											<%--<td>${workFullExecute.manuscriptFile.attachmentName}</td>--%>
										<c:choose>
											<c:when test="${fn:containsIgnoreCase(mFile.attachmentName,'jpg')
													   or fn:containsIgnoreCase(mFile.attachmentName,'png')
													   or fn:containsIgnoreCase(mFile.attachmentName,'gif')
													   or fn:containsIgnoreCase(mFile.attachmentName,'jpeg')}">
												<td><img src="${mFile.url}" onclick="openDialogView(' ','${ctx}/sys/picturepreview/picturePreview?url=${mFile.url}','860px','600px')" width="50" height="50" alt="${mFile.attachmentName}"/></td>
											</c:when>
											<c:otherwise>
												<c:choose>
													<c:when test="${fn:containsIgnoreCase(mFile.attachmentName,'pdf')}">
														<td><a href="javascript:void(0)" onclick="preview('预览','${mFile.url}','80%','80%','1')">
															<span title="${mFile.attachmentName}">${fns:abbr(mFile.attachmentName, 30)}</span></a></td>
													</c:when>
													<c:otherwise>
														<td><a href="javascript:void(0)" onclick="preview('预览','${mFile.url}','80%','80%')">
															<span title="${mFile.attachmentName}">${fns:abbr(mFile.attachmentName, 30)}</span>
														</a></td>
													</c:otherwise>
												</c:choose>
											</c:otherwise>
										</c:choose>
										<td>${mFile.attachmentUser}</td>
										<td><fmt:formatDate value="${mFile.createDate}" pattern="yyyy-MM-dd"/></td>
										<td>
											<a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${mFile.url}" class="btn btn-success btn-xs">下载</a>
										</td>
									</tr>
								</c:forEach>
							</c:if>
						</table>
					</div>
				</div>
			</td>
		</tr>
		<tr>
			<td class="width-15 active" rowspan="5"><label class="pull-right">项目信息:</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right"></font>项目编号：</label></td>
			<td class="width-30">
				${workFullManage.fullProjectNumber}
			</td>
			<td class="width-15 active"><label class="pull-right"></font>项目来源：</label></td>
			<td class="width-30">
					${fns:getDictLabel(workFullManage.fullProjectSource, 'full_project_source', '')}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
			<td class="width-30" colspan="3">
				${workFullManage.fullProjectName}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right"></font>行业分类：</label></td>
			<td class="width-30">
					${fns:getDictLabel(workFullManage.fullIndustryType, 'full_industry_type', '')}
			</td>
			<td class="width-15 active"><label class="pull-right"></font>结构类型：</label></td>
			<td class="width-30">
					${fns:getDictLabel(workFullManage.fullStructureType, 'full_structure_type', '')}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">投资额(元)：</label></td>
			<td class="width-40">
				${workFullManage.fullInvestMoney}
			</td>
		</tr>
		<tr>
			<td class="width-15 active" rowspan="5"><label class="pull-right">客户单位:</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">业主单位：</label></td>
			<td class="width-30" colspan="3">
				${workFullManage.workClientInfo.name}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">客户信用等级：</label></td>
			<td class="width-30">
				${workFullManage.workClientInfo.creditRank}
			</td>
			<td class="width-15 active"><label class="pull-right">业主联系人：</label></td>
			<td class="width-30">
				${workFullManage.workClientInfo.workClientLinkman.name}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">职务：</label></td>
			<td class="width-30">
				${workFullManage.workClientInfo.workClientLinkman.position}
			</td>
			<td class="width-15 active"><label class="pull-right">联系方式：</label></td>
			<td class="width-30">
				${workFullManage.workClientInfo.workClientLinkman.linkPhone}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">QQ：</label></td>
			<td class="width-30">
				${workFullManage.workClientInfo.workClientLinkman.qq}
			</td>
			<td class="width-15 active"><label class="pull-right">Email：</label></td>
			<td class="width-30">
				${workFullManage.workClientInfo.workClientLinkman.email}
			</td>
		</tr>
		<tr>
			<td class="width-15 active" rowspan="2"><label class="pull-right">部门安排:</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">主办公司/部门：</label></td>
			<td class="width-30">
				${workFullManage.hostCompany}
			</td>
			<td class="width-15 active"><label class="pull-right">协办公司/部门：</label></td>
			<td class="width-30">
				${workFullManage.followCompany}
			</td>
		</tr>
		<tr>
			<td class="width-15 active" rowspan="3"><label class="pull-right">人员安排:</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">主办公司/部门负责人：</label></td>
			<td class="width-30">
				${workFullManage.hostMasterName}
			</td>
			<td class="width-15 active"><label class="pull-right">主办公司/部门项目组成员：</label></td>
			<td class="width-30">
				${workFullManage.hostMemberName}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">协办公司/部门负责人：</label></td>
			<td class="width-30">
				${workFullManage.followMasterName}
			</td>
			<td class="width-15 active"><label class="pull-right">协办公司/部门项目组成员：</label></td>
			<td class="width-30">
				${workFullManage.followMemberName}
			</td>
		</tr>
		</tbody>
	</table>
</form:form>
</body>
</html>