<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>备用金申请流程管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        var validateForm;
        function doSubmit(obj){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
            if(validateForm.form()){
                if(obj == 1){
                    $('#flag').val('yes');
                }else{
                    $('#flag').val('no');
                }
                $("#inputForm").submit();
                return true;
            }

            return false;
        }

        $('#btnPresent').click(function () {

            $.ajax({
                url:"${ctx}/workpettycash/workPettyCash/present",
                data:$('#loginForm').serialize(),
                type:"post",
                success:function(data){

                }
            });
        });

        $(document).ready(function() {
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
		});
	</script>
</head>

<body class="gray-bg">

  <div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>备用金申请详情 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
		<div class="ibox-content">
		<form:form id="inputForm" modelAttribute="workPettyCash" action="${ctx}/workpettycash/workPettyCash/saveAudit" method="post" class="form-horizontal">
		<form:hidden path="id"/>
			<form:hidden path="home"/>
		<form:hidden path="act.taskId"/>
		<form:hidden path="act.taskName"/>
		<form:hidden path="act.taskDefKey"/>
		<form:hidden path="act.procInsId"/>
		<form:hidden path="act.procDefId"/>
		<form:hidden id="flag" path="act.flag"/>
		<sys:message content="${message}"/>
			<c:set var="status" value="${workPettyCash.act.status}" />
			<div class="control-group">
			<label class="control-label">申请人：</label>
			<div class="controls" style="margin-top: 8px;">
				${workPettyCash.applicantName}
			</div>
			</div>
            <div class="control-group">
                <label class="control-label">申请部门：</label>
                <div class="controls" style="margin-top: 8px;">
                    ${workPettyCash.applicantOffice.name}
				</div>
            </div>
			<div class="control-group">
				<label class="control-label">事由：</label>
				<div class="controls" style="margin-top: 8px;">
					${workPettyCash.reason}
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">金额(元)：</label>
				<div class="controls" style="margin-top: 8px;">
					${workPettyCash.amount}
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">使用日期：</label>
				<div class="controls" style="margin-top: 8px;">
					<fmt:formatDate value="${workPettyCash.useDate}" pattern="yyyy-MM-dd"/>
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">归还日期：</label>
				<div class="controls" style="margin-top: 8px;">
					<fmt:formatDate value="${workPettyCash.returnDate}" pattern="yyyy-MM-dd"/>
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">出纳：</label>
				<div class="controls" style="margin-top: 8px;">
					${workPettyCash.casherName}
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">备注：</label>
				<div class="controls" style="margin-top: 8px;">
					${workPettyCash.remarks}
				</div>
			</div>

			<c:if test="${not empty status}">
				<div class="control-group">
					<label class="control-label">审批意见：</label>
					<div class="controls">
						<form:textarea path="act.comment" class="form-control" rows="3" maxlength="127"/>
					</div>
				</div>
				<%--<div class="form-actions">
				<c:if test="${workPettyCash.act.taskDefKey ne 'apply_end'}">
						<input id="btnSubmit" class="btn btn-primary" type="submit" value="同 意" onclick="$('#flag').val('yes')"/>&nbsp;
						<input id="btnSubmit" class="btn btn-inverse" type="submit" value="驳 回" onclick="$('#flag').val('no')"/>&nbsp;
				</c:if>
				<input id="btnCancel" class="btn" type="button" value="返 回" onclick="history.go(-1)"/>
				</div>--%>
			</c:if>
			<act:flowChart procInsId="${workPettyCash.act.procInsId}"/>
			<act:histoicFlow procInsId="${workPettyCash.act.procInsId}"/>
	</form:form>
	</div>
	</div>
	</div>
</body>
</html>