<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>工程项目信息管理</title>
	<meta name="decorator" content="default"/>
	<%@include file="/webpage/include/treetable.jsp" %>
	<script type="text/javascript">
		$(document).ready(function() {
            $("#treeTable").treeTable({expandLevel : 1,column:1}).show();
		});

        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['通过','驳回','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                         top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn3: function(index){
                }
            });
        }
        function openDialogres(title,url,width,height,target) {
            if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
                width = 'auto';
                height = 'auto';
            } else {//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url,
                btn: ['重新申请', '撤回','关闭'],
                btn1: function (index, layero) {
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if (target) {
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    } else {
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if (iframeWin.contentWindow.doSubmit(3)) {
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function () {
                            top.layer.close(index)
                        }, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2: function (index, layero) {
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if (target) {
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    } else {
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if (iframeWin.contentWindow.doSubmit(4)) {
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function () {
                            top.layer.close(index)
                        }, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn3: function(index){
                }
            });
        }
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>
			<ul class="nav nav-tabs">
				<li class="active"><a href="${ctx}/projectManagement/projectManagement/list">工程项目信息列表</a></li>
				<li><a href="${ctx}/projectManagement/projectManagement/workProjectManagementTodoList">待办任务</a></li>
				<li><a href="${ctx}/projectManagement/projectManagement/workProjectManagementHistoricList">已办任务</a></li>
			</ul>
		</h5>
	<%--	<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>--%>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workEngineeringProject" action="${ctx}/projectManagement/projectManagement/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
		<div class="form-group">
			<span>报告号：</span>
				<form:input path="reportNumber" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>项目名称：</span>
				<form:input path="projectId.name" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
				<%--<sys:gridselect url="${ctx}/workengineeringproject/workEngineeringProject/selectprojectId" id="projectId" name="projectId"  value="${workEngineeringProject.projectId.id}"  title="选择项目外键id" labelName="projectId.projectName"
					labelValue="${workEngineeringProject.projectId.projectName}" cssClass="form-control required" fieldLabels="项目id" fieldKeys="id" searchLabel="项目名称" searchKey="projectName" ></sys:gridselect>
			--%>
			<span>业务类型：</span>
				<form:select path="businessType"  class="form-control m-b">
					<form:option value="" label=""/>
					<form:options items="${fns:getMainDictList('business_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
				</form:select>
			<span>项目状态：</span>
			<form:select path="status"  class="form-control m-b">
				<form:option value="" label=""/>
				<form:options items="${fns:getDictList('engineering_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
			</form:select>
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="treeTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<%--<th> 序号</th>--%>
				<th style="text-align: center;width: 10%" class="sort-column projectId.number">项目编号</th>
				<%--<th  class="sort-column totalProjectName">总项目名称</th>--%>
				<th style="text-align: center;width: 10%" class="sort-column reportNumber">报告号</th>
				<th style="text-align: center;width: 15%" class="sort-column projectId.name">项目名称</th>
				<th style="text-align: center;width: 10%" class="sort-column businessType">业务类型</th>
				<th style="text-align: center;width: 13%" class="sort-column client.name">客户单位</th>
				<th style="text-align: center;width: 10%">项目负责人</th>
				<th style="text-align: center;width: 10%" class="sort-column createDate">创建时间</th>
				<th style="text-align: center;width: 8%" class="sort-column status">项目状态</th>
				<%--<th  class="sort-column status">三级校审</th>--%>
				<th style="text-align: center;width: 7%" >流程追踪</th>
				<th style="text-align: center;width: 7%">附件管理</th>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty page.list}">
		<c:forEach items="${page.list}" var="workEngineeringProject" varStatus="status">
			<tr id="${workEngineeringProject.id}" pId="${workEngineeringProject.totalProjectId ne '1'?workEngineeringProject.totalProjectId:'0'}">
				<%--<td> ${status.index+1 }</td>--%>
				<td>
					<span title="${workEngineeringProject.projectId.number}">${fns:abbr(workEngineeringProject.projectId.number,40)}</span>
				</td>
				<%--<td>--%>
					<%--<a  href="javascript:void(0)" onclick="openDialogView('查看工程项目信息', '${ctx}/workengineeringproject/workEngineeringProject/form?id=${workEngineeringProject.id}&name=view','80%','80%')">--%>
						<%--<span title="${workEngineeringProject.totalProjectName}">${fns:abbr(workEngineeringProject.totalProjectName,30)}</span>--%>
					<%--</a>--%>
				<%--</td>--%>
					<td>
						<a  href="javascript:void(0)" onclick="openDialogView('查看工程项目信息', '${ctx}/workengineeringproject/workEngineeringProject/form?id=${workEngineeringProject.id}&name=view','80%','80%')">
							<span title="${workEngineeringProject.projectId.name}">${fns:abbr(workEngineeringProject.projectId.name,30)}</span>
						</a>
					</td>
				<td>
					<span title="${workEngineeringProject.reportNumber}">${fns:abbr(workEngineeringProject.reportNumber,30)}</span>
				</td>

				<td>
					${fns:getMainDictLabel(workEngineeringProject.businessType, 'business_type', '')}
				</td>
				<td>
					<a  href="javascript:void(0)" onclick="openDialogView('查看客户管理', '${ctx}/workclientinfo/workClientInfo/detail?id=${workEngineeringProject.workClientInfo.id}','80%','80%')">
						<span title="${workEngineeringProject.workClientInfo.name}">${fns:abbr(workEngineeringProject.workClientInfo.name,30)}</span>
					</a>
				</td>
				<td>
						${fns:abbr(workEngineeringProject.hostOfficeMasterName,30)}
				</td>
				<td>
					<fmt:formatDate value="${workEngineeringProject.createDate}" pattern="yyyy-MM-dd"/>
				</td>
				<td>
					${fns:getDictLabel(workEngineeringProject.status, 'engineering_type', '')}
				</td>
				<%--<td>
					<c:choose>
						<c:when test="${workEngineeringProject.status eq '4' && workEngineeringProject.proofreadStatus ne '5'}">
							<c:choose>
								<c:when test="${empty workEngineeringProject.proofreadStatus && workEngineeringProject.createBy.id eq fns:getUser().id}">
									<a href="javascript:void(0)" onclick="openDialog('三级校审', '${ctx}/projectManagement/projectManagement/startThreeGradeExamination?id=${workEngineeringProject.id}&name=1','80%','80%')" class="btn btn-info btn-xs" > 三级校审</a>
								</c:when>
								<c:when test="${workEngineeringProject.proofreadStatus eq '2' && fn:containsIgnoreCase(workEngineeringProject.proofreadMaster,fns:getUser().id)}">
									<a href="javascript:void(0)" onclick="openDialogre('三级校审', '${ctx}/projectManagement/projectManagement/startThreeGradeExamination?id=${workEngineeringProject.id}&name=2','80%','80%')" class="btn btn-info btn-xs" > 三级校审</a>
								</c:when>
								<c:when test="${workEngineeringProject.proofreadStatus eq '2' &&  not empty workEngineeringProject.proofreadTotal && workEngineeringProject.proofreadTotal eq name}">
									<a href="javascript:void(0)" onclick="openDialogre('三级校审', '${ctx}/projectManagement/projectManagement/startThreeGradeExamination?id=${workEngineeringProject.id}&name=3','80%','80%')" class="btn btn-info btn-xs" > 三级校审</a>
								</c:when>
								<c:when test="${workEngineeringProject.proofreadStatus eq '2' &&  empty workEngineeringProject.proofreadTotal && empty workEngineeringProject.proofreadMaster && fns:getUser().id eq workEngineeringProject.createBy.id}">
									<a href="javascript:void(0)" onclick="openDialogres('三级校审', '${ctx}/projectManagement/projectManagement/startThreeGradeExamination?id=${workEngineeringProject.id}&name=5','80%','80%')" class="btn btn-info btn-xs" > 三级校审</a>
								</c:when>
								<c:otherwise>
									<a href="javascript:void(0)" onclick="openDialogView('三级校审', '${ctx}/projectManagement/projectManagement/startThreeGradeExamination?id=${workEngineeringProject.id}&name=4','80%','80%')" class="btn btn-info btn-xs" > 三级校审</a>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('当前状态不能进行三级校审!',{icon:2})" class="btn btn-default btn-xs">三级校审</a>
						</c:otherwise>
					</c:choose>
				</td>--%>
				<td>
					<div style="text-align: center">
					<c:choose>
						<c:when test="${workEngineeringProject.proofreadStatus == 4 && workEngineeringProject.queryCon eq 'true'  && fns:getUser().id eq workEngineeringProject.createBy.id}">
							<a href="javascript:void(0)" onclick="openDialogres('重新申请资格预审项目', '${ctx}/projectManagement/projectManagement/startThreeGradeExamination?id=${workEngineeringProject.id}&name=5','80%','80%')" class="btn btn-info btn-xs" > 重新申请</a>
						</c:when>
						<c:when test="${not empty workEngineeringProject.proofreadStatus}">
							<a href="javascript:void(0)" onclick="openDialogView('流程追踪', '${ctx}/workengineeringproject/workEngineeringProject/getProcess?id=${workEngineeringProject.id}&name=2','80%','80%')" class="btn btn-info btn-xs" > 流程追踪</a>
						</c:when>
						<c:when test="${workEngineeringProject.status eq 4 && workEngineeringProject.createBy.id eq fns:getUser().id}">
							<a href="javascript:void(0)" onclick="openDialog('三级校审', '${ctx}/projectManagement/projectManagement/startThreeGradeExamination?id=${workEngineeringProject.id}&name=5','80%','80%')" class="btn btn-info btn-xs" > 发起三级校审</a>
						</c:when>
						<c:otherwise>
							<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('三级校审流程未发起!',{icon:2})" class="btn btn-default btn-xs">流程追踪</a>
						</c:otherwise>
					</c:choose>
					</div>
				</td>
				<td>
					<div style="text-align: center">
					<a href="javascript:void(0)" onclick="openDialogView('附件列表', '${ctx}/projectManagement/projectManagement/getAttachmentList?id=${workEngineeringProject.id}','80%','80%')" class="btn btn-info btn-xs" > 附件列表</a>
					</div>
				</td>
			</tr>
		</c:forEach>
		</c:when>
			<c:otherwise>
				<tr>
					<td colspan="15" align="center">
						暂无数据
					</td>
				</tr>
			</c:otherwise>
		</c:choose>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>