<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目竣工</title>
	<meta name="decorator" content="default"/>
	<%@include file="/webpage/include/treetable.jsp" %>
	<script type="text/javascript">
        $(function(){
            $("#treeTable").treeTable({expandLevel : 2,column:1}).show();
        });
        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['提交','暂存','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    var $document = iframeWin.contentWindow.document;
                    var projectId = $($document.getElementById("projectId")).val();
                    var id = $($document.getElementById("id")).val();
                    location.href="${ctx}/workprojectcompletion/workProjectCompletion/save?id="+id+"&projectId="+projectId;
                    setTimeout(function(){
                        top.layer.close(index);
                    },0);
                },
                btn2: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    var $document = iframeWin.contentWindow.document;
                    var projectId = $($document.getElementById("projectId")).val();
                    var id = $($document.getElementById("id")).val();
                    location.href="${ctx}/workprojectcompletion/workProjectCompletion/store?id="+id+"&projectId="+projectId;
                    setTimeout(function(){
                        top.layer.close(index);
                    },0);
                },

                cancel: function(index){
                }
            });
        }
        function contractOpenDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['重新申请','撤回','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
//                    var $document = iframeWin.contentWindow.document;
//                    var projectId = $($document.getElementById("projectId")).val();
//                    var id = $($document.getElementById("id")).val();
                    <%--location.href="${ctx}/workprojectcompletion/workProjectCompletion/saveAudit?id="+id+"&projectId="+projectId;--%>
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        top.layer.close(index);
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
//                    var $document = iframeWin.contentWindow.document;
//                    var projectId = $($document.getElementById("projectId")).val();
//                    var id = $($document.getElementById("id")).val();
                    <%--location.href="${ctx}/workprojectcompletion/workProjectCompletion/saveAudit?id="+id+"&projectId="+projectId;--%>
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        top.layer.close(index);
                    }
                    return false;
                },
                btn3: function(index){
                }
            });

        }
	</script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-title" style="height: 70px;">
			<h5>
				<ul class="nav nav-tabs">
					<li class="active"><a href="${ctx}/workprojectcompletion/workProjectCompletion/workFullManageList">项目竣工管理</a></li>
					<li><a href="${ctx}/workprojectcompletion/workProjectCompletion/toDoList">待办任务</a></li>
					<li ><a href="${ctx}/workprojectcompletion/workProjectCompletion/HistoryList">已办任务</a></li>
				</ul>
			</h5>
			<%--<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>

			</div>--%>
		</div>

		<div class="ibox-content">
			<sys:message content="${message}"/>

			<!--查询条件-->
			<div class="row">
				<div class="col-sm-12">
					<form:form id="searchForm" modelAttribute="workFullManage" action="${ctx}/workprojectcompletion/workProjectCompletion/workFullManageList" method="post" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
						<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
						<div class="form-group">
							<label>项目编号：</label>
							<form:input path="fullProjectNumber" htmlEscape="false"  class="form-control required"/>
							<label>项目名称：</label>
							<form:input path="fullProjectName" htmlEscape="false"    class="form-control required"/>
							<p></p>
						</div>
					</form:form>
					<br/>
				</div>
			</div>

			<!-- 工具栏 -->
			<div class="row">
				<div class="col-sm-12">
					<div class="pull-right">
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
					</div>
				</div>
			</div>

			<!-- 表格 -->
			<table id="treeTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
				<thead>
				<tr>
					<%--<th> <input type="checkbox" class="i-checks"></th>--%>
					<%--<th  class="sort-column totalFullName">总项目名称</th>--%>
					<th style="text-align: center;width: 20%"  class="sort-column fullProjectName">项目名称</th>
					<th style="text-align: center;width: 20%"  class="sort-column ciName">客户单位</th>
					<th style="text-align: center;width: 10%"  class="sort-column ''">项目负责人</th>
					<th style="text-align: center;width: 13%"  class="sort-column createDate">创建日期</th>
					<th style="text-align: center;width: 8%"  class="sort-column fullProjectStatus">当前状态</th>
					<th style="text-align: center;width: 8%"  class="sort-column ''">项目竣工</th>
					<th style="text-align: center;width: 8%"  class="sort-column ''">流程追踪</th>
					<th style="text-align: center;width: 8%">操作</th>
				</tr>
				</thead>
				<tbody>
				<c:choose>
					<c:when test="${not empty page.list}">
						<c:forEach items="${page.list}" var="workFullManage">
							<tr id="${workFullManage.id}" pId="${workFullManage.totalFullId ne '1'?workFullManage.totalFullId:'0'}">
								<%--<td> <input type="checkbox" id="${workFullManage.id}" class="i-checks"></td>--%>
								<%--<td>--%>
									<%--<span title="${workFullManage.fullProjectNumber}">${fns:abbr(workFullManage.fullProjectNumber,30)}</span>--%>
								<%--</td>--%>
								<%--<td>--%>
									<%--<a  href="javascript:void(0)" onclick="openDialogView('查看项目登记', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.totalFullId}&tabId=0','80%','80%')">--%>
										<%--<span title="${workFullManage.totalFullName}">${fns:abbr(workFullManage.totalFullName,30)}</span>--%>
									<%--</a>--%>
								<%--</td>--%>
								<td>
									<a  href="javascript:void(0)" onclick="openDialogView('查看项目登记', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=0','80%','80%')">
										<span title="${workFullManage.fullProjectName}">${fns:abbr(workFullManage.fullProjectName,30)}</span>
									</a>
								</td>
								<td>
									<a  href="javascript:void(0)" onclick="openDialogView('查看客户合同信息', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=3','80%','80%')">
										<span title="${workFullManage.ciName}">${fns:abbr(workFullManage.ciName,30)}</span>
									</a>
								</td>
								<td>
									<span title="${workFullManage.hostMasterName}">${fns:abbr(workFullManage.hostMasterName,30)}</span>
								</td>
								<td>
									<fmt:formatDate value="${workFullManage.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
								</td>
								<td>
									<c:choose>
										<c:when test="${empty workFullManage.workProjectCompletion.projectStatus}">
											未开始
										</c:when>
										<c:otherwise>
											${fns:getDictLabel(workFullManage.workProjectCompletion.projectStatus, 'project_complete_status', '')}
										</c:otherwise>
									</c:choose>
								</td>

								<td>
									<div style="text-align: center">
									<c:choose>
										<c:when test="${workFullManage.fullProjectStatus >= 4}">
											<c:choose>
												<c:when test="${workFullManage.workProjectCompletion.projectStatus == 2 && workFullManage.queryCon eq 'true'}">
													<c:choose>
														<c:when test="${workFullManage.workProjectCompletion.createBy.id == fns:getUser().id}">
															<a href="javascript:void(0)" onclick="contractOpenDialogre('项目竣工','${ctx}/workprojectcompletion/workProjectCompletion/form?id=${workFullManage.workProjectCompletion.id}&projectId=${workFullManage.id}&tabId=1','80%','80%')" class="btn btn-info btn-xs">项目竣工</a>
														</c:when>
														<c:otherwise>
															<a href="javascript:parent.layer.msg('只有登记人能操作',{icon:5})" class="btn btn-default btn-xs">项目竣工</a>
														</c:otherwise>
													</c:choose>
												</c:when>
												<c:otherwise>
													<c:choose>
														<c:when test="${workFullManage.workProjectCompletion.projectStatus == 0 or workFullManage.workProjectCompletion.projectStatus == 4  or empty workFullManage.workProjectCompletion.projectStatus}">
															<c:choose>
																<c:when test="${workFullManage.createBy.id == fns:getUser().id}">
																	<a href="javascript:void(0)" onclick="openDialogre('项目竣工','${ctx}/workprojectcompletion/workProjectCompletion/form?id=${workFullManage.workProjectCompletion.id}&projectId=${workFullManage.id}','80%','80%')" class="btn btn-info btn-xs">项目竣工</a>
																</c:when>
																<c:otherwise>
																	<a href="javascript:parent.layer.msg('只有登记人能操作',{icon:5})" class="btn btn-default btn-xs">项目竣工</a>
																</c:otherwise>
															</c:choose>
														</c:when>
														<c:otherwise>
															<c:choose>
																<c:when test="${workFullManage.workProjectCompletion.projectStatus == 3}">
																	<a href="javascript:parent.layer.msg('项目竣工已通过,不能再次申请',{icon:5})" class="btn btn-default btn-xs">项目竣工</a>
																</c:when>
																<c:otherwise>
																	<a href="javascript:parent.layer.msg('当前项目竣工审核,不能再次申请',{icon:5})" class="btn btn-default btn-xs">项目竣工</a>
																</c:otherwise>
															</c:choose>
														</c:otherwise>
													</c:choose>
												</c:otherwise>
											</c:choose>
										</c:when>
										<c:otherwise>
												<a href="javascript:parent.layer.msg('还未到项目竣工阶段，暂不能操作',{icon:5})" class="btn btn-default btn-xs">项目竣工</a>
										</c:otherwise>
									</c:choose>
									</div>
								</td>
								<td>
									<div style="text-align: center">
									<c:choose>
										<c:when test="${not empty workFullManage.workProjectCompletion.projectStatus}">
											<a  href="javascript:void(0)" onclick="openDialogView('流程追踪', '${ctx}/workprojectcompletion/workProjectCompletion/getProcess?processInstanceId=${workFullManage.workProjectCompletion.processInstanceId}','80%','80%')"class="btn btn-info btn-xs">
												流程追踪
											</a>
										</c:when>
										<c:otherwise>
											<a href="javascript:parent.layer.msg('当前流程未启动，暂无流程！',{icon:5})" class="btn btn-default btn-xs">流程追踪</a>
										</c:otherwise>
									</c:choose>
									</div>
								</td>
								<td>
									<div style="text-align: center">
									<a href="javascript:void(0)" onclick="openDialogView('查看项目竣工信息', '${ctx}/workprojectcompletion/workProjectCompletion/lookForm?id=${workFullManage.workProjectCompletion.id}&projectId=${workFullManage.id}','80%','80%')" class="btn btn-info btn-xs" >查看</a>
									</div>
								</td>
							</tr>
						</c:forEach>
					</c:when>
					<c:otherwise>
						<tr>
							<td colspan="9" align="center">暂无数据</td>
						</tr>
					</c:otherwise>
				</c:choose>
				</tbody>
			</table>

			<!-- 分页代码 -->
			<table:page page="${page}"></table:page>
			<br/>
			<br/>
		</div>
	</div>
</div>
</body>
</html>