<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>项目竣工待办管理</title>
    <meta name="decorator" content="default"/>
    <script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
    <script type="text/javascript">
        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            debugger
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['提交','关闭'],
                yes: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    debugger
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    var $document = iframeWin.contentWindow.document;
                    var workProjectCompletionInfoId = $($document.getElementById("workProjectCompletionInfoId")).val();
                    var status = $($document.getElementById("status")).val();
                    location.href="${ctx}/workprojectcompletion/workProjectCompletion/save?id="+workProjectCompletionInfoId;
                    setTimeout(function(){
                        top.layer.close(index);
                    },1000);
                },

                cancel: function(index){
                }
            });
        }
    </script>
    <script>
        function openAuditDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['同意','驳回','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn3: function(index){
                }
            });

        }
    </script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
    <div class="ibox">
        <div class="ibox-title">
            <h5>
                <ul class="nav nav-tabs">
                    <li ><a href="${ctx}/workprojectcompletion/workProjectCompletion/workFullManageList">项目竣工管理</a></li>
                    <li class="active"><a href="${ctx}/workprojectcompletion/workProjectCompletion/toDoList">待办任务</a></li>
                    <li ><a href="${ctx}/workprojectcompletion/workProjectCompletion/HistoryList">已办任务</a></li>
                </ul>
            </h5>
           <%-- <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
                <a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
                    <i class="fa fa-wrench"></i>
                </a>
                <ul class="dropdown-menu dropdown-user">
                    <li><a href="javascript:void(0)">选项1</a>
                    </li>
                    <li><a href="javascript:void(0)">选项2</a>
                    </li>
                </ul>
                <a class="close-link">
                    <i class="fa fa-times"></i>
                </a>
            </div>--%>
        </div>

        <div class="ibox-content">
            <sys:message content="${message}"/>
            <!--查询条件-->
            <div class="row">
                <div class="col-sm-12">
                    <form:form id="searchForm" modelAttribute="act" action="${ctx}/workprojectcompletion/workProjectCompletion/toDoList" method="get" class="form-inline">
                        <input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
                        <input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
                        <table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
                        <div class="form-group">
                            <label>创建时间：</label>
                            <input class="form-control layer-date laydate-icon" id="beginDate" name="beginDate" value="<fmt:formatDate value="${act.beginDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
                            　--　
                            <input class="form-control layer-date laydate-icon" id="endDate" name="endDate" value="<fmt:formatDate value="${act.endDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
                        </div>
                    </form:form>
                    <br/>
                </div>
            </div>

            <!-- 工具栏 -->
            <div class="row">
                <div class="col-sm-12">
                    <div class="pull-right">
                        <button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
                        <button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
                    </div>
                </div>
            </div>

            <!-- 表格 -->
            <table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
                <thead>
                <tr>
                    <%--<th> <input type="checkbox" class="i-checks"></th>--%>
                    <th style="text-align: center;"  class="sort-column createBy.name">流程发起人</th>
                    <th style="text-align: center;"  class="sort-column task.name">当前环节</th>
                    <th style="text-align: center;"  class="sort-column procDef.name">流程名称</th>
                    <th style="text-align: center;"  class="sort-column procDef.revision">流程版本</th>
                    <th style="text-align: center;"  class="sort-column task.createTime">创建日期</th>
                    <th style="text-align: center;"  class="sort-column ''">流程追踪</th>
                    <th style="text-align: center;">操作</th>
                </tr>
                </thead>
                <tbody>
                <c:choose>
                    <c:when test="${not empty page.list}">
                        <c:forEach items="${page.list}" var="workProjectCompletionInfo">
                            <c:set var="task" value="${workProjectCompletionInfo.act.task}" />
                            <c:set var="vars" value="${workProjectCompletionInfo.act.vars}" />
                            <c:set var="procDef" value="${workProjectCompletionInfo.act.procDef}" /><%--
				<c:set var="procExecUrl" value="${act.procExecUrl}" /> --%>
                            <c:set var="status" value="${workProjectCompletionInfo.act.status}" />
                            <tr>
                                <%--<td> <input type="checkbox" id="${workProjectCompletionInfo.id}" class="i-checks"></td>--%>
                                <td>
                                    ${workProjectCompletionInfo.createBy.name}
                                </td>
                                <td>
                                    ${task.name}
                                </td>
                                <td>
                                    ${procDef.name}
                                </td>

                                <td>
                                    <b title='流程版本号'>V: ${procDef.revision}</b>
                                </td>
                                <td>
                                    <fmt:formatDate value="${task.createTime}" pattern="yyyy-MM-dd"/>
                                </td>
                                <td>
                                    <a  href="javascript:void(0)" onclick="openDialogView('流程追踪', '${ctx}/workprojectcompletion/workProjectCompletion/getProcess?processInstanceId=${workProjectCompletionInfo.processInstanceId}','80%','80%')"class="btn btn-info btn-xs">
                                        流程追踪
                                    </a>
                                </td>
                                <td>
                                    <div style="text-align: center">
                                    <a href="javascript:void(0)" onclick="openAuditDialogre('項目竣工审批', '${ctx}/workprojectcompletion/workProjectCompletion/applyOnLeave?id=${workProjectCompletionInfo.id}&projectId=${workProjectCompletionInfo.projectId}&taskId=${task.id}&taskName=${fns:urlEncode(task.name)}&taskDefKey=${task.taskDefinitionKey}&procInsId=${task.processInstanceId}&procDefId=${task.processDefinitionId}&status=${status}','80%','80%','','同意','驳回')" class="btn btn-success btn-xs" > 任务办理</a>
                                    <a href="javascript:void(0)" onclick="openDialogView('查看项目竣工信息', '${ctx}/workprojectcompletion/workProjectCompletion/lookForm?id=${workProjectCompletionInfo.id}&projectId=${workProjectCompletionInfo.projectId}','80%','80%')" class="btn btn-info btn-xs" >竣工详情</a>
                                    </div>
                                </td>
                            </tr>
                        </c:forEach>
                    </c:when>
                    <c:otherwise>
                        <tr>
                            <td colspan="8" align="center">暂无数据</td>
                        </tr>
                    </c:otherwise>
                </c:choose>

                </tbody>
            </table>

            <!-- 分页代码 -->
            <table:page page="${page}"></table:page>
            <br/>
            <br/>
        </div>
    </div>
</div>
</body>
</html>