<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>收入结算管理</title>
    <meta name="decorator" content="default"/>
    <style>
        .widthClass{
            display: inline-block;
        }
        .shows .input-group{
            width: 48%!important;
        }
    </style>
    <style>
        body{
            background-color:transparent;
            filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
            color:#ffffff;
            background-color:rgba(255,255,255,0);
            height:100%;
        }
    </style>
	<script type="text/javascript">
        $(document).ready(function() {
            $("#cus_name").show();
            $("#cus_name").siblings().hide();
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });
            laydate.render({
                elem: '#beginDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            laydate.render({
                elem: '#endDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
        });
        function openDialogre(title,url,width,height,target,buttons) {

            if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
                width = 'auto';
                height = 'auto';
            } else {//如果是PC端，根据用户设置的width和height显示。

            }
            var split = buttons.split(",");
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                skin: 'three-btns',
                content: url,
                btn: split,
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    if(split.length==2){return}
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }else {
                        return false;
                    }
                },
                btn3: function (index) {
                }
            });
        }
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
    <sys:message content="${message}"/>
    <div class="layui-row">
        <div class="full-width fl">
            <div class="contentShadow layui-row" id="queryDiv">
                <form:form id="searchForm" modelAttribute="workReceiptsSettle" action="${ctx}/workreceipts/workReceiptsSettle/list" method="post" class="form-inline">
                    <input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
                    <input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
                    <table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
                    <div class="commonQuery">
                        <div class="layui-item query athird">
                            <label class="layui-form-label">结算部门：</label>
                            <div class="layui-input-block with-icon">
                                <sys:treeselect id="office" name="office.id" value="${workReceiptsSettle.office.id}" labelName="office.name" labelValue="${workReceiptsSettle.office.name}"
                                                title="部门" url="/sys/office/treeData?type=2" cssClass="form-control layui-input"/>
                            </div>
                        </div>
                        <div class="layui-item query athird">
                            <label class="layui-form-label">结算编号：</label>
                            <div class="layui-input-block">
                                <form:input path="num" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
                            </div>
                        </div>
                        <div class="layui-item athird">
                            <div class="input-group">
                                <a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
                                <button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
                                <button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
                            </div>
                        </div>
                        <div style="    clear:both;"></div>
                    </div>
                    <div id="moresees" style="clear:both;display:none;">
                        <div class="layui-item query athird">
                            <label class="layui-form-label">结算日期：</label>
                            <div class="layui-input-block">
                                <input id="beginDate" name="beginDate" type="text" readonly="readonly" placeholder="开始时间" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
                                       value="<fmt:formatDate value="${workReceiptsSettle.beginDate}" pattern="yyyy-MM-dd"/>"/>
                                </input>
                                <span class="group-sep">-</span>
                                <input id="endDate" name="endDate" type="text" readonly="readonly" placeholder="结束时间" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
                                       value="<fmt:formatDate value="${workReceiptsSettle.endDate}" pattern="yyyy-MM-dd"/>"/>
                                </input>
                            </div>
                        </div>
                        <div class="layui-item query athird">
                            <label class="layui-form-label">结算人：</label>
                            <div class="layui-input-block">
                                <form:input path="createBy.name" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
                            </div>
                        </div>
                    </div>
                </form:form>
            </div>
        </div>

        <div class="full-width fl">
            <div class="contentShadow layui-form contentDetails">
                <div class="nav-btns">
                    <%--此处按钮样式包括 nav-btn-add nav-btn-refresh nav-btn-import nav-btn-export nav-btn-query nav-btn-reset--%>
                        <shiro:hasPermission name="workreceipts:workReceiptsSettle:add">
                            <table:addRow url="${ctx}/workreceipts/workReceiptsSettle/form" title="收入结算"></table:addRow><!-- 增加按钮 -->
                        </shiro:hasPermission>
                        <shiro:hasPermission name="workreceipts:workReceiptsSettle:import">
                            <table:importExcel url="${ctx}/workreceipts/workReceiptsSettle/import"></table:importExcel><!-- 导入按钮 -->
                        </shiro:hasPermission>
                        <shiro:hasPermission name="workreceipts:workReceiptsSettle:export">
                            <table:exportExcel url="${ctx}/workreceipts/workReceiptsSettle/export"></table:exportExcel><!-- 导出按钮 -->
                        </shiro:hasPermission>
                    <button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
                    <div style="clear: both;"></div>
                </div>
                <table class="oa-table layui-table" id="contentTable"></table>

                <!-- 分页代码 -->
                <table:page page="${page}"></table:page>
                <div style="clear: both;"></div>
            </div>
        </div>
    </div>
    <div id="changewidth"></div>
</div>
	<!-- 工具栏 -->
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                {field:'index',align:'center', title: '序号',width:40}
                ,{field:'num',align:'center', title: '结算单号',sort:true,minWidth:200,templet:function(d){
                        var xml = "<a class=\"attention-info\" href=\"javascript:void(0);\" onclick=\"openDialogView('查看收入结算', '${ctx}/workreceipts/workReceiptsSettle/view?id="+d.id+"','95%','95%')\">" +
                            "<span title=" + d.num + ">" + d.num + "</span></a>";
                        return xml;
                    }}
                ,{field:'officeName',align:'center', title: '结算部门',minWidth:150}
                ,{field:'createBy',align:'center', title: '结算人', minWidth:150}
                ,{field:'createDate', align:'center',sort:true,title: '结算日期',minWidth:200}
                ,{align:'center', title: '状态',  width:70,templet:function(d){
                        var st = getAuditState(d.state)
                        var xml = "<span onclick=\"openDialogView('流程追踪', '${ctx}/workreceipts/workReceiptsSettle/getProcess?id=" + d.id + "','95%','95%')\" class=\"status-label status-label-" + st.label + "\" >" + st.status + "</span>";
                        return xml;
                    }}
                ,{field:'op',align:'center',title:"操作",width:130,templet:function(d){
                        ////对操作进行初始化
                        var xml = "";

                        if(d.canedit != undefined && d.canedit == "1"){
                            xml +="<a href=\"javascript:void(0)\" onclick=\"openDialog('修改收入结算', '${ctx}/workreceipts/workReceiptsSettle/form?id=" + d.id+"','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i>修改</a>"
                        }
                        if(d.canmodify != undefined && d.canmodify =="1"){
                            xml+="<a href=\"#\" onclick=\"openDialogre('修改收入结算', '${ctx}/workreceipts/workReceiptsSettle/modify?id=" + d.id + "','95%', '95%','','送审,关闭')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";
                        }
                        if(d.canrecall != undefined && d.canrecall =="1"){
                            xml+="<a href=\"#\" onclick=\"openDialogre('修改收入结算', '${ctx}/workreceipts/workReceiptsSettle/form?id=" + d.id + "','95%', '95%','','送审,关闭')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";
                        }
                        if(d.candelete != undefined && d.candelete == "1"){
                            xml +="<a href=\"${ctx}/workreceipts/workReceiptsSettle/delete?id=" + d.id+"\" onclick=\"return confirmx('确认要删除该收入结算吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 删除</a>";
                        }
                        if(d.cancancel != undefined && d.cancancel =="1"){
                            xml+="<a href=\"${ctx}/workreceipts/workReceiptsSettle/revoke?id=" + d.id + "&processInstanceId=" + d.procId + "\" onclick=\"return confirmx('确认要撤回该结算审批吗？', this.href)\" class=\"op-btn op-btn-cancel\" ><i class=\"glyphicon glyphicon-share-alt\"></i> 撤回</a>";
                        }

                        return xml;
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workReceiptsSettle" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"id":"${workReceiptsSettle.id}"
                    ,"num":"<c:out value="${workReceiptsSettle.num}" escapeXml="true"/>"
                    ,'officeName':"${workReceiptsSettle.office.name}"
                    ,'createBy':"${workReceiptsSettle.createBy.name}"
                    ,"createDate":"<fmt:formatDate value="${workReceiptsSettle.createDate}" pattern="yyyy-MM-dd"/>"
                    ,"state":"${workReceiptsSettle.state}"
                    ,"procId":"${workReceiptsSettle.processInstanceId}"
                    <c:if test="${flag == '1' or fns:getUser().id == workReceiptsSettle.createBy.id}">
                    <shiro:hasPermission name="workreceipts:workReceiptsSettle:edit">,"canedit":<c:choose><c:when test="${workReceiptsSettle.state == 1}">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose>
                    ,"canmodify":<c:choose><c:when test="${workReceiptsSettle.state == 4}">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose>
                    ,"canrecall":<c:choose><c:when test="${workReceiptsSettle.state == 3}">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose>
                    </shiro:hasPermission>
                    <shiro:hasPermission name="workreceipts:workReceiptsSettle:del">,"candelete":<c:choose><c:when test="${workReceiptsSettle.state == 1 or workReceiptsSettle.state == 3 or workReceiptsSettle.state == 4}">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose></shiro:hasPermission>
                        ,"cancancel":<c:choose><c:when test="${workReceiptsSettle.state == 2}">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose>
                    </c:if>
                }
                </c:forEach>
                </c:if>
            ]
        });

    })

    resizeListTable(130);/*消除由于有竖向滚动条造成table出现横向滚动条*/
    $("a").on("click",addLinkVisied);
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>