<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>工资项管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        $(document).ready(function() {
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });
        });
        function openDialogre(title,url,width,height,target){

            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: false, //开启最大化最小化按钮
                skin: 'three-btns',
                content: url ,
                btn: ['提交','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn3: function(index){
                }
            });
        }
	</script>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">

				<form:form id="searchForm" modelAttribute="workSalaryItem" action="${ctx}/worksalaryitem/workSalaryItem/" method="post" class="form-inline">
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<div class="commonQuery lw8">
						<div class="layui-item query athird">
							<label class="layui-form-label">工资项名称:</label>
							<div class="layui-input-block">
								<form:input id="name" path="name" htmlEscape="false" class="form-control  layui-input"/>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">工资项编号：</label>
							<div class="layui-input-block">
								<form:input path="num" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
							</div>
						</div>
						<div class="layui-item athird">
							<div class="input-group">
								<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
								<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
					<div id="moresees" class="lw8" style="clear:both;display:none;">
					</div>
				</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<%--此处按钮样式包括 nav-btn-add nav-btn-refresh nav-btn-import nav-btn-export nav-btn-query nav-btn-reset--%>
					<shiro:hasPermission name="worksalaryitem:workSalaryItem:add">
						<button class="nav-btn nav-btn-add" title="工资项" onclick="openDialogre('工资项','${ctx}/worksalaryitem/workSalaryItem/form','95%','95%')"><i class="fa fa-plus"></i>&nbsp;添加</button>
					</shiro:hasPermission>

					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center', title: '序号',width:40}
                ,{field:'num',align:'center',title: '工资项编号',minWidth:160,templet:function(d){
                    var xml = "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('查看工资项', '${ctx}/worksalaryitem/workSalaryItem/form?id=" + d.id + "&tabId=1','95%','95%')\">" +
                        "<span title=" + d.num + ">" + d.num + "</span></a>";
                    return xml;
                }}
                ,{field:'name',align:'center', title: '工资项名称',minWidth:160,templet:function(d){
                    return "<span title='"+ d.name +"'>" + d.name + "</span>";
                }}
                ,{field:'type',align:'center', title: '工资项类型',minWidth:160,templet:function(d){
                    return "<span title='"+ d.type +"'>" + d.type + "</span>";
                }}
                ,{field:'setMethod',align:'center', title: '设置方式',minWidth:160,templet:function(d){
                    return "<span title='"+ d.setMethod +"'>" + d.setMethod + "</span>";
                }}
                ,{field:'state', align:'center',title: '禁用状态',minWidth:160,templet:function(d){
                    return "<span title='"+ d.state +"'>" + d.state + "</span>";
                }}
                ,{field:'op',align:'center',title:"操作",minWidth:160,templet:function(d){
                    ////对操作进行初始化
                    var xml = "";
                    if(d.canedit1 != undefined && d.canedit1 == "1")
                        xml +="<a href=\"javascript:void(0)\" onclick=\"openDialogre('修改工资项信息', '${ctx}/worksalaryitem/workSalaryItem/form?id="+ d.id + "','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";
                   	if(d.canedit2 != undefined && d.canedit2 == "1")
                        xml +="<a href=\"${ctx}/worksalaryitem/workSalaryItem/edits?tabId=3&id=" + d.id + "\" onclick=\"return confirmx('确认要禁用吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 禁用</a>";
                    if(d.canedit3 != undefined && d.canedit3 == "1")
                        xml +="<a href=\"${ctx}/worksalaryitem/workSalaryItem/edits?tabId=4&id=" + d.id + "\" onclick=\"return confirmx('确认要启用吗？', this.href)\"   class=\"op-btn op-btn-edit\"><i class=\"fa fa-plus\"></i> 启用</a>";
                    if(d.candelete != undefined && d.candelete == "1")
                        xml +="<a href=\"${ctx}/worksalaryitem/workSalaryItem/delete?id=" + d.id + "\" onclick=\"return confirmx('确认要删除该合同归档申请吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 删除</a>";
                    return xml;
                }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workSalaryItem" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"id":"${workSalaryItem.id}"
                    ,"num":"${workSalaryItem.num}"
                    ,"name":"${workSalaryItem.name}"
                    ,"setMethod":"${fns:getDictLabel(workSalaryItem.setMethod, 'salaryItem_setMethod', '')}"
                    ,"type":"${fns:getDictLabel(workSalaryItem.type, 'salaryItem_type', '')}"
                    ,"state":"${fns:getDictLabel(workSalaryItem.state, 'salaryItem_state', '')}"
                    <c:if test="${fns:getUser().id == workSalaryItem.createBy.id}">
                    <shiro:hasPermission name="worksalaryitem:workSalaryItem:edit"><c:choose>
						<%--<c:when test="${'1' == '1' }">,"canedit1":"1"</c:when>--%>
                    	<c:when test="${workSalaryItem.state == '2' }">,"canedit2":"1","canedit1":"1"</c:when>
                    	<c:when test="${workSalaryItem.state == '1' }">,"canedit3":"1","canedit1":"1"</c:when>
                    </c:choose></shiro:hasPermission>
                    <shiro:hasPermission name="worksalaryitem:workSalaryItem:del"><c:choose>
                    <c:when test="${'1' == '1' }">,"candelete":"1"</c:when>
                    </c:choose></shiro:hasPermission>
                    </c:if>
                }
                </c:forEach>
                </c:if>
            ]
            // ,even: true
            // ,height: 315
        });

    })

    resizeListTable();
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>