<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>员工信息管理</title>
	<meta name="decorator" content="default"/>
    <style>
        body{
            background-color:transparent;
            filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
            color:#ffffff;
            background-color:rgba(255,255,255,0);
            height:100%;
        }
    </style>
    <script type="text/javascript">
        var validateForm;
        $(document).ready(function() {
            $("#cus_name").show();
            $("#cus_name").siblings().hide();
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });
            laydate.render({
                elem: '#beginEntryDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            laydate.render({
                elem: '#endEntryDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            laydate.render({
                elem: '#beginBirthdayDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            laydate.render({
                elem: '#endBirthdayDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            laydate.render({
                elem: '#beginWorkDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'month'
            });
            laydate.render({
                elem: '#endWorkDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'month'
            });

            validateForm = $("#searchForm").validate({
                submitHandler: function(form){
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $("#messageBox").text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
        });

        jQuery.validator.addMethod("percent", function(value, element) {
            var length = value.length;
            var phone = /^(100|[1-9]?\d(\.\d\d?)?)%$/;
            return this.optional(element) || (phone.test(value));
        }, "请填写正确的百分数");

        function openDialog(title,url,width,height,target) {
            if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
                width = 'auto';
                height = 'auto';
            } else {//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url,
                btn: ["提交","关闭"],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示

                    if(iframeWin.contentWindow.doSubmit(index) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn2: function (index) {

                }
            });
        }
        function setParentInfo(ids,names,nos,salarys){
            return;
        }

        function formatNum(obj) {
            var val = $(obj).val();
            if(val==null||val==''|| isNaN(val))return;
            var money = parseFloat((val + "").replace(/[^\d\.-]/g, "")).toFixed(2) + "";
            var l = money.split(".")[0].split("").reverse(),
                r = money.split(".")[1];
            t = "";
            for(i = 0; i < l.length; i ++ )
            {
                t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
            }
            $(obj).val(t.split("").reverse().join("") + "." + r);
        }

        $(document).ready(function() {
            $('#contentTable thead tr th input.i-checks').on('ifChecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定
                $('#contentTable tbody tr td input.i-checks').iCheck('check');
            });

            $('#contentTable thead tr th input.i-checks').on('ifUnchecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定
                $('#contentTable tbody tr td input.i-checks').iCheck('uncheck');
            });

        });
        function completeAll(){
            var checkStatus = layui.table.checkStatus('contentTable'); //test即为基础参数id对应的值
            var checkeddata = checkStatus.data;
            if(checkeddata.length == 0){
                top.layer.alert('请至少选择一条数据!', {icon: 0, title:'警告'});
                return;
            }
            var str="";
            var ids="";
            for(var i=0;i<checkeddata.length;i++){
                str +=checkeddata[i].id+',';
            }
            if(str.substr(str.length-1)== ','){
                ids = str.substr(0,str.length-1);
            }

            top.layer.confirm('确认要通知员工完善数据吗?', {icon: 3, title:'系统提示'}, function(index){
                window.location = "${ctx}/workstaff/workStaffBasicInfo/complete?achiveIds="+ids;
                top.layer.close(index);
            });


        }
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
    <sys:message content="${message}"/>
    <div class="layui-row">
        <div class="full-width fl">
            <div class="contentShadow layui-row" id="queryDiv">
            <form:form id="searchForm" modelAttribute="workStaffBasicInfo" action="${ctx}/workstaff/workStaffBasicInfo/achivelist" method="post" class="form-inline">
                <input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
                <input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
                <table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
                <div class="commonQuery">
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">姓    名：</label>
                        <div class="layui-input-block">
                            <form:input path="name" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">工    号：</label>
                        <div class="layui-input-block">
                            <form:input path="no" htmlEscape="false" maxlength="10"  class=" form-control layui-input"/>
                        </div>
                    </div>
                    <div class="layui-item athird fr">
                        <div class="input-group">
                            <a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
                            <button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
                            <button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
                        </div>
                    </div>
                    <div style="    clear:both;"></div>
                </div>
                <div id="moresees" style="clear:both;display:none;">
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">移动电话：</label>
                        <div class="layui-input-block">
                            <form:input path="mobile" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">性别：</label>
                        <div class="layui-input-block">
                            <form:select path="gender" class="form-control simple-select">
                                <form:option value="" label=""/>
                                <form:options items="${fns:getDictList('sex')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
                            </form:select>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">民族：</label>
                        <div class="layui-input-block">
                            <form:select path="nation" class="form-control simple-select">
                                <form:option value="" label=""/>
                                <form:options items="${fns:getDictList('nation_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
                            </form:select>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">身份证号码：</label>
                        <div class="layui-input-block">
                            <form:input path="idCard" htmlEscape="false" maxlength="20"  class=" form-control layui-input"/>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">公历/农历：</label>
                        <div class="layui-input-block">
                            <form:select path="calendar" class="form-control simple-select">
                                <form:option value="" label=""/>
                                <form:options items="${fns:getDictList('calendar_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
                            </form:select>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">出生日期：</label>
                        <div class="layui-input-block">
                            <input id="beginBirthdayDate" name="beginBirthdayDate" type="text" placeholder="开始时间" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
                                   value="<fmt:formatDate value="${workStaffBasicInfo.beginBirthdayDate}" pattern="yyyy-MM-dd"/>"/>
                            </input>
                            <span class="group-sep">-</span>
                            <input id="endBirthdayDate" name="endBirthdayDate" type="text" placeholder="结束时间" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
                                   value="<fmt:formatDate value="${workStaffBasicInfo.endBirthdayDate}" pattern="yyyy-MM-dd"/>"/>
                            </input>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">年龄：</label>
                        <div class="layui-input-block">
                            <input name="minAge" htmlEscape="false" value="${workStaffBasicInfo.minAge}" class="form-control digits layui-input query-group"/>
                            <span class="group-sep">-</span>
                            <input name="maxAge" htmlEscape="false" value="${workStaffBasicInfo.maxAge}"  class="form-control digits layui-input query-group"/>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">婚姻状况：</label>
                        <div class="layui-input-block">
                            <form:select path="marriage" class="form-control simple-select">
                                <form:option value="" label=""/>
                                <form:options items="${fns:getDictList('marriage_status')}" itemLabel="label" itemValue="label" htmlEscape="false"/>
                            </form:select>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">政治面貌：</label>
                        <div class="layui-input-block">
                            <form:select path="politics" class="form-control simple-select">
                                <form:option value="" label=""/>
                                <form:options items="${fns:getDictList('politics_type')}" itemLabel="label" itemValue="label" htmlEscape="false"/>
                            </form:select>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">部门：</label>
                        <div class="layui-input-block with-icon">
                            <sys:treeselect id="office" name="office.id" value="${workStaffBasicInfo.office.id}" labelName="office.name" labelValue="${workStaffBasicInfo.office.name}"
                                            title="部门" url="/sys/office/treeData?type=2" cssClass="form-control layui-input" notAllowSelectParent="true"/>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">职级：</label>
                        <div class="layui-input-block with-icon">
                            <sys:treeselectJobGrade id="jobGrade" name="jobGrade.id" value="${workStaffBasicInfo.jobGrade.id}" labelName="jobGrade.name" labelValue="${workStaffBasicInfo.jobGrade.name}"
                                                    title="职级类型" url="/workjobgrade/workJobGrade/treeData"  cssClass="form-control layui-input" allowClear="true" notAllowSelectParent="true"/>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">基本工资：</label>
                        <div class="layui-input-block with-icon">
                            <input id="minSalary" htmlEscape="false" value="<fmt:formatNumber pattern="#,##0.00#" value="${workStaffBasicInfo.minSalary}"/>" onchange="formatNum(this)" class="form-control number layui-input query-group"/>
                            <span class="group-sep">-</span>
                            <input id="maxSalary" htmlEscape="false" value="<fmt:formatNumber pattern="#,##0.00#" value="${workStaffBasicInfo.maxSalary}"/>" onchange="formatNum(this)" class="form-control number layui-input query-group"/>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">员工状态：</label>
                        <div class="layui-input-block">
                            <form:select path="status" class="form-control simple-select">
                                <form:option value="" label=""/>
                                <form:options items="${fns:getDictList('staff_status')}" itemLabel="label" itemValue="label" htmlEscape="false"/>
                            </form:select>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">入职日期：</label>
                        <div class="layui-input-block">
                            <input id="beginEntryDate" name="beginEntryDate" type="text" placeholder="开始时间" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
                                   value="<fmt:formatDate value="${workStaffBasicInfo.beginEntryDate}" pattern="yyyy-MM-dd"/>"/>
                            </input>
                            <span class="group-sep">-</span>
                            <input id="endEntryDate" name="endEntryDate" type="text" placeholder="结束时间" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
                                   value="<fmt:formatDate value="${workStaffBasicInfo.endEntryDate}" pattern="yyyy-MM-dd"/>"/>
                            </input>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">参加工作日期：</label>
                        <div class="layui-input-block">
                            <input id="beginWorkDate" name="beginWorkDate" type="text" placeholder="开始时间" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
                                   value="<fmt:formatDate value="${workStaffBasicInfo.beginWorkDate}" pattern="yyyy-MM"/>"/>
                            </input>
                            <span class="group-sep">-</span>
                            <input id="endWorkDate" name="endWorkDate" type="text" placeholder="结束时间" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
                                   value="<fmt:formatDate value="${workStaffBasicInfo.endWorkDate}" pattern="yyyy-MM"/>"/>
                            </input>
                        </div>
                    </div>
                    <div class="layui-item query athird lw9">
                        <label class="layui-form-label">信息完善度：</label>
                        <div class="layui-input-block">
                            <input name="minPercent" htmlEscape="false" value="${workStaffBasicInfo.minPercent}" class="form-control percent layui-input query-group"/>
                            <span class="group-sep">-</span>
                            <input name="maxPercent" htmlEscape="false" value="${workStaffBasicInfo.maxPercent}"  class="form-control percent layui-input query-group"/>
                        </div>
                    </div>
                </div>
            </form:form>
	        </div>
	    </div>

        <div class="full-width fl">
            <div class="contentShadow layui-form contentDetails">
                <div class="nav-btns">
                    <shiro:hasPermission name="workstaff:workStaffBasicInfo:achivelist">
                        <button class="nav-btn nav-btn-delete" onclick="completeAll()" data-toggle="tooltip" data-placement="top"><i class="fa fa-file-text-o"> 完善</i>
                        </button>
                    </shiro:hasPermission>
                    <shiro:hasPermission name="workstaff:workStaffBasicInfo:achiveImport">
                        <table:importExcel url="${ctx}/workstaff/workStaffBasicInfo/importAchive"></table:importExcel><!-- 导入按钮 -->
                    </shiro:hasPermission>
                    <shiro:hasPermission name="workstaff:workStaffBasicInfo:achiveExport">
                        <table:exportExcel url="${ctx}/workstaff/workStaffBasicInfo/exportAchive"></table:exportExcel><!-- 导出按钮 -->
                    </shiro:hasPermission>
                    <table:importInfoErr url="${ctx}/workstaff/workStaffBasicInfo/importInfoErr" title="导入日志"></table:importInfoErr><!-- 导出按钮 -->
                    <button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
                    <div style="clear: both;"></div>
                </div>
                <table class="oa-table layui-table" id="contentTable" lay-data="{id: 'id'}"></table>

                <!-- 分页代码 -->
                <table:page page="${page}"></table:page>
                <div style="clear: both;"></div>
            </div>
        </div>
    </div>
    <div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                {checkbox: true}
                ,{field:'no',align:'center', title: '工号',minWidth:100,templet:function(d){
                        var xml = "<a class=\"attention-info\" href=\"javascript:void(0);\" onclick=\"openDialogView('查看员工信息', '${ctx}/workstaff/workStaffBasicInfo/achiveView?achiveId="+d.id+"','95%','95%')\">" +
                            "<span title=" + d.no + ">" + d.no + "</span></a>";
                        return xml;
                    }}
                ,{field:'name',align:'center', title: '姓名',minWidth:100,templet:function(d){
                    var xml = "<a class=\"attention-info\" href=\"javascript:void(0);\" onclick=\"openDialogView('查看员工信息', '${ctx}/workstaff/workStaffBasicInfo/achiveView?achiveId="+d.id+"','95%','95%')\">" +
                        "<span title=" + d.name + ">" + d.name + "</span></a>";
                    return xml;
                }}
                ,{field:'gender',align:'center', title: '性别',minWidth:50}
                ,{field:'nation',align:'center', title: '民族',minWidth:50}
                ,{field:'idCard',align:'center', title: '身份证号码',minWidth:150}
                ,{field:'calendar',align:'center', title: '公历/农历',minWidth:50}
                ,{field:'birthday',align:'center', title: '出生日期',minWidth:100}
                ,{field:'age',align:'center', title: '年龄',minWidth:50}
                ,{field:'marriage',align:'center', title: '婚姻状况',minWidth:50}
                ,{field:'mobile',align:'center', title: '移动电话', minWidth:100}
                ,{field:'politics',align:'center', title: '政治面貌', minWidth:100}
                ,{field:'office',align:'center', title: '部门', minWidth:100}
                ,{field:'jobGrade',align:'center', title: '职级', minWidth:100}
                ,{field:'salary',align:'center', title: '基本工资', minWidth:100}
                ,{field:'entryDate', align:'center',sort:true,title: '入职日期',width:100}
                ,{field:'workDate', align:'center',title: '参加工作日期',width:80}
                ,{field:'status',align:'center', title: '员工状态', minWidth:80}
                ,{field:'percent', align:'center',title: '信息完善度',width:80}
                ,{field:'op',align:'center',title:"操作",width:130,templet:function(d){
                        ////对操作进行初始化
                        var xml = "";
                        if(d.canedit != undefined && d.canedit == "1"){
                            xml +="<a href=\"javascript:void(0)\" onclick=\"openDialog('修改员工信息', '${ctx}/workstaff/workStaffBasicInfo/achiveForm?achiveId=" + d.id+"','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i>修改</a>"
                        }
                        return xml;
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workStaffBasicInfo" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "id":"${workStaffBasicInfo.id}"
                    ,"no":"<c:out value="${workStaffBasicInfo.no}" escapeXml="true"/>"
                    ,"name":"<c:out value="${workStaffBasicInfo.name}" escapeXml="false"/>"
                    ,"gender":"<c:out value="${fns:getDictLabel(workStaffBasicInfo.gender,'sex','')}" escapeXml="true"/>"
                    ,"nation":"<c:out value="${fns:getDictLabel(workStaffBasicInfo.nation,'nation_type','')}" escapeXml="true"/>"
                    ,"idCard":"<c:out value="${workStaffBasicInfo.idCard}" escapeXml="true"/>"
                    ,"calendar":"<c:out value="${fns:getDictLabel(workStaffBasicInfo.calendar,'calendar_type','')}" escapeXml="true"/>"
                    ,"birthday":"<fmt:formatDate value="${workStaffBasicInfo.birthday}" pattern="yyyy-MM-dd"/>"
                    ,'age':"<c:out value="${workStaffBasicInfo.age}" escapeXml="true"/>"
                    ,'marriage':"<c:out value="${workStaffBasicInfo.marriage}" escapeXml="true"/>"
                    ,'mobile':"<c:out value="${workStaffBasicInfo.mobile}" escapeXml="true"/>"
                    ,'politics':"<c:out value="${workStaffBasicInfo.politics}" escapeXml="true"/>"
                    ,'office':"<c:out value="${workStaffBasicInfo.office.name}" escapeXml="true"/>"
                    ,'jobGrade':"<c:out value="${workStaffBasicInfo.jobGrade.name}" escapeXml="true"/>"
                    ,'salary':"<fmt:formatNumber pattern="#,##0.00#" value="${workStaffBasicInfo.salary}"/>"
                    ,"entryDate":"<fmt:formatDate value="${workStaffBasicInfo.entryDate}" pattern="yyyy-MM-dd"/>"
                    ,"workDate":"<fmt:formatDate value="${workStaffBasicInfo.workDate}" pattern="yyyy-MM"/>"
                    ,'status':"<c:out value="${workStaffBasicInfo.status}" escapeXml="true"/>"
                    ,"percent":"<c:out value="${workStaffBasicInfo.percent}" escapeXml="true"/>"
                    <shiro:hasPermission name="workstaff:workStaffAchiveInfo:edit">,"canedit":"1"</shiro:hasPermission>
                }
                </c:forEach>
                </c:if>
            ]
        });

    })

    resizeListTable(130);/*消除由于有竖向滚动条造成table出现横向滚动条*/
    $("a").on("click",addLinkVisied);
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
    var navg = window.navigator.userAgent;
    if(navg.indexOf('Chrome')!==-1&& navg.indexOf('Edge')==-1){
        $('.layui-table').children().eq(0).children().children().eq(1).css({"background":"transparent","position":"sticky","border-right":"1px solid #ccc","left":"0","background":"#F5F5F5","z-index":"999"});
        var tableft = $('.layui-table').children().eq(0).children().children().eq(1).width();
        $('.layui-table').children().eq(0).children().children().eq(2).css({"background":"transparent","position":"sticky","left":tableft,"background":"#F5F5F5","z-index":"999"});
        var trone = $('.layui-table').children().eq(1).children();
        var newArr = []
        for(var i=0;i<trone.length;i++){
            newArr.push(trone[i]);
            $(newArr[i]).children().eq(1).css({"background":"transparent","position":"sticky","left":"0","background":"#fff","z-index":"999"});
            $(newArr[i]).children().eq(2).css({"background":"transparent","position":"sticky","left":tableft,"background":"#fff","z-index":"999"});
        }
    }
</script>
</body>
</html>