<%@ page import="com.jeeplus.modules.sys.utils.UserUtils" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>工程签证管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
        function openDialogreToo(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['重新申请','撤回','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(3) ){
                        //top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(4) ){
                        //top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn3: function(index){
                }
            });

        }
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<%--<div class="ibox-title">
		<h5>工程签证列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>--%>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workVisa" action="${ctx}/workvisa/workVisa/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<%--<div class="form-group">--%>
			<%--<span>项目状态：</span>--%>
				<%--<form:input path="status" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>--%>
		 <%--</div> 		--%>
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="workvisa:workVisa:add">
				<table:addRow url="${ctx}/workvisa/workVisa/form" title="工程签证"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workvisa:workVisa:edit">
			    <table:editRow url="${ctx}/workvisa/workVisa/form" title="工程签证" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workvisa:workVisa:del">
				<table:delRow url="${ctx}/workvisa/workVisa/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workvisa:workVisa:import">
				<table:importExcel url="${ctx}/workvisa/workVisa/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workvisa:workVisa:export">
	       		<table:exportExcel url="${ctx}/workvisa/workVisa/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <%--<button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>--%>
		
			</div>
		<%--<div class="pull-right">--%>
			<%--<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>--%>
			<%--<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>--%>
		<%--</div>--%>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<%--<th> <input type="checkbox" class="i-checks"></th>--%>
				<th style="text-align: center;width: 14%"  class="">签证单编号</th>
				<th style="text-align: center;width: 15%"  class="">发起单位</th>
				<th style="text-align: center;width: 18%"  class="">单位工程名称</th>
				<th style="text-align: center;width: 7%"  class="">施工标段</th>
				<th style="text-align: center;width: 10%"  class="">签证范围</th>
				<th style="text-align: center;width: 15%"  class="">主题内容</th>
				<th style="text-align: center;width: 7%"  class="">签证状态</th>
				<th style="text-align: center;width: 7%"  class="">流程追踪</th>
				<th style="text-align: center;width: 7%">操作</th>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty page.list}">
		<c:forEach items="${page.list}" var="workVisa">
			<c:set var="Srole" scope="session" value="<%= UserUtils.getSelectRole().get(0).getName()%>"/>
			<c:set var="Sid" scope="session" value="<%= UserUtils.getUser().getId()%>"/>
			<tr>
				<%--<td> <input type="checkbox" id="${workVisa.id}" class="i-checks"></td>--%>
				<td><a  href="javascript:void(0)" onclick="openDialogView('查看工程签证', '${ctx}/workvisa/workVisa/form?id=${workVisa.id}&wf=${workVisa.fullManage.id}&name=view','80%','80%')">
					${workVisa.visaNumber}
				</a></td>
				<td>
					${workVisa.initiateClient}
				</td>
				<td>
					${workVisa.cprojectName}
				</td>
				<td>
					${workVisa.constructionExample}
				</td>
				<td>
					${workVisa.visaArea}
				</td>
				<td>
					${workVisa.theme}
				</td>
				<td>
					${fns:getDictLabel(workVisa.status, 'workVisa_status', '')}
				</td>
				<td>
					<div style="text-align: center">
					<c:choose>
						<c:when test="${workVisa.status eq '1'}">
							<a href="${ctx}/workvisa/workVisa/startposs?id=${workVisa.id}" onclick="return confirmx('确认要发起签证吗？', this.href)"   class="btn btn-white btn-xs"> 启动流程</a>
						</c:when>
						<c:otherwise>
							<a href="javascript:void(0)" onclick="openDialogView('流程追踪', '${ctx}/workvisa/workVisa/getProcess?id=${workVisa.id}','80%','80%')" class="btn btn-white btn-xs" > 流程追踪</a>
						</c:otherwise>
					</c:choose>
					</div>
				</td>
				<%--<td>--%>
					<%--${workVisa.fullManage.name}--%>
				<%--</td>--%>
				<td>
					<div style="text-align: center">
					<c:if test="${workVisa.status  == 3 and workVisa.processEnded}">
						<a href="javascript:void(0)" onclick="openDialogreToo('重新申请工程签证', '${ctx}/workvisa/workVisa/form?id=${workVisa.id}&wf=${workVisa.fullManage.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
					</c:if>
					<c:if test="${workVisa.status == 1 }">
						<a href="javascript:void(0)" onclick="openDialog('修改工程签证', '${ctx}/workvisa/workVisa/form?id=${workVisa.id}&wf=${workVisa.fullManage.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
					</c:if>

						<%--${Srole eq '部门负责人' || Sid eq workVisa.createBy}--%>
					<c:if test="${fn:contains(fullManage.hostMaster, fns:getUser()) or fullManage.createBy.id == fns:getUser() or Sid eq workVisa.createBy or fullManage.updateBy.id == fns:getUser()}">
						<a href="${ctx}/workvisa/workVisa/delete?id=${workVisa.id}" onclick="return confirmx('确认要删除该工程签证吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</c:if>
					</div>
				</td>
			</tr>
		</c:forEach>
		</c:when>
			<c:otherwise>
				<tr>
					<td colspan="15" align="center">
						暂无数据
					</td>
				</tr>
			</c:otherwise>
		</c:choose>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>