/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.exampleexpend.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.exampleeconomics.entity.ExampleEconomics;
import com.jeeplus.modules.exampleexpend.entity.ExampleExpend;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 主要工料价格及消耗量指标DAO接口
 * @author ssrh
 * @version 2018-08-29
 */
@MyBatisDao
public interface ExampleExpendDao extends CrudDao<ExampleExpend> {
    int deleteByEId(String eId);

    List<ExampleExpend> getCount(@Param("companyId")String companyId, @Param("areaId")String areaId, @Param("dictId")String dictId,@Param("indexId")String indexId);

    int delteByIndexId(@Param("eId")String eId,@Param("indexId")String indexId);
    ExampleExpend findExpend(ExampleExpend exampleExpend);
}