/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oaall.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.oaall.entity.OaAll;

/**
 * 通用审批功能DAO接口
 * @author mpb
 * @version 2018-01-11
 */
@MyBatisDao
public interface OaAllDao extends CrudDao<OaAll> {

    /**
     * 更新流程实例ID
     * @param oaAll
     * @return
     */
    public int updateProcessInstanceId(OaAll oaAll);

    /**
     * 根据流程实例ID获取Leave
     * @param processInstanceId
     * @return
     */
    public OaAll getByProcessInstanceId(String processInstanceId);
}