/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oabuy.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.oabuy.entity.OaBuy;

/**
 * 采购申请DAO接口
 * @author liuw
 * @version 2018-01-16
 */
@MyBatisDao
public interface OaBuyDao extends CrudDao<OaBuy> {

    /**
     * 更新流程实例ID
     * @param oaBuy
     * @return
     */
    public int updateProcessInstanceId(OaBuy oaBuy);

    /**
     * 根据流程实例ID获取Leave
     * @param processInstanceId
     * @return
     */
    public OaBuy getByProcessInstanceId(String processInstanceId);
}