/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sys.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.sys.entity.Judge;

import java.util.List;
import java.util.Map;

/**
 * 评委DAO接口
 * @author fgy
 * @version 2017-12-26
 */
@MyBatisDao
public interface JudgeDao extends CrudDao<Judge> {


    List<Judge> selectJudgeMembers(Map<String,Object> map);

    List<Judge> selectJudgeMembersBak(Map<String, Object> map);
}