/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sysmodular.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.sysmodular.entity.SysModularField;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 子段关系DAO接口
 * @author ssrh
 * @version 2018-08-17
 */
@MyBatisDao
public interface SysModularFieldDao extends CrudDao<SysModularField> {

    List<SysModularField> find();
    List<SysModularField> gridColumn(@Param("tableName") String tableName, @Param("dbName") String dbName);
}