package com.jeeplus.modules.utils;

/**
 * 错误码定义
 */
public interface ErrorCode {


    final String code_1001 = "1001";  // 会话失效
    final String code_1002 = "1002";  // 用户或密码错误, 请重试.
    final String code_1003 = "1003";  //登录失败, 该用户未注册.
    final String code_1004 = "-1";   //正确数据
    final String code_1005 = "1005";   //只有一位管理员，不允许退出企业
    final String code_1006 = "1006";   //已经登陆
    final String code_1007 = "1007";   //手机号已被使用
    final String code_1008 = "1008";   //短信发送异常
    final String code_1009 = "1009";   //信息已存在 不能再次操作
    final String code_1010 = "1010";   //没有操作权限
    final String code_1011 = "1011";   //验证码错误
    final String code_1012 = "1012";   //密码错误
    final String code_1013 = "1013";   //上班已打卡
    final String code_2001 = "2001"; // 参数缺失
    final String code_2002 = "2002"; // 参数格式异常
    final String code_2003 = "2003"; // 参数值不正确
    final String code_2004 = "2004"; // 后台数据逻辑异常
    final String code_2005 = "2005"; // 查询的数据不存在
    final String code_2006 = "2006"; // 操作数据失败
    final String code_3001 = "3001"; // 第三方数据获取异常
    final String code_3002 = "3002"; // 第三方数据保存异常
    final String code_4001 = "4001"; // 群信息不存在
    final String code_3003 = "-2";   //案例专指全国数据
}
