/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workapprovalcopy.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workapprovalcopy.entity.ApprovalCopy;

/**
 * 抄送信息DAO接口
 * @author yangfan
 * @version 2017-07-21
 */
@MyBatisDao
public interface ApprovalCopyDao extends CrudDao<ApprovalCopy> {


    ApprovalCopy getByApprovalId(String approvalId);
    int deletes(ApprovalCopy approvalCopy);
}