/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontent.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workcontent.entity.WorkContentContractTerm;
import com.jeeplus.modules.workcontent.entity.WorkContentContractinfo;

import java.util.List;

/**
 * 合同登记DAO接口
 * @author ssrh
 * @version 2018-06-12
 */
@MyBatisDao
public interface WorkContentContractinfoDao extends CrudDao<WorkContentContractinfo> {


    List<WorkContentContractTerm> queryTerms(WorkContentContractinfo oldRecord);
    List<WorkContentContractinfo> findByType(String cnumber);
    List<WorkContentContractinfo> findByConId(String id);
}