/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workprocesstype.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workprocesstype.entity.WorkProcessDetail;

import java.util.List;

/**
 * 过程控制类型DAO接口
 * @author 马鹏波
 * @version 2018-06-07
 */
@MyBatisDao
public interface WorkProcessDetailDao extends CrudDao<WorkProcessDetail> {

	public List<WorkProcessDetail> findListByState(WorkProcessDetail workProcessDetail);
}