/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workprojectcalc.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workprojectcalc.entity.WorkProjectCalcBuild;

/**
 * 工程计算量底稿DAO接口
 * @author 马鹏波
 * @version 2018-06-06
 */
@MyBatisDao
public interface WorkProjectCalcBuildDao extends CrudDao<WorkProjectCalcBuild> {

    int deleteByProId(WorkProjectCalcBuild workProjectCalcBuild);

}