/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreimbursementcount.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workreimbursementcount.entity.WorkInvoiceCompany;
import com.jeeplus.modules.workreimbursementcount.entity.WorkReimbursementCompany;

import java.util.List;

/**
 * 发票统计
 * @author 陈玉平
 * @version 2018-07-03
 */
@MyBatisDao
public interface WorkInvoiceCompanyDao extends CrudDao<WorkInvoiceCompany> {

	public List<WorkInvoiceCompany> findCompanyList(WorkInvoiceCompany workInvoiceCompany);

}