/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstaffachiveslog.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workstaffachiveslog.entity.WorkStaffAchivesLog;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 档案修改日志DAO接口
 * @author ssrh
 * @version 2018-10-11
 */
@MyBatisDao
public interface WorkStaffAchivesLogDao extends CrudDao<WorkStaffAchivesLog> {
    List<WorkStaffAchivesLog> findSonId(WorkStaffAchivesLog workStaffAchivesLog);
	int updateState(@Param("staffId") String staffId, @Param("applyer") String applyer, @Param("applyDate") Date applyDate);
    int deleteBack(@Param("staffId") String staffId);
}