/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.worksupplier.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workinvoice.entity.WorkInvoice;
import com.jeeplus.modules.worksupplier.entity.WorkSupplier;

import java.util.List;

/**
 * 供应商管理DAO接口
 * @author 供应商管理
 * @version 2018-07-10
 */
@MyBatisDao
public interface WorkSupplierDao extends CrudDao<WorkSupplier> {

    public int updateSign(WorkSupplier workSupplier);
    List<WorkSupplier> findClientInfoList(WorkSupplier workSupplier);
}