<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>出差详情</title>
    <meta name="decorator" content="default"/>
    <script type="text/javascript">
        $(function () {
            //只做查看时，禁用掉以下标签
            $('input,textarea,select').attr('disabled',"disabled");
        })
    </script>
</head>
<body>
<div class="ibox-content">
<form:form id="inputForm" modelAttribute="oaEvection" action="" method="post" class="form-horizontal">
    <form:hidden path="id"/>
    <c:set var="id" value="${oaEvection.id}" />
    <c:set var="ids" value="${oaEvection.ids}" />

    <sys:message content="${message}"/>
    <div class="control-group">
    <label class="control-label">开始时间：</label>
    <div class="controls">
        ${oaEvection.startTime}
    </div>
    </div>
    <div class="control-group">
    <label class="control-label">结束时间：</label>
    <div class="controls">
        ${oaEvection.endTime}
    </div>
    </div>
    <div class="control-group">
    <label class="control-label">出差天数：</label>
    <div class="controls">
         ${oaEvection.dateCount}
    <span class="help-inline"></span>
    </div>
    </div>
    <div class="control-group">
    <label class="control-label">出差地点：</label>
    <div class="controls">
         ${oaEvection.address}
    <span class="help-inline"></span>
    </div>
    </div>
    <div class="control-group">
    <label class="control-label">出差事由：</label>
    <div class="controls">
            ${oaEvection.reason}
    <span class="help-inline"></span>
    </div>
    </div>
    </form:form>
</div>
</body>
</html>
