<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>

<html>
<head>
    <title>管理日历每日统计</title>
    <meta name="decorator" content="default"/>
    <style type="text/css">
        img{width: 50px; height: 50px;}
    </style>
    <script type="text/javascript">
        $(function () {
            $("img").each(function () {
                var num = 1 ;

                $(this).click(function () {
                    var flag = num%2;
                    if(flag == 1){
                        $(this).css("width","100%");
                        $(this).css("height","100%");
                        num++;
                    }else if(flag ==0){
                        $(this).css("width","50px");
                        $(this).css("height","50px");
                        num++;
                    }
                })
            });
        })
    </script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
    <div class="ibox">
        <div class="ibox-content">
        <table class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
            <tr>
                <th style="text-align: center;" class="">图片</th>
                <th style="text-align: center;" class="">用户</th>
                <th style="text-align: center;" class="">类型</th>
                <th style="text-align: center;" class="">创建时间</th>
                <th style="text-align: center;" class="">更新时间</th>
                <th style="text-align: center;" class="">详情</th>
            </tr>
            <!-- 工作日志-->
            <c:if test="${!empty list}">
                <c:forEach items="${list}" var="wr" varStatus="id_workReport">
                    <tr>
                        <td hidden="hidden">
                                ${wr.userId}
                        </td>
                        <td>
                            <img src="${wr.photo}" >
                        </td>
                        <td>
                                ${wr.userName}
                        </td>
                        <td>
                            工作日志
                        </td>
                        <td>
                            <fmt:formatDate value="${wr.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
                        </td>
                        <td>
                            <fmt:formatDate value="${wr.updateDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
                        </td>
                        <td>
                            <div style="text-align: center">
                            <a onclick="openDialogView('查看工作报告', '${ctx}/work/report/workReport/form?id=${wr.id}&readAttr=disabled','80%','80%')" class="btn btn-info btn-xs"><i class="fa fa-search-plus"></i>查看详情</a>
                            </div>
                            <%--<input value="${wr.workReportBean.id}" hidden="hidden">--%>
                        </td>
                    </tr>
                </c:forEach>
            </c:if>

        </table>
        </div>
    </div>
</div>
</body>
</html>
