<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<%
    String path = request.getContextPath();
%>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="renderer" content="webkit">
    <title>首页列表</title>

    <%@ include file="/webpage/include/head.jsp"%>
    <script src="${ctxStatic}/common/inspinia.js?v=3.2.0"></script>
    <script src="${ctxStatic}/common/contabs.js"></script>
    <meta name="keywords" content="JeePlus快速开发平台">
    <meta name="description" content="JeePlus，采用spring mvc+mybatis+shiro+bootstrap，集成代码生成器的快速开发平台">
    <script type="text/javascript">
        $(document).ready(function() {
            if('${fns:getDictLabel(cookie.theme.value,'theme','默认主题')}' == '天蓝主题'){
                // 蓝色主题
                $("body").removeClass("skin-2");
                $("body").removeClass("skin-3");
                $("body").addClass("skin-1");
            }else  if('${fns:getDictLabel(cookie.theme.value,'theme','默认主题')}' == '橙色主题'){
                // 黄色主题
                $("body").removeClass("skin-1");
                $("body").removeClass("skin-2");
                $("body").addClass("skin-3");
            }else {
                // 默认主题
                $("body").removeClass("skin-2");
                $("body").removeClass("skin-3");
                $("body").removeClass("skin-1");
            };
            //ajax废弃
            startRequest();
        });
        setInterval("requesting()",10000);
        function startRequest(){
            var url = "${ctx}/workprojectnotify/workProjectNotify/notify";
            var data = {};
            $.ajax({
                type : "get",
                async : true, //同步请求
                url : url,
                data : data,
                success:function(datas){
                    //$("#mainContent").html(dates);//要刷新的div
                    $("#totalCount").text((datas.notifyCount+datas.count+datas.notifyShowCount)>9?"10+":(datas.notifyCount+datas.count+datas.notifyShowCount));
                    $("#count").text(datas.count>9?datas.count+"+":datas.count);
                    $("#noReadCount").text(datas.noReadCount>9?datas.noReadCount+"+":datas.noReadCount);
                    $("#notifyCount").text(datas.notifyCount>9?datas.notifyCount+"+":datas.notifyCount);
                    $("#notifyShowCount").text(datas.notifyShowCount>9?datas.notifyShowCount+"+":datas.notifyShowCount);
                },
                error: function() {
                    <!--parent.layer.msg('获取通知失败，请稍后再试！',{icon:2}) -->
                }
            });
        }
        function requesting(){
            if (index.indexOf("审批信息")!=-1 || index.indexOf("公告消息")!=-1 || index == 'sys_me' || index.indexOf("未读邮件")!=-1){
                refreshTabIndex();
                startRequest();
                index = "";
            }
        }

        function refreshTabIndex() {
            var target = $('.J_iframe[data-id="/a/home"]');
            var url = target.attr('src');
            //显示loading提示
            var loading = layer.load();
            target.attr('src', url).load(function () {
                //关闭loading提示
                layer.close(loading);
            });
        }

        function changePwd() {
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。
                width='500px';
                height='350px';
            }
            top.layer.open({
                type: 2,
                area: [width, height],
                closeBtn: 0,
                title:"修改密码",
                content: "${ctx}/sys/user/modifyPwd?home=home" ,
                skin:"two-btns",
                btn: ['确定'],
                yes: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var inputForm = $(body).find('#inputForm');
                    var btn = body.find('#btnSubmit');
                    var top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    inputForm.validate({
                        rules: {
                        },
                        messages: {
                            confirmNewPassword: {equalTo: "输入与上面相同的密码"}
                        },
                        submitHandler: function(form){
                            loading('正在提交，请稍等...');
                            form.submit();

                        },
                        errorContainer: "#messageBox",
                        errorPlacement: function(error, element) {
                            $("#messageBox").text("输入有误，请先更正。");
                            if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                                error.appendTo(element.parent().parent());
                            } else {
                                error.insertAfter(element);
                            }
                        }
                    });
                    if(inputForm.valid()){
                        loading("正在提交，请稍等...");
                        inputForm.submit();
                        top.layer.close(index);//关闭对话框。
                    }else{
                        return;
                    }


                },
                cancel: function(index){
                }
            });
        }
    </script>
</head>

<body class="fixed-sidebar full-height-layout" style="min-width:1366px;overflow-x: auto; ">
<a class="navbar-minimalize minimalize-styl-2 l-nav-div l-nav-div-offsetl" href="javascript:void(0)">
    <img id="l-nav-img" src="${ctxStatic}/common/img/l-nav-open.png" width="36px" ></img>
</a>
<div id="wrapper">
    <!--左侧导航开始-->
    <nav class="navbar-default navbar-static-side" role="navigation">
        <div class="nav-close"><i class="fa fa-times-circle"></i>
        </div>
        <div class="sidebar-collapse">
            <ul class="nav" id="side-menu">
                <li class="nav-header" id="nav-header" style="border-bottom:solid 2px #0f92fb;">
                    <div class="dropdown profile-element">
                        <span><img alt="image" class="img-circle profile" style="height:90px;width:90px;" src="${fns:getUser().photo }" /></span>
                        <%--<a data-toggle="dropdown" class="dropdown-toggle" href="javascript:void(0)">--%>
                                <span class="clear">
                               <span class="block m-t-xs" style="font-size: 14px;cursor:default">${fns:getUser().name}</span>
                               <%--<span class="text-muted text-xs block m-t-xs" style="font-size: 12px;">${companyName}<b class="caret"></b></span>--%>
                                     <span class="text-muted text-xs block m-t-xs" style="font-size: 12px;margin-top:8px;cursor:default">${companyName}</span>
                                </span>
                        <%--</a>--%>
                        <ul class="dropdown-menu animated fadeInRight m-t-xs" style="display:none;">

                            <li><a href="javascript:void(0);" class="J_menuItem">盛世瑞华(北京)技术有限公司</a>
                            </li>
                            <li><a href="javascript:void(0);" class="J_menuItem">中竟发</a>
                            </li>
                            <li><a href="javascript:void(0);" class="J_menuItem">瑞华总公司</a>
                            </li>
                            <%--<li><a class="J_menuItem" href="${ctx}/sys/user/imageEdit">修改头像</a>--%>
                            <%--</li>--%>
                            <%--<li><a class="J_menuItem" href="${ctx }/sys/user/info">个人资料</a>--%>
                            <%--</li>--%>
                            <%--<li><a class="J_menuItem" href="${ctx }/iim/contact/index">我的通讯录</a>--%>
                            <%--</li>--%>
                            <%--<li><a class="J_menuItem" href="${ctx }/iim/mailBox/list">信箱</a>--%>
                            <%--</li>--%>
                            <%--<li class="divider"></li>--%>
                            <%--<li><a href="${ctx}/logout">安全退出</a>--%>
                            <%--</li>--%>
                        </ul>
                    </div>
                    <div class="logo-element">
                        <span><img alt="image" class="img-circle profile" style="height:50px;width:50px;" src="${fns:getUser().photo }" /></span>
                        <span class="block m-t-xs" style="font-size: 12px;">${fns:getUser().name}</span>
                    </div>
                </li>
                <t:menu  menu="${fns:getTopMenu()}"></t:menu>
            </ul>
        </div>
    </nav>
    <!--左侧导航结束-->
    <!--右侧部分开始-->
    <div id="page-wrapper" class="gray-bg dashbard-1">
        <div class="row border-bottom">
            <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                <%--<div class="navbar-header">--%>
                <%--<a class="navbar-minimalize minimalize-styl-2" href="javascript:void(0)" style="z-index: 9999;">--%>
                <%--<img src="${ctxStatic}/common/img/l-nav-open.png" width="32px" height="32px"></img>--%>
                <%--</a>--%>
                <%--<form role="search" class="navbar-form-custom" method="post" action="search_results.html">--%>
                <%--<div class="form-group">
                    <input type="text" placeholder="请输入您需要查找的内容 …" class="form-control" name="top-search" id="top-search">
                </div>--%>
                <%--</form>--%>
                <%--</div>--%>
                <div class="nav-logo">
                    <%--<img src="${ctxStatic}/common/img/logo.png"/>--%>
                    <div style="font-size: 16px;line-height: 55px;font-size: 20px;font-weight: bold;">兴光项目管理有限公司</div>
                </div>
                <div class="newsShell">
                    <div id="newsDiv">
                    </div>
                </div>
                <script>
                    var marqueeContent=new Array();   //滚动新闻
                    marqueeContent[0]='<a class="news" href="javascript:void(0);">兴光项目全过程审计系统</a><br>';
                    marqueeContent[1]='<a class="news" href="javascript:void(0);">兴光项目全过程审计系统</a><br>';
                    // marqueeContent[2]='<a class="news" href="javascript:void(0);">匞匞办公平台正式发布</a><br>';
                    // marqueeContent[3]='<a class="news" href="javascript:void(0);">匞匞办公平台正式发布</a><br>';
                    var marqueeInterval=new Array();  //定义一些常用而且要经常用到的变量
                    var marqueeId=0;
                    var marqueeDelay=3000;
                    var marqueeHeight=24;
                    //接下来的是定义一些要使用到的函数
                    function initMarquee() {
                        var str=marqueeContent[0];
                        //var document.createElement("div");
                        var div = document.getElementById("newsDiv");
                        div.innerHTML = '<div id=marqueeBox style="overflow:hidden;height:'+marqueeHeight+'px" onmouseover="clearInterval(marqueeInterval[0])" onmouseout="marqueeInterval[0]=setInterval(\'startMarquee()\',marqueeDelay)"><div class="news-format">'+str+'</div></div>';

                        marqueeId++;
                        marqueeInterval[0]=setInterval("startMarquee()",marqueeDelay);
                    }
                    function startMarquee() {
                        var str=marqueeContent[marqueeId];
                        marqueeId++;
                        if(marqueeId>=marqueeContent.length) marqueeId=0;
                        if(marqueeBox.childNodes.length==1) {
                            var nextLine=document.createElement('div');
                            nextLine.classList="news-format";
                            // nextLine.classList = "news";
                            nextLine.innerHTML=str;
                            marqueeBox.appendChild(nextLine);
                        }
                        else {
                            marqueeBox.childNodes[0].innerHTML=str;
                            // marqueeBox.childNodes[0].classList = "news";
                            marqueeBox.appendChild(marqueeBox.childNodes[0]);
                            marqueeBox.scrollTop=0;
                        }
                        clearInterval(marqueeInterval[1]);
                        marqueeInterval[1]=setInterval("scrollMarquee()",24);
                    }
                    function scrollMarquee() {
                        marqueeBox.scrollTop++;
                        if(marqueeBox.scrollTop%marqueeHeight==(marqueeHeight-1)){
                            clearInterval(marqueeInterval[1]);
                        }
                    }
                    initMarquee();
                </script>

                <ul class="nav navbar-top-links navbar-right" style="float: right;margin-right: 10px;">
                    <li class="dropdown">
                       <%-- <a class="dropdown-toggle count-info" data-toggle="dropdown" href="javascript:void(0)" onclick='top.openTab("${ctx}/iim/mailBox/list?orderBy=sendtime desc","邮件列表", false)'>
                            <i class="fa fa-envelope"></i>
                            <span class="label label-danger labelInfo" id="noReadCount">0</span>&nbsp;收件箱
                        </a>--%>
                        <%--<ul class="dropdown-menu dropdown-messages">--%>
                            <%--<li class="m-t-xs" id="mailPage">--%>
                                <%--&lt;%&ndash;<c:forEach items="${mailPage.list}" var="mailBox">--%>
                                   <%--<div class="dropdown-messages-box">--%>

                                       <%--<a  href="javascript:void(0)" onclick='top.openTab("${ctx}/iim/contact/index?name=${mailBox.sender.name }","通讯录", false)' class="pull-left">--%>
                                           <%--<img alt="image" class="img-circle" src="${mailBox.sender.photo }">--%>
                                       <%--</a>--%>
                                       <%--<div class="media-body">--%>
                                           <%--<small class="pull-right">${fns:getTime(mailBox.sendtime)}前</small>--%>
                                           <%--<strong>${mailBox.sender.name }</strong>--%>
                                           <%--<a class="J_menuItem" href="${ctx}/iim/mailBox/detail?id=${mailBox.id}"> ${fns:abbr(mailBox.mail.title,50)}</a>--%>
                                           <%--<br>--%>
                                           <%--<a class="J_menuItem" href="${ctx}/iim/mailBox/detail?id=${mailBox.id}">--%>
                                            <%--${mailBox.mail.overview}--%>
                                           <%--</a>--%>
                                           <%--<br>--%>
                                           <%--<small class="text-muted">--%>
                                           <%--<fmt:formatDate value="${mailBox.sendtime}" pattern="yyyy-MM-dd HH:mm:ss"/></small>--%>
                                       <%--</div>--%>
                                   <%--</div>--%>
                                <%--</c:forEach>&ndash;%&gt;--%>
                            <%--</li>--%>
                            <%--<li class="divider"></li>--%>
                            <%--<li>--%>
                                <%--<div class="text-center link-block">--%>
                                    <%--&lt;%&ndash;<a href="javascript:void(0)" onclick="openDialogView('查看所有邮件', '${ctx}/iim/mailBox/list?orderBy=sendtime desc','80%','80%')" ><i class="fa fa-envelope"></i><strong>查看所有邮件 </strong></a>&ndash;%&gt;--%>
                                    <%--<a  href="javascript:void(0)" onclick='top.openTab("${ctx}/iim/mailBox/list?orderBy=sendtime desc","邮件列表", false)' >--%>
                                        <%--<i class="fa fa-envelope"></i><strong>查看所有 </strong><i class="fa fa-angle-right"></i></a>--%>
                                <%--</div>--%>
                            <%--</li>--%>
                        <%--</ul>--%>
                    </li>
                    <li class="dropdown">
                        <a class="dropdown-toggle count-info" data-toggle="dropdown" href="javascript:void(0)">
                            <%--<i class="fa fa-bell"></i>--%>
                            <i class="fa fa-list-ul"></i>
                            <span class="label label-danger labelInfo" id="totalCount">0</span>&nbsp;待办事宜
                        </a>
                        <ul class="dropdown-menu dropdown-alerts">
                            <li>
                                <div class="info link-block">
                                    您有<span class="label label-primary" id="notifyCount">0</span>条未处理待办任务
                                    <%--<a href="javascript:void(0)" onclick="openDialogView('查看所有', '${ctx }/workprojectnotify/workProjectNotify/list','80%','80%')" >
                                        <strong>查看所有 </strong><i class="fa fa-angle-right"></i>
                                    </a>--%>
                                    <a class="more-info" href="javascript:void(0)" onclick='top.openTab("${ctx }/workprojectnotify/workProjectNotify/list","待办任务列表", false)' >
                                        <strong>查看所有 </strong><i class="fa fa-angle-right"></i></a>
                                </div>
                            </li>
                            <%--<li id="notifyPage">--%>
                                <%--<c:forEach items="${notifyPage.list}" var="notify" varStatus="index">
                                    <div>
                                        <a href="javascript:void(0)" onclick="openDialogView('${fns:abbr(notify.title,50)}', '${ctx}/workprojectnotify/workProjectNotify/form?id=${notify.id}&type=${notify.type}','80%','80%')" >
                                            <i class="fa fa-envelope fa-fw"></i> <span id="notifyTitle${index.index}">${fns:abbr(notify.title,50)}</span>
                                        </a>
                                        <span class="pull-right text-muted small">${fns:getTime(notify.updateDate)}前</span>
                                    </div>
                                </c:forEach>--%>
                            <%--</li>--%>
                            <%--<li class="divider"></li>--%>
                            <li>
                                <div class="info link-block">
                                    您有<span class="label label-primary" id="notifyShowCount">0</span>条未读通知消息
                                    <%--<a href="javascript:void(0)" onclick="openDialogView('查看所有', '${ctx }/workprojectnotify/workProjectNotify/list','80%','80%')" >
                                        <strong>查看所有 </strong><i class="fa fa-angle-right"></i>
                                    </a>--%>
                                    <a class="more-info" href="javascript:void(0)" onclick='top.openTab("${ctx }/workprojectnotify/workProjectNotify/listShow","通知消息列表", false)' >
                                        <strong>查看所有 </strong><i class="fa fa-angle-right"></i></a>
                                </div>
                            </li>
                            <%--<li id="notifyShowPage">--%>
                                <%--<c:forEach items="${notifyPage.list}" var="notify" varStatus="index">
                                    <div>
                                        <a href="javascript:void(0)" onclick="openDialogView('${fns:abbr(notify.title,50)}', '${ctx}/workprojectnotify/workProjectNotify/form?id=${notify.id}&type=${notify.type}','80%','80%')" >
                                            <i class="fa fa-envelope fa-fw"></i> <span id="notifyTitle${index.index}">${fns:abbr(notify.title,50)}</span>
                                        </a>
                                        <span class="pull-right text-muted small">${fns:getTime(notify.updateDate)}前</span>
                                    </div>
                                </c:forEach>--%>
                            <%--</li>--%>
                            <%--<li class="divider"></li>--%>
                            <li>
                                <div class="info link-block">
                                    您有<span class="label label-primary" id="count">0</span>条未读公告消息
                                    <%--<a href="javascript:void(0)" onclick="openDialogView('查看所有', '${ctx }/oa/oaNotify/self','80%','80%')" ><strong>查看所有 </strong></a>
                                    <i class="fa fa-angle-right"></i>--%>
                                    <a class="more-info" href="javascript:void(0)" onclick='top.openTab("${ctx }/oa/oaNotify/self","公告列表", false)' >
                                        <strong>查看所有 </strong><i class="fa fa-angle-right"></i></a>
                                </div>
                            </li>
                            <%--<li id="page">--%>
                                <%--<c:forEach items="${page.list}" var="oaNotify">
                                        <div>
                                            <a href="javascript:void(0)" onclick="openDialogView('${fns:abbr(notify.title,50)}', '${ctx}/oa/oaNotify/view?id=${oaNotify.id}&','80%','80%')" >
                                                <i class="fa fa-envelope fa-fw"></i> ${fns:abbr(notify.title,50)}
                                            </a>
                                            <span class="pull-right text-muted small">${fns:getTime(oaNotify.updateDate)}前</span>
                                        </div>
                                </c:forEach>--%>
                            <%--</li>--%>
                        </ul>
                    </li>
                    <%--<li >--%>
                        <%--<a href="javascript:void(0);" class="roll-nav roll-right J_tabExit hide"><i class="fa fa fa-cog"></i>&nbsp;&nbsp;设置</a>--%>
                    <%--</li>--%>
                    <li>
                        <a href="${ctx}/logout" class="roll-nav roll-right J_tabExit"><i class="fa fa fa-sign-out"></i>&nbsp;退出</a>
                    </li>
                    <!-- 国际化功能预留接口 -->
                    <%-- <li class="dropdown">
                         <a id="lang-switch" class="lang-selector dropdown-toggle" href="javascript:void(0)" data-toggle="dropdown" aria-expanded="true">
                             <span class="lang-selected">
                                     <img  class="lang-flag" src="${ctxStatic}/common/img/china.png" alt="中国">
                                     <span class="lang-id">中国</span>
                                     <span class="lang-name">中文</span>
                                 </span>
                         </a>

                         <!--Language selector menu-->
                         <ul class="head-list dropdown-menu with-arrow">
                             <li>
                                 <!--English-->
                                 <a class="lang-select">
                                     <img class="lang-flag" src="${ctxStatic}/common/img/china.png" alt="中国">
                                     <span class="lang-id">中国</span>
                                     <span class="lang-name">中文</span>
                                 </a>
                             </li>
                             <li>
                                 <!--English-->
                                 <a class="lang-select">
                                     <img class="lang-flag" src="${ctxStatic}/common/img/united-kingdom.png" alt="English">
                                     <span class="lang-id">EN</span>
                                     <span class="lang-name">English</span>
                                 </a>
                             </li>
                             <li>
                                 <!--France-->
                                 <a class="lang-select">
                                     <img class="lang-flag" src="${ctxStatic}/common/img/france.png" alt="France">
                                     <span class="lang-id">FR</span>
                                     <span class="lang-name">Français</span>
                                 </a>
                             </li>
                             <li>
                                 <!--Germany-->
                                 <a class="lang-select">
                                     <img class="lang-flag" src="${ctxStatic}/common/img/germany.png" alt="Germany">
                                     <span class="lang-id">DE</span>
                                     <span class="lang-name">Deutsch</span>
                                 </a>
                             </li>
                             <li>
                                 <!--Italy-->
                                 <a class="lang-select">
                                     <img class="lang-flag" src="${ctxStatic}/common/img/italy.png" alt="Italy">
                                     <span class="lang-id">IT</span>
                                     <span class="lang-name">Italiano</span>
                                 </a>
                             </li>
                             <li>
                                 <!--Spain-->
                                 <a class="lang-select">
                                     <img class="lang-flag" src="${ctxStatic}/common/img/spain.png" alt="Spain">
                                     <span class="lang-id">ES</span>
                                     <span class="lang-name">Español</span>
                                 </a>
                             </li>
                         </ul>
                     </li>--%>
                </ul>
            </nav>
        </div>
        <div class="row content-tabs">
            <button class="roll-nav roll-left J_tabLeft"><i class="fa fa-backward"></i>
            </button>
            <nav class="page-tabs J_menuTabs">
                <div class="page-tabs-content">
                    <a href="javascript:;" class="active J_menuTab" data-id="${ctx}/home">首页</a>
                </div>
            </nav>
            <button class="roll-nav roll-right J_tabRight"><i class="fa fa-forward"></i>
            </button>
            <div class="btn-group roll-nav roll-right">
                <button class="dropdown J_tabClose"  data-toggle="dropdown">关闭操作<span class="caret"></span>

                </button>
                <ul role="menu" class="dropdown-menu dropdown-menu-right">
                    <li class="J_tabShowActive"><a>定位当前选项卡</a>
                    </li>
                    <li class="divider"></li>
                    <li class="J_tabCloseAll"><a>关闭全部选项卡</a>
                    </li>
                    <li class="J_tabCloseOther"><a>关闭其他选项卡</a>
                    </li>
                </ul>
            </div>
            <%--<a href="${ctx}/logout" class="roll-nav roll-right J_tabExit"><i class="fa fa fa-sign-out"></i> 退出</a>--%>
        </div>
        <div class="row J_mainContent" id="content-main">
            <iframe class="J_iframe" name="iframe0" width="100%" height="100%" src="${ctx}/home" frameborder="0" data-id="${ctx}/home" seamless></iframe>
        </div>
        <%--<div class="footer">
            <div class="pull-left"><a href="http://www.jeeplus.org">http://www.jeeplus.org</a> &copy; 2015-2025</div>
        </div>--%>
    </div>
    <!--右侧部分结束-->


</div>
</body>

<!-- 语言切换插件，为国际化功能预留插件 -->
<script type="text/javascript">
    var index = "";
    $(document).ready(function(){

        $("a.lang-select").click(function(){
            $(".lang-selected").find(".lang-flag").attr("src",$(this).find(".lang-flag").attr("src"));
            $(".lang-selected").find(".lang-flag").attr("alt",$(this).find(".lang-flag").attr("alt"));
            $(".lang-selected").find(".lang-id").text($(this).find(".lang-id").text());
            $(".lang-selected").find(".lang-name").text($(this).find(".lang-name").text());

        });


    });

    function changeStyle(){
        $.get('${pageContext.request.contextPath}/theme/ace?url='+window.top.location.href,function(result){   window.location.reload();});
    }

</script>



<!-- 即时聊天插件  开始-->
<link href="${ctxStatic}/layer-v2.3/layim/layui/css/layui.css" type="text/css" rel="stylesheet"/>
<script type="text/javascript">
    var currentId = '${fns:getUser().id}';
    var currentName = '${fns:getUser().name}';
    var currentFace ='${fns:getUser().photo}';
    var url="${ctx}";
    var static_url="${ctxStatic}";
    var JSESSIONID="${JSESSIONID}";
    //var wsServer = 'ws://'+window.document.domain+':8670';

    var BOSH_SERVICE = 'http://'+window.document.domain+':7070/http-bind';
    var jid = '${fns:getUser().id}'+'@'+window.document.domain+'/web';
    var jidpasswd = '${fns:getUser().passwordRemake}';

</script>
<!--webscoket接口  -->
<script src="${ctxStatic}/layer-v2.3/layim/layui/layui.js"></script>

<script src="${ctxStatic}/layer-v2.3/layim/layim.js"></script>
<script src="${ctxStatic}/layer-v2.3/layim/strophe.js"></script>

<!-- 即时聊天插件 结束 -->
<style>
    /*签名样式*/
    .layim-sign-box{
        width:80%
    }
    .layim-sign-hide{
        background:transparent;border:0;
    }
</style>

<script type="text/javascript">
    /*$(function () {
        var userId = '${fns:getUser().id}';
        var roleId = '${fns:getUser().roleIds}';
        var companyId = '${fns:getUser().company.id}';
        var officeId ='${fns:getUser().office.id}';
        var type ='1';

        var socket;
        if(typeof(WebSocket) == "undefined") {
            top.layer.alert("您的浏览器不支持WebSocket");
            return;
        }
        socket = new WebSocket("ws://"+window.document.domain+":8670");

        //监听窗口关闭事件，当窗口关闭时，主动去关闭websocket连接，防止连接还没断开就关闭窗口，server端会抛异常。
        window.onbeforeunload = function(){
            socket.close();
        };
        //发生了错误事件
        socket.onerror = function(event) {
            //top.layer.alert("发生了错误");
//            console.log("websocket发生了错误");
        };
        //关闭事件
        socket.onclose = function(event) {
            //top.layer.alert("WebSocket已关闭");
//            console.log("websocket已关闭");
        };
        //发送消息事件
        socket.onmessage = function(event) {

            //top.layer.alert("onMessage：服务器返回的数据！");
            var resultData = event.data;
            //console.log(resultData);
            var message = $.parseJSON(resultData);
            var resultState = message['resultState'];
            //console.log(resultState);
            if(resultState!="success"){
                console.info("false");
                return;
            }
            var noReadCount=message['noReadCount'],
                count=message['count'],
                notifyCount=message['notifyCount'],
                notifyShowCount=message['notifyShowCount'];
//            console.log(noReadCount);
//            console.log(mailPage);
//            console.log(count);
//            console.log(page);
//            console.log(notifyCount);
//            console.log(notifyPage);
//            console.log(notifyShowCount);
//            console.log(notifyShowPage);
            var regExp = /'/g;
            if(noReadCount.length<1){
                noReadCount="0";
            }
            if(count.length<1){
                count="0";
            }

            if(notifyCount.length<1){
                notifyCount="0";
            }

            if(notifyShowCount.length<1){
                notifyShowCount="0";
            }

            $("#totalCount").text((parseInt(notifyCount)+parseInt(count)+parseInt(notifyShowCount))>9?"10+":(parseInt(notifyCount)+parseInt(count)+parseInt(notifyShowCount)));
            $("#count").text(parseInt(count)>9?"10+":parseInt(count));
            $("#noReadCount").text(parseInt(noReadCount)>9?"10+":parseInt(noReadCount));
            $("#notifyCount").text(parseInt(notifyCount)>9?"10+":parseInt(notifyCount));
            $("#notifyShowCount").text(parseInt(notifyShowCount)>9?"10+":parseInt(notifyShowCount));
        };
        //打开连接事件
        socket.onopen = function() {
            //top.layer.alert("WebSocket 已打开");
//            console.log("websocket已打开");
            //登录成功首次刷新
            socket.send("{\"userId\":\""+userId+"\",\"companyId\":\""+companyId+"\",\"officeId\":\""+officeId+"\",\"roleId\":\""+roleId+"\",\"type\":\""+type+"\",\"messageType\":\"_user_notify_\"}");
            //以后每隔30秒 服务端向浏览器 推送消息
            setInterval(exeMessage,30000);
        };
        function exeMessage()
        {
            socket.send("{\"userId\":\""+userId+"\",\"companyId\":\""+companyId+"\",\"officeId\":\""+officeId+"\",\"roleId\":\""+roleId+"\",\"type\":\""+type+"\",\"messageType\":\"_user_notify_\"}");
        }
    });*/

</script>
<script>
    $(function () {
        var firstFlag = '${firstFlag}';
        if(firstFlag=='true'){
            setTimeout("changePwd()",2000)
        }
    })
    function resizeWindow()
    {
        var winW = $(window).width();
        if(winW > 1224)
            $(".newsShell").css('width','400px');
        else
            $(".newsShell").css('width','200px');
    }
    resizeWindow();
    $(window).resize(function(){
            resizeWindow();
    });


    // $(function(){
    //     var hei = $(document).height();
    //     console.log(hei);
    //     if($('.nav-header').width()==200){
    //         $('.nav-header').css({'position':'fixed','width':'200px','height':'200px','left':0,'top':0,'z-index':999,'background':'#ffffff'});
    //         var navlis = $('.nav-header').siblings();
    //         var lisbox = document.createElement('div');
    //         $(lisbox).append(navlis);
    //         $(lisbox).css({'position':'fixed','width':'200px','height':'100%','left':0,','top':0,z-index':999,'background':'#ffffff'});
    //     }
    //         $('#side-menu').on('click',$('#side-menu li'),function (e) {
    //             var menuHeight = $(this).height();
    //             var offtop = $(e.target).height().top * 0.3 ;
    //             if(menuHeight>hei){
    //                 var difference = menuHeight - hei;
    //                 $(this).css("margin-top",-difference+ 'px');
    //             }else if(menuHeight<=hei){
    //                 $(this).stop().animate({marginTop:'0px'},"slow");
    //             }
    //
    //         });
    //
    // })

    // $(function(){
    //     // $('#side-menu').bind('mousewheel', function(event, delta) { return false; });
    //     var hei = $(document).height();
    //     console.log('hei:'+ hei);
    //     if(hei>=760){
    //         $('#side-menu').mouseover(function () {
    //             var menuHeight = $('#side-menu').height();
    //             if(menuHeight>hei){
    //                 if(menuHeight>1500){
    //                     var difference = menuHeight - hei - 200;
    //                     $(this).css("margin-top",-difference+ 'px');
    //                 }else{
    //                     var difference = menuHeight - hei;
    //                     $(this).css("margin-top",-difference+ 'px');
    //                 }
    //
    //             }else if(menuHeight<=hei){
    //                 $(this).css("margin-top",'0px');
    //             }
    //         });
    //     }else if(hei<760){
    //         $('#side-menu').mouseover(function () {
    //             var menuHeight = $('#side-menu').height();
    //             var initHei = 760 - hei;
    //             if(menuHeight>hei){
    //                 var difference = menuHeight - hei - initHei;
    //                 $(this).css("margin-top",-difference+ 'px');
    //             }else if(menuHeight<=hei){
    //                 $(this).css("margin-top",'0px');
    //             }
    //         });
    //     }
    //
    // })



</script>

</html>