<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>编码管理管理</title>
	<meta name="decorator" content="default"/>
	<%@include file="/webpage/include/treetable.jsp" %>
	<script type="text/javascript">
		$(document).ready(function() {
			var tpl = $("#treeTableTpl").html().replace(/(\/\/\<!\-\-)|(\/\/\-\->)/g,"");
			var data = ${fns:toJson(list)}, ids = [], rootIds = [];
			for (var i=0; i<data.length; i++){
				ids.push(data[i].id);
			}
			ids = ',' + ids.join(',') + ',';
			for (var i=0; i<data.length; i++){
				if (ids.indexOf(','+data[i].parentId+',') == -1){
					if ((','+rootIds.join(',')+',').indexOf(','+data[i].parentId+',') == -1){
						rootIds.push(data[i].parentId);
					}
				}
			}
			for (var i=0; i<rootIds.length; i++){
				addRow("#treeTableList", tpl, data, rootIds[i], true);
			}
			$("#treeTable").treeTable({expandLevel : 5});
		});
		function addRow(list, tpl, data, pid, root){
			for (var i=0; i<data.length; i++){
				var row = data[i];
				if ((${fns:jsGetVal('row.parentId')}) == pid){
					$(list).append(Mustache.render(tpl, {
						dict: {
						blank123:0}, pid: (root?0:pid), row: row
					}));
					addRow(list, tpl, data, row.id);
				}
			}
		}
		
		function refresh(){//刷新
			
			window.location="${ctx}/sysnumberclass/sysNumberClass/";
		}
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<%--<div class="ibox-title">
			<h5>编码管理列表 </h5>
			<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="form_basic.html#">
					<i class="fa fa-wrench"></i>
				</a>
				<ul class="dropdown-menu dropdown-user">
					<li><a href="javascript:void(0)">选项1</a>
					</li>
					<li><a href="javascript:void(0)">选项2</a>
					</li>
				</ul>
				<a class="close-link">
					<i class="fa fa-times"></i>
				</a>
			</div>
	</div>--%>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>

	<!--查询条件-->
	<div class="row">
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="sysNumberClass" action="${ctx}/sysnumberclass/sysNumberClass/" method="post" class="form-inline">
		<div class="form-group">
				<label>编号分类名：</label>
				<form:input path="name" htmlEscape="false" maxlength="255" class="form-control input-sm"/>
		</div>
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="sysnumberclass:sysNumberClass:add">
				<table:addRow url="${ctx}/sysnumberclass/sysNumberClass/form" title="编码管理"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="refresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<table id="treeTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th style="text-align: center;width: 40%">编号分类名</th>
				<th style="text-align: center;width: 10%">排序</th>
				<shiro:hasPermission name="sysnumberclass:sysNumberClass:edit">
				<th style="text-align: center;width: 50%">操作</th>
				</shiro:hasPermission>
			</tr>
		</thead>
		<tbody id="treeTableList"></tbody>
	</table>
	<script type="text/template" id="treeTableTpl">
		<tr id="{{row.id}}" pId="{{pid}}">
			<td><a  href="javascript:void(0)" onclick="openDialogView('查看编码管理', '${ctx}/sysnumberclass/sysNumberClass/form?id={{row.id}}','80%','80%')">
				{{row.name}}
			</a></td>
			<td>
				{{row.sort}}
			</td>
			<td>
				<div style="text-align: center">
					<shiro:hasPermission name="sysnumberclass:sysNumberClass:view">
						<a href="javascript:void(0)" onclick="openDialogView('查看编码管理', '${ctx}/sysnumberclass/sysNumberClass/form?id={{row.id}}','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i>  查看</a>
						</shiro:hasPermission>
					<shiro:hasPermission name="sysnumberclass:sysNumberClass:edit">
						<a href="javascript:void(0)" onclick="openDialog('修改编码管理', '${ctx}/sysnumberclass/sysNumberClass/form?id={{row.id}}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="sysnumberclass:sysNumberClass:del">
						<a href="${ctx}/sysnumberclass/sysNumberClass/delete?id={{row.id}}" onclick="return confirmx('确认要删除该编码管理及所有子编码管理吗？', this.href)" class="btn btn-danger btn-xs" ><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="sysnumberclass:sysNumberClass:add">
						<a href="javascript:void(0)" onclick="openDialog('添加下级编码管理', '${ctx}/sysnumberclass/sysNumberClass/form?parent.id={{row.id}}','80%','80%')" class="btn btn-primary btn-xs" ><i class="fa fa-plus"></i> 添加下级编码管理</a>
					</shiro:hasPermission>
				</div>
			</td>
		</tr>
	</script>
</body>
</html>