<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目查看</title>
	<meta name="decorator" content="default"/>
</head>
<body class="hideScroll">
		<form:form id="inputForm" modelAttribute="workFullManage" action="${ctx}/workaskcheckpricemg/workAskCheckPriceMg/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<sys:message content="${message}"/>	
		<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
		   <tbody>
		   		<tr>
					<td class="width-20 active" rowspan="3"><label class="pull-right">合同信息</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right"><font color="red">*</font>合同名称：</label></td>
					<td class="width-25" colspan="3">
						${workFullManage.workContractInfo.name}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">合同编号：</label></td>
					<td class="width-25">
						${workFullManage.contractId}
					</td>
				</tr>
				<tr>
					<td class="width-20 active" rowspan="5"><label class="pull-right">项目信息</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目编号：</label></td>
					<td class="width-25">
						${workFullManage.fullProjectNumber}
					</td>
					<td class="width-15 active"><label class="pull-right">项目来源：</label></td>
					<td class="width-25">
						${fns:getDictLabel(workFullManage.fullProjectSource, 'full_project_source', '')}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
					<td class="width-25">
						${workFullManage.fullProjectName}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">行业分类：</label></td>
					<td class="width-25">
						${fns:getDictLabel(workFullManage.fullIndustryType, 'full_industry_type', '')}
					</td>
					<td class="width-15 active"><label class="pull-right">结构类型：</label></td>
					<td class="width-25">
						${fns:getDictLabel(workFullManage.fullStructureType, 'full_structure_type', '')}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">投资额（元）：</label></td>
					<td class="width-25">
						${workFullManage.fullInvestMoney}
					</td>
				</tr>
				<tr>
					<td class="width-20 active" rowspan="5"><label class="pull-right">客户信息</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">业主单位：</label></td>
					<td class="width-25" colspan="3">
						<input type="hidden" id="clientId" name="clientId" value="${workFullManage.workClientInfo.id}"/>
						${workFullManage.workClientInfo.name}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">客户信用等级：</label></td>
					<td class="width-25">
						${workFullManage.workClientInfo.creditRank}
					</td>
					<td class="width-15 active"><label class="pull-right">业主联系人：</label></td>
					<td class="width-25">
						${workFullManage.workClientInfo.workClientLinkmanList[0].name}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">职务：</label></td>
					<td class="width-25">
						${workFullManage.workClientInfo.workClientLinkmanList[0].position}
					</td>
					<td class="width-15 active"><label class="pull-right">联系方式：</label></td>
					<td class="width-25">
						${workFullManage.workClientInfo.workClientLinkmanList[0].linkPhone}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">QQ：</label></td>
					<td class="width-25">
						${workFullManage.workClientInfo.workClientLinkmanList[0].qq}
					</td>
					<td class="width-15 active"><label class="pull-right">Email：</label></td>
					<td class="width-25">
						${workFullManage.workClientInfo.workClientLinkmanList[0].email}
					</td>
				</tr>

				<tr>
					<td class="width-20 active" rowspan="5"><label class="pull-right">建设方信息</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">业主单位：</label></td>
					<td class="width-25" colspan="3">
						${workFullManage.workBuildInfo.name}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">客户信用等级：</label></td>
					<td class="width-25">
						${workFullManage.workBuildInfo.creditRank}
					</td>
					<td class="width-15 active"><label class="pull-right">业主联系人：</label></td>
					<td class="width-25">
						${workFullManage.workBuildInfo.workClientLinkmanList[0].name}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">职务：</label></td>
					<td class="width-25">
						${workFullManage.workBuildInfo.workClientLinkmanList[0].position}
					</td>
					<td class="width-15 active"><label class="pull-right">联系方式：</label></td>
					<td class="width-25">
						${workFullManage.workBuildInfo.workClientLinkmanList[0].linkPhone}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">QQ：</label></td>
					<td class="width-25">
						${workFullManage.workBuildInfo.workClientLinkmanList[0].qq}
					</td>
					<td class="width-15 active"><label class="pull-right">Email：</label></td>
					<td class="width-25">
						${workFullManage.workBuildInfo.workClientLinkmanList[0].email}
					</td>
				</tr>

				<tr>
					<td class="width-20 active"><label class="pull-right">施工单位</label></td>
					<td colspan="4">
						<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
							<thead>
							<th>施工单位</th>
							<th>施工方联系人</th>
							<th>联系方式</th>
							</thead>
							<tbody id="constructId">
								<tr>
									<td><a href="javascript:void(0)" onclick="openDialogView('查看','${ctx}/workfullmanage/workFullConstruct/form?id=${workFullManage.constructId.id}&tabId=1','80%','80%')">${workFullManage.constructId.unitName}</a></td>
									<td>${workFullManage.constructId.unitLinkMan}</td>
									<td>${workFullManage.constructId.linkPhone}</td>
								</tr>
							</tbody>
						</table>
					</td>
				</tr>
				<tr>
					<td class="width-20 active"><label class="pull-right">监理单位</label></td>
					<td colspan="4">
						<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
							<thead>
								<th>监理单位</th>
								<th>监理方联系人</th>
								<th>监理方式</th>
							</thead>
							<tbody id="surveyId">
								<tr>
									<td><a href="javascript:void(0)" onclick="openDialogView('查看','${ctx}/workfullmanage/workFullSurvey/form?id=${workFullManage.surveyId.id}&tabId=1','80%','80%')">${workFullManage.surveyId.unitName}</a></td>
									<td>${workFullManage.surveyId.unitLinkMan}</td>
									<td>${workFullManage.surveyId.linkPhone}</td>
								</tr>
							</tbody>
						</table>
					</td>
				</tr>
				<tr>
					<td class="width-20 active"><label class="pull-right">设计单位</label></td>
					<td colspan="4">
						<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
							<thead>
								<th>设计单位</th>
								<th>设计方联系人</th>
								<th>设计方式</th>
							</thead>
							<tbody id="designId">
								<tr>
									<td><a href="javascript:void(0)" onclick="openDialogView('查看','${ctx}/workfullmanage/workFullDesign/form?id=${workFullManage.designId.id}&tabId=1','80%','80%')">${workFullManage.designId.unitName}</a></td>
									<td>${workFullManage.designId.unitLinkMan}</td>
									<td>${workFullManage.designId.linkPhone}</td>
								</tr>
							</tbody>
						</table>
					</td>
				</tr>
				<tr>
					<td class="width-20 active" rowspan="5"><label class="pull-right">项目概况</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目分类：</label></td>
					<td class="width-25">
							${fns:getDictLabel(workFullManage.fullProjectType, 'full_project_type', '')}
					</td>
					<td class="width-15 active"><label class="pull-right">工程所在地：</label></td>
					<td class="width-25">
						${workFullManage.fullProjectAddress}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">工程性质：</label></td>
					<td class="width-25">
						${fns:getDictLabel(workFullManage.fullProjectProperty, 'full_project_property', '')}
					</td>

				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">工程规模：</label></td>
					<td class="width-25">
						${workFullManage.fullProjectScale}
					</td>
					<td class="width-15 active"><label class="pull-right">计量单位：</label></td>
					<td class="width-25">
						${fns:getDictLabel(workFullManage.fullCountUnit, 'full_count_unit', '')}
					</td>

				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目特性：</label></td>
					<td class="width-25" colspan="3">
						${workFullManage.fullProjectFeature}
					</td>
				</tr>
				<tr>
					<td class="width-20 active" rowspan="6"><label class="pull-right">洽谈记录</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">洽谈开始时间：</label></td>
					<td class="width-25">
						<fmt:formatDate value="${workFullManage.talkStartTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
					</td>
					<td class="width-15 active"><label class="pull-right">洽谈结束时间：</label></td>
					<td class="width-25">
						<fmt:formatDate value="${workFullManage.talkEndTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">咨询费用支付方式：</label></td>
					<td class="width-25">
						${fns:getDictLabel(workFullManage.askPayMode, 'ask_pay_mode', '')}
					</td>

				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">标准说明：</label></td>
					<td class="width-25" colspan="3">
						${workFullManage.standardExplain}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">固定价（元）：</label></td>
					<td class="width-25">
						${workFullManage.fixedPrice}
					</td>

				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">业主要求：</label></td>
					<td class="width-25" colspan="3">
						${workFullManage.clientRequire}
					</td>
				</tr>
				<tr>
					<td class="width-20 active" rowspan="2"><label class="pull-right">部门安排</label></td>
					<td class="width-15 active"><label class="pull-right">主办公司及部门：</label></td>
					<td class="width-25">
						${workFullManage.hostCompany.name}
					</td>
					<td class="width-15 active"><label class="pull-right">协办公司及部门：</label></td>
					<td class="width-25">
						${workFullManage.followCompany.name}
					</td>
				</tr>
				<tr>

				</tr>
				<tr>
					<td class="width-20 active" rowspan="2"><label class="pull-right">人员安排</label></td>
					<td class="width-15 active"><label class="pull-right">主办公司负责人：</label></td>
					<td class="width-25">
						${workFullManage.hostMasterName}
					</td>
					<td class="width-15 active"><label class="pull-right">协办公司负责人：</label></td>
					<td class="width-25">
						${workFullManage.followMasterName}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">主办公司项目成员：</label></td>
					<td class="width-25">
						${workFullManage.hostMemberName}
					</td>
					<td class="width-15 active"><label class="pull-right">协办公司项目成员：</label></td>
					<td class="width-25">
						${workFullManage.followMemberName}
					</td>
				</tr>

		 	</tbody>
		</table>
	</form:form>
</body>
</html>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/4.2.2/jquery.form.min.js" integrity="sha384-FzT3vTVGXqf7wRfy8k4BiyzvbNfeYjK+frTVqZeNDFl8woCbF0CYG6g2fMEFFo/i" crossorigin="anonymous"></script>