<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>

		<form:form id="subForm" modelAttribute="workContentAltermanage" action="#" method="post" class="form-horizontal">
		<form:hidden path="id"/>
            <div class="form-group layui-row lw12">
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>合同名称：</label>
                    <div class="layui-input-block with-icon">
                        <input htmlEscape="false" readonly="true" class="form-control layui-input" value="${workContentAltermanage.contract.name}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>变更类型：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control layui-input" value="${fns:getMainDictLabel(workContentAltermanage.alterType,'content_alter_type' ,'' )}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>变更日期：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control layui-input" value="<fmt:formatDate value="${workContentAltermanage.alterDate}" pattern="yyyy-MM-dd"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>变更造价预计：</label>
                    <div class="layui-input-block">
                        <form:input path="alterCost" htmlEscape="false" readonly="true" class="form-control layui-input"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12 with-textarea">
                    <label class="layui-form-label">变更主要内容：</label>
                    <div class="layui-input-block">
                        <form:textarea path="alterCtnt" htmlEscape="false" rows="3"  readonly="true"  class="form-control layui-area"/>
                    </div>
                </div>
            </div>

            <div class="form-group layui-row lw12">
                <div class="form-group-label"><h2>详情信息</h2></div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>送审金额：</label>
                    <div class="layui-input-block">
                        <input name="reviewAmt" htmlEscape="false" readonly="true" value="<fmt:formatNumber value="${workContentAltermanage.reviewAmt}" pattern="#,##0.00#"/>"  class="form-control layui-input "/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>审定金额：</label>
                    <div class="layui-input-block">
                        <input name="setAmt" htmlEscape="false" readonly="true" value="<fmt:formatNumber value="${workContentAltermanage.setAmt}" pattern="#,##0.00#"/>" class="form-control layui-input "/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>报送日期：</label>
                    <div class="layui-input-block">
                        <input type="text" maxlength="20" class="form-control layui-input" readonly="true"
                               value="<fmt:formatDate value="${workContentAltermanage.subDate}" pattern="yyyy-MM-dd"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>审定日期：</label>
                    <div class="layui-input-block">
                        <input type="text" maxlength="20" class="form-control layui-input" readonly="true"
                               value="<fmt:formatDate value="${workContentAltermanage.setDate}" pattern="yyyy-MM-dd"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>计入台账：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control layui-input" value="${fns:getDictLabel(workContentAltermanage.inAccount,'yes_no' ,'' )}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>计入支付：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control layui-input" value="${fns:getDictLabel(workContentAltermanage.inPayment,'yes_no' ,'' )}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12 with-textarea">
                    <label class="layui-form-label">备注信息：</label>
                    <div class="layui-input-block">
                        <form:textarea path="remarks" htmlEscape="false" rows="3"  readonly="true"  class="form-control layui-area"/>
                    </div>
                </div>
            </div>
	</form:form>
<script type="text/javascript">
    var validateForm;
    $(document).ready(function() {
        validateForm = $("#subForm").validate({
            errorContainer: "#messageBox",
            errorPlacement: function(error, element) {
                $("#messageBox").text("输入有误，请先更正。");
                if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                    error.appendTo(element.parent().parent());
                } else {
                    error.insertAfter(element);
                }
            }
        });

        laydate.render({
            elem: '#alterDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
            event: 'focus' //响应事件。如果没有传入event，则按照默认的click
        });
        laydate.render({
            elem: '#subDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
            event: 'focus' //响应事件。如果没有传入event，则按照默认的click
        });
        laydate.render({
            elem: '#setDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
            event: 'focus' //响应事件。如果没有传入event，则按照默认的click
        });
    });

    function genDetailStr(){
        var stringify = JSON.stringify($("#subForm").serializeJson());
        return stringify;
    }
</script>