<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<form:form id="subForm" modelAttribute="workContentBiddingplan" action="#" method="post" class="form-horizontal">
    <form:hidden path="id"/>
    <div class="form-group layui-row lw12">
    <div class="layui-item layui-col-sm6">
        <label class="layui-form-label"><span class="require-item">*</span>合约规划名称：</label>
        <div class="layui-input-block with-icon">
            <sys:gridselectProjcontent url="${ctx}/projectcontentinfo/projectContentData/selectcontent" id="contProgramId" name="contProgram.id"  value="${workContentBiddingplan.contProgram.id}"  title="选择合约" labelName="contProgram.name"
                                       labelValue="${workContentBiddingplan.contProgram.name}" cssClass="form-control layui-input required" projectId="${workContentBiddingplan.projectId}" type="31" fieldLabels="" fieldKeys="" searchLabel="${fns:urlEncode('合约名称')}" searchKey="" ></sys:gridselectProjcontent>
        </div>
    </div>
    <div class="layui-item layui-col-sm6">
        <label class="layui-form-label"><span class="require-item">*</span>招标方式：</label>
        <div class="layui-input-block">
            <form:select path="biddingType" class="form-control layui-input required">
                <form:option value="" label=""/>
                <form:options items="${fns:getDictList('content_bidding_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
            </form:select>
        </div>
    </div>
    <div class="layui-item layui-col-sm6">
        <label class="layui-form-label"><span class="require-item">*</span>招标时间：</label>
        <div class="layui-input-block">
            <input id="biddingDate" name="biddingDate" type="text" maxlength="20" class="laydate-icondate form-control layui-input layer-date laydate-icon required"
                   value="<fmt:formatDate value="${workContentBiddingplan.biddingDate}" pattern="yyyy-MM-dd"/>"/>
        </div>
    </div>
    <div class="layui-item layui-col-sm6">
        <label class="layui-form-label"><span class="require-item">*</span>招标控制价：</label>
        <div class="layui-input-block">
            <input  htmlEscape="false"  name="ctrlPrice" class="form-control layui-input required number" id="ctrlPrice" value="<fmt:formatNumber value="${workContentBiddingplan.ctrlPrice}" pattern="#,##0.00#"/>" onchange="formatNum(this);"/>
        </div>
    </div>
    </div>
</form:form>
<script type="text/javascript">
    var validateForm;
    $(document).ready(function () {
        validateForm = $("#subForm").validate({
            submitHandler: function(form){
                loading('正在提交，请稍等...');
                form.submit();
            },
            errorContainer: "#messageBox",
            errorPlacement: function(error, element) {
                $("#messageBox").text("输入有误，请先更正。");
                if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                    error.appendTo(element.parent().parent());
                } else {
                    error.insertAfter(element);
                }
            }
        });
        laydate.render({
            elem: '#biddingDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
            event: 'focus', //响应事件。如果没有传入event，则按照默认的click
            type : 'date'
        });
    })

    function genDetailStr(){
        return JSON.stringify($("#subForm").serializeJson());
    }
</script>