<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>工程项目信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        $(function(){
            var oneSize = $(".oneTab").size();
            for(var i = 0;i < oneSize;i++){
                var hei = $(".oneTab:eq("+i+")").parent().height();
                $(".oneTab:eq("+i+")").css("height",hei)
                    .css("vertical-align","middle")
                    .css("line-height",hei+"px")
            }
            $("img").not(".upload_ico").each(function () {
                var num = 1 ;
                $(this).click(function () {
                    var flag = num%2;
                    if(flag == 1){
                        $(this).css("width","90%");
                        $(this).css("height","90%");
                        num++;
                    }else if(flag ==0){
                        $(this).css("width","50px");
                        $(this).css("height","50px");
                        num++;
                    }
                })
            });
        })
		var validateForm;
		function doSubmit(){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
		  if(validateForm.form()){
			  $("#inputForm").submit();
			  return true;
		  }
	
		  return false;
		}
		$(document).ready(function() {
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
		});


	</script>
</head>
<body class="hideScroll">
<div class="wrapper wrapper-content">
    <div class="ibox">
        <div class="ibox-content">
            <div class="nav nav-tabs">
                    <ul class="nav nav-tabs">
                        <li><a href="${ctx}/workengineeringproject/workEngineeringProject/form?id=${workEngineeringProject.id}&name=view">项目基本信息</a></li>
                        <li class="active"><a href="javascript:void(0)">客户合同信息</a></li>
                    </ul>
            </div>
            <div id="tab-2" class="tab-pane">
                <table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
                    <tbody>
                    <tr>
                        <td class="width-15 active" rowspan="14"><label class="pull-right">基本信息：</label></td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right"><font color="red">*</font>客户名称：</label></td>
                        <td class="width-85" colspan="3">
                                <span title="${workClientInfo.name}">${fns:abbr(workClientInfo.name,30)}</span>
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">组织机构代码：</label></td>
                        <td class="width-35">
                            ${workClientInfo.orUnicode}
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">客户性质：</label></td>
                        <td class="width-35">
                            ${fns:getMainDictLabel(workClientInfo.companyType, 'company_type', '')}
                        </td>
                        <td class="width-15 active"><label class="pull-right">所在行业：</label></td>
                        <td class="width-35">
                            ${fns:getMainDictLabel(workClientInfo.companyIndustry, 'company_industry', '')}
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">客户类型：</label></td>
                        <td class="width-35">
                            ${fns:getMainDictLabel(workClientInfo.clientType, 'client_type', '')}
                        </td>
                        <td class="width-15 active"><label class="pull-right">信用等级：</label></td>
                        <td class="width-35">
                            ${fns:getDictLabel(workClientInfo.creditRank, 'credit_rank', '')}
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">所在地区：</label></td>
                        <td class="width-35">
                            ${workClientInfo.area.name}
                        </td>
                        <td class="width-15 active"><label class="pull-right">法人代表：</label></td>
                        <td class="width-35">
                            ${workClientInfo.lawerPresint}
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">邮政编码：</label></td>
                        <td class="width-35">
                            ${workClientInfo.zipCode}
                        </td>
                        <td class="width-15 active"><label class="pull-right">传真：</label></td>
                        <td class="width-35">
                            ${workClientInfo.fax}
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">电子邮箱：</label></td>
                        <td class="width-35">
                            ${workClientInfo.email}
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">开户银行及开户账号：</label></td>
                        <td colspan="3">
                            <%--table table-striped table-bordered table-hover table-condensed dataTables-example dataTable--%>
                            <table id="bankinfo" class="table table-striped table-bordered table-condensed">
                                <thead>
                                <tr>
                                    <%--<th> <input type="checkbox" class="i-checks"></th>--%>
                                    <th  class="sort-column name">序号</th>
                                    <th  class="sort-column companyType">开户银行</th>
                                    <th  class="sort-column clientType">开户账户</th>
                                </tr>
                                </thead>
                                <tbody id="workClientBankList">
                                <c:choose>
                                    <c:when test="${not empty workClientInfo.workClientBankList}">
                                        <c:forEach items="${workClientInfo.workClientBankList}" var="workClientBank" varStatus="status">
                                            <tr>
                                                <td>${status.index + 1}</td>
                                                <td>${workClientBank.ourBank}</td>
                                                <td>${workClientBank.bankNumber}</td>
                                            </tr>
                                        </c:forEach>
                                    </c:when>
                                    <c:otherwise>
                                        <tr>
                                            <td colspan="3" align="center">暂无数据</td>
                                        </tr>
                                    </c:otherwise>
                                </c:choose>
                                </tbody>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">税务号：</label></td>
                        <td class="width-35" colspan="3">
                            ${workClientInfo.taxId}
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">注册地址：</label></td>
                        <td class="width-35" colspan="3">
                            ${workClientInfo.registerAddress}
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">详细地址：</label></td>
                        <td class="width-35" colspan="3">
                            ${workClientInfo.address}
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">公司网址：</label></td>
                        <td class="width-35" colspan="3">
                            ${workClientInfo.companyUrl}
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">单位简介：</label></td>
                        <td class="width-35" colspan="3">
                            ${workClientInfo.remarks}
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">联系人：</label></td>
                        <td colspan="4">
                            <table id="contentTable" class="table table-striped table-bordered table-condensed">
                                <thead>
                                <tr>
                                    <th class="hide"></th>
                                    <th>序号</th>
                                    <th>联系人姓名</th>
                                    <th>职务</th>
                                    <th>QQ</th>
                                    <th>联系方式1</th>
                                    <th>联系方式2</th>
                                    <th>E-mail</th>
                                </tr>
                                </thead>
                                <tbody id="workClientLinkmanList">
                                <c:choose>
                                    <c:when test="${not empty workClientInfo.workClientLinkmanList}">
                                        <c:forEach items="${workClientInfo.workClientLinkmanList}" var="workClientLinkman" varStatus="status">
                                            <tr>
                                                <td>${status.index + 1}</td>
                                                <td>${workClientLinkman.name}</td>
                                                <td>${workClientLinkman.position}</td>
                                                <td>${workClientLinkman.qq}</td>
                                                <td>${workClientLinkman.linkPhone}</td>
                                                <td>${workClientLinkman.linkMobile}</td>
                                                <td>${workClientLinkman.email}</td>
                                            </tr>
                                        </c:forEach>
                                    </c:when>
                                    <c:otherwise>
                                        <tr>
                                            <td colspan="8" align="center">暂无数据</td>
                                        </tr>
                                    </c:otherwise>
                                </c:choose>
                                </tbody>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">客户资料：</label></td>
                        <td colspan="4">
                            <table id="contentTable1" class="table table-striped table-bordered table-condensed">
                                <thead>
                                <tr>
                                    <th class="hide"></th>
                                   <%-- <th>序号</th>--%>
                                    <th>文件名</th>
                                    <th>上传人</th>
                                    <th>上传时间</th>
                                    <th width="100">操作</th>
                                </tr>
                                </thead>
                                <tbody id="workClientAttachmentList">
                                <c:choose>
                                    <c:when test="${not empty workClientInfo.workAttachments}">
                                        <c:forEach items="${workClientInfo.workAttachments}" var="workClientAttachment" varStatus="status">
                                            <tr>
                                                <%--<td>${status.index + 1}</td>--%>
                                                <c:choose>
                                                    <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
													   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
													   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
													   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                                        <td><img src="${workClientAttachment.url}" width="50" height="50" alt="${workClientAttachment.attachmentName}"/></td>
                                                    </c:when>
                                                    <c:otherwise>
                                                        <c:choose>
                                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                                <td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','80%','80%','1')">${workClientAttachment.attachmentName}</a></td>
                                                            </c:when>
                                                            <c:otherwise>
                                                                <td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','80%','80%')">${workClientAttachment.attachmentName}</a></td>
                                                            </c:otherwise>
                                                        </c:choose>
                                                    </c:otherwise>
                                                    <%--<c:otherwise>
                                                        <c:choose>
                                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                                <td><a href="${workClientAttachment.url}">${workClientAttachment.attachmentName}</a></td>
                                                            </c:when>
                                                            <c:otherwise>
                                                                <td><a href="javascript:void(0)" onclick="openDialogViewPre('预览','${ctx}/previewController/previewUrl?fileUrl=${workClientAttachment.url}','80%','80%')">${workClientAttachment.attachmentName}</a></td>
                                                            </c:otherwise>
                                                        </c:choose>
                                                    </c:otherwise>--%>
                                                </c:choose>
                                                <td>${workClientAttachment.createBy.name}</td>
                                                <td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/> </td>
                                                <td>
                                                    <a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="btn btn-success btn-xs">下载</a>
                                                   <%-- <a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${workClientAttachment.url}" class="btn btn-success btn-xs">下载</a>--%>
                                                </td>
                                            </tr>
                                        </c:forEach>
                                    </c:when>
                                    <c:otherwise>
                                        <tr>
                                            <td colspan="5" align="center">暂无数据</td>
                                        </tr>
                                    </c:otherwise>
                                </c:choose>
                                </tbody>
                            </table>
                            <script type="text/javascript">
                                $(function () {
                                    $("img").not(".upload_ico").each(function () {
                                        var num = 1 ;
                                        $(this).click(function () {
                                            var flag = num%2;
                                            if(flag == 1){
                                                $(this).css("width","90%");
                                                $(this).css("height","90%");
                                                num++;
                                            }else if(flag ==0){
                                                $(this).css("width","50px");
                                                $(this).css("height","50px");
                                                num++;
                                            }
                                        })
                                    });
                                })
                            </script>
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active" rowspan="11"><label class="pull-right">合同信息：</label></td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">合同名称：</label></td>
                        <td class="width-35">
                            ${workContractInfo.name}
                        </td>
                        <td class="width-15 active"><label class="pull-right">签订日期：</label></td>
                        <td class="width-35">
                            <fmt:formatDate value="${workContractInfo.contractDate}" pattern="yyyy-MM-dd"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">合同生效日期：</label></td>
                        <td class="width-35">
                            <fmt:formatDate value="${workContractInfo.effectiveDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
                        </td>
                        <td class="width-15 active"><label class="pull-right">合同终止日期：</label></td>
                        <td class="width-35">
                            <fmt:formatDate value="${workContractInfo.closingDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">客户名称：</label></td>
                        <td class="width-35">
                            ${workContractInfo.client.name}
                        </td>
                        <td class="width-15 active"><label class="pull-right">合同类型：</label></td>
                        <td class="width-35">
                            ${fns:getDictLabel(workContractInfo.contractType, 'contractType', '')}
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">合同编号：</label></td>
                        <td class="width-35">
                            ${workContractInfo.contractNum}
                        </td>
                        <td class="width-15 active"><label class="pull-right">合同金额(元)：</label></td>
                        <td class="width-35">
                            ${workContractInfo.contractPrice}
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right"> 创建人：</label></td>
                        <td class="width-35">
                            ${workContractInfo.createName}
                        </td>
                        <td class="width-15 active"><label class="pull-right">合同特别条款：</label></td>
                        <td class="width-35">
                            ${workContractInfo.contractSpecial}
                        </td>
                    </tr>
                    <tr>
                        <td class="width-15 active"><label class="pull-right">合同资料：</label></td>
                        <td colspan="3">
                            <table id="attachments"  style="text-align: center;width: 100%;margin-top:10px;"  class="table table-striped table-bordered table-condensed" >
                                <tr>
                                    <%--<td>序号</td>--%><td>文件名</td><td>上传人</td><td>上传时间</td><td>操作</td>
                                </tr>
                                <c:forEach items="${attachmentContractList}" var="workClientAttachment" varStatus="status">
                                    <tr>
                                       <%-- <td>${status.index + 1}</td>--%>
                                        <c:choose>
                                            <%--<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
                                                                               or fn:containsIgnoreCase(attachment.attachmentName,'png')
                                                                               or fn:containsIgnoreCase(attachment.attachmentName,'gif')
                                                                               or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
                                                <td><img src="${attachment.url}" width="50" height="50" alt="${attachment.attachmentName}"/></td>
                                            </c:when>
                                            <c:otherwise>
                                                <c:choose>
                                                    <c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
                                                        <td><a href="${attachment.url}">${attachment.attachmentName}</a></td>
                                                    </c:when>
                                                    <c:otherwise>
                                                        <td><a href="javascript:void(0)" onclick="openDialogView('预览','${ctx}/previewController/previewUrl?fileUrl=${attachment.url}','80%','80%')">${attachment.attachmentName}</a></td>
                                                    </c:otherwise>
                                                </c:choose>
                                            </c:otherwise>--%>
                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
													   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
													   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
										 			   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
													   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                                <td><img src="${workClientAttachment.url}" width="50" height="50" alt="${workClientAttachment.attachmentName}"/></td>
                                            </c:when>
                                            <c:otherwise>
                                                <c:choose>
                                                    <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                        <td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','80%','80%','1')">${workClientAttachment.attachmentName}</a></td>
                                                    </c:when>
                                                    <c:otherwise>
                                                        <td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','80%','80%')">${workClientAttachment.attachmentName}</a></td>
                                                    </c:otherwise>
                                                </c:choose>
                                            </c:otherwise>
                                        </c:choose>
                                        <td>${workClientAttachment.attachmentUser}</td>
                                        <td><fmt:formatDate value="${workClientAttachment.createDate}" pattern="yyyy-MM-dd"/></td>
                                        <td>
                                            <a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${attachment.url}" class="btn btn-success btn-xs">下载</a>
                                        </td>
                                    </tr>
                                </c:forEach>
                            </table>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <%--<div class="col-sm-12 m-t-xs">
                <div class="col-sm-2 gray-bg text-center oneTab">
                    <label>基本信息</label>
                </div>
                <div class="col-sm-10 " >
                    <table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
                       <tbody>
                       <tr>
                           <td class="width-15 active">客户名称：</td>
                           <td class="width-35" colspan="3">
                               <span title="${workClientInfo.name}">${fns:abbr(workClientInfo.name,30)}</span>
                           </td>
                       </tr>
                       <tr>
                           <td class="width-15 active">组织机构代码：</td>
                           <td class="width-35" colspan="3">
                               ${workClientInfo.orUnicode}
                           </td>
                       </tr>
                       <tr>
                           <td class="width-15 active">客户性质：</td>
                           <td class="width-35">
                               ${fns:getMainDictLabel(workClientInfo.companyType, 'company_type', '')}
                           </td>
                           <td class="width-15 active">所在行业：</td>
                           <td class="width-35">
                               ${fns:getMainDictLabel(workClientInfo.companyIndustry, 'company_industry', '')}
                           </td>
                       </tr>
                       <tr>
                           <td class="width-15 active">客户类型：</td>
                           <td class="width-35">
                               ${fns:getMainDictLabel(workClientInfo.clientType, 'client_type', '')}
                           </td>
                           <td class="width-15 active">信用等级：</td>
                           <td class="width-35">
                               ${fns:getDictLabel(workClientInfo.creditRank, 'credit_rank', '')}
                           </td>
                       </tr>
                       <tr>
                           <td class="width-15 active">所在地区：</td>
                           <td class="width-35">
                               ${workClientInfo.area.name}
                           </td>
                           <td class="width-15 active">法人代表：</td>
                           <td class="width-35">
                               ${workClientInfo.lawerPresint}
                           </td>
                       </tr>
                       <tr>
                           <td class="width-15 active">邮政编码：</td>
                           <td class="width-35">
                               ${workClientInfo.zipCode}
                           </td>
                           <td class="width-15 active">传真：</td>
                           <td class="width-35">
                               ${workClientInfo.fax}
                           </td>
                       </tr>
                       <tr>
                           <td class="width-15 active">电子邮箱：</td>
                           <td class="width-35" colspan="3">
                               ${workClientInfo.email}
                           </td>
                       </tr>
                       <tr>
                           <td class="width-15 active">开户银行及开户账号：</td>
                           <td class="width-35" colspan="3">
                               &lt;%&ndash;table table-striped table-bordered table-hover table-condensed dataTables-example dataTable&ndash;%&gt;
                               <table id="bankinfo" class="table table-striped table-bordered table-condensed">
                                   <thead>
                                   <tr>
                                       &lt;%&ndash;<th> <input type="checkbox" class="i-checks"></th>&ndash;%&gt;
                                       <th  class="sort-column name">序号</th>
                                       <th  class="sort-column companyType">开户银行</th>
                                       <th  class="sort-column clientType">开户账户</th>
                                   </tr>
                                   </thead>
                                   <tbody id="workClientBankList">
                                   <c:forEach items="${workClientInfo.workClientBankList}" var="workClientBank" varStatus="status">
                                       <tr>
                                           <td>${status.index + 1}</td>
                                           <td>${workClientBank.ourBank}</td>
                                           <td>${workClientBank.bankNumber}</td>
                                       </tr>
                                   </c:forEach>
                                   <c:if test="${bankSize == 0}">
                                       <tr>
                                           <td colspan="3">暂无数据</td>
                                       </tr>
                                   </c:if>
                                   </tbody>
                               </table>
                           </td>
                       </tr>
                       <tr>
                           <td class="width-15 active">税务号：</td>
                           <td class="width-35" colspan="3">
                               ${workClientInfo.taxId}
                           </td>
                       </tr>
                       <tr>
                           <td class="width-15 active">注册地址：</td>
                           <td class="width-35" colspan="3">
                               ${workClientInfo.registerAddress}
                           </td>
                       </tr>
                       <tr>
                           <td class="width-15 active">详细地址：</td>
                           <td class="width-35" colspan="3">
                               ${workClientInfo.address}
                           </td>
                       </tr>
                       <tr>
                           <td class="width-15 active">公司网址：</td>
                           <td class="width-35" colspan="3">
                               <span title="${workClientInfo.companyUrl}">${fns:abbr(workClientInfo.companyUrl,30)}</span>
                           </td>
                       </tr>
                       <tr>
                           <td class="width-15 active">单位简介：</td>
                           <td class="width-35" colspan="3">
                              ${workClientInfo.remarks}
                           </td>
                       </tr>
                       </tbody>
                    </table>
                </div>
            </div>--%>
                <%--<div class="col-sm-12 m-t-xs">
                    <div class="col-sm-2 gray-bg text-center oneTab">
                        <label>联系人:</label>
                    </div>
                    <div class="col-sm-10 " >
                        <table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
                            <thead>
                                <tr>
                                       <th>序号</th>
                                       <th>联系人姓名</th>
                                       <th>职务</th>
                                       <th>QQ</th>
                                       <th>联系人电话</th>
                                       <th>联系人手机</th>
                                       <th>E-mail</th>
                                       <th>是否默认联系人</th>
                                   </tr>
                                   </thead>
                                   <tbody id="workClientLinkmanList">
                                   <c:forEach items="${workClientInfo.workClientLinkmanList}" var="workClientLinkman" varStatus="status">
                                       <tr>
                                           <td>${status.index + 1}</td>
                                           <td>${workClientLinkman.name}</td>
                                           <td>${workClientLinkman.position}</td>
                                           <td>${workClientLinkman.qq}</td>
                                           <td>${workClientLinkman.linkPhone}</td>
                                           <td>${workClientLinkman.linkMobile}</td>
                                           <td>${workClientLinkman.email}</td>
                                           <td>${workClientLinkman.isDefault}</td>
                                       </tr>
                                   </c:forEach>
                                   </tbody>
                                   <c:if test="${linkManSize == 0}">
                            <tr>
                                <td colspan="8">暂无数据</td>
                            </tr>
                            </c:if>

                         </table>
                    </div>
                </div>
                <div class="col-sm-12 m-t-xs">
                    <div class="col-sm-2 gray-bg text-center oneTab">
                        <label>客户资料</label>
                    </div>
                    <div class="col-sm-10 " >
                       <tr>
                           <td class="width-15 active">客户资料：</td>
                           <td class="width-35" colspan="3">
                               <table id="listAttachment"  style="text-align: center;width: 100%;margin-top:10px;"  class="table table-striped table-bordered table-condensed" >
                                   <tr>
                                       <td>序号</td><td>文件名</td><td>上传人</td><td>上传时间</td><td>操作</td>
                                   </tr>
                                   <c:forEach items="${attachmentClientList}" var="attachment" varStatus="status">
                                       <tr>
                                           <td>${status.index + 1}</td>
                                           <c:choose>
                                               <c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
                                                                       or fn:containsIgnoreCase(attachment.attachmentName,'png')
                                                                       or fn:containsIgnoreCase(attachment.attachmentName,'gif')
                                                                       or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
                                                   <td><img src="${attachment.url}" width="50" height="50" alt="${attachment.attachmentName}"/></td>
                                               </c:when>
                                               <c:otherwise>
                                                   <c:choose>
                                                       <c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
                                                           <td><a href="${attachment.url}">${attachment.attachmentName}</a></td>
                                                       </c:when>
                                                       <c:otherwise>
                                                           <td><a href="javascript:void(0)" onclick="openDialogViewPre('预览','${ctx}/previewController/previewUrl?fileUrl=${attachment.url}','80%','80%')">${attachment.attachmentName}</a></td>
                                                       </c:otherwise>
                                                   </c:choose>
                                               </c:otherwise>
                                           </c:choose>
                                           <td>${attachment.attachmentUser}</td>
                                           <td><fmt:formatDate value="${attachment.createDate}" pattern="yyyy-MM-dd"/></td>
                                           <td>
                                               <a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${attachment.url}" class="btn btn-success btn-xs">下载</a>
                                           </td>
                                       </tr>
                                   </c:forEach>
                               </table>
                           </td>
                       </tr>
                    </div>
                </div>
                <div class="col-sm-12 m-t-xs">
                    <div class="col-sm-2 gray-bg text-center oneTab">
                        <label>合同信息</label>
                    </div>
                    <div class="col-sm-10 " >
                        <table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
                            <tbody>
                               <tr>
                                   <td class="width-15 active"> 合同名称</td>
                                   <td class="width-35" colspan="3">
                                       ${workContractInfo.name}
                                   </td>
                               </tr>
                               <tr>
                                   <td class="width-15 active"> 合同编号</td>
                                   <td class="width-35">
                                       ${workContractInfo.contractNum}
                                   </td>
                                   <td class="width-15 active"> 合同类别</td>
                                   <td class="width-35">
                                       ${fns:getDictLabel(workContractInfo.contractType, 'contractType', '')}
                                   </td>
                               </tr>
                               <tr>
                                   <td class="width-15 active"> 合同类型说明</td>
                                   <td class="width-35" colspan="3">
                                   </td>
                               </tr>
                               <tr>
                                   <td class="width-15 active"> 客户名称</td>
                                   <td class="width-35">
                                       ${workContractInfo.client.name}
                                   </td>
                                   <td class="width-15 active"> 合同签订日期</td>
                                   <td class="width-35">
                                       <fmt:formatDate value="${workContractInfo.contractDate}" pattern="yyyy-MM-dd"/>
                                   </td>
                               </tr>
                               <tr>
                                   <td class="width-15 active"> 合同金额</td>
                                   <td class="width-35" colspan="3">
                                       ${workContractInfo.contractPrice}
                                   </td>
                               </tr>
                               <tr>
                                   <td class="width-15 active"> 收费标准</td>
                                   <td class="width-35" colspan="3">
                                       ${workContractInfo.contractFee}
                                   </td>
                               </tr>
                               <tr>
                                   <td class="width-15 active"> 收费标准说明</td>
                                   <td class="width-35" colspan="3">
                                   </td>
                               </tr>
                               <tr>
                                   <td class="width-15 active"> 合同特别条款</td>
                                   <td class="width-35" colspan="3">
                                       ${workContractInfo.contractSpecial}
                                   </td>
                               </tr>
                               <tr>
                                   <td class="width-15 active">负责公司/部门 </td>
                                   <td class="width-35" colspan="3">
                                       ${workContractInfo.chargeCompanyName}
                                   </td>
                               </tr>
                               <tr>
                                   <td class="width-15 active"> 创建人</td>
                                   <td class="width-35" colspan="3">
                                       ${workContractInfo.createName}
                                   </td>
                               </tr>
                               <tr>
                                   <td class="width-35 active" colspan="4"> 合同资料</td>
                               </tr>
                               <tr>
                                   <td class="width-35" colspan="4">
                                       <table id="attachments"  style="text-align: center;width: 100%;margin-top:10px;"  class="table table-striped table-bordered table-condensed" >
                                       <tr>
                                           <td>序号</td><td>文件名</td><td>上传人</td><td>上传时间</td><td>操作</td>
                                       </tr>
                                           <c:forEach items="${attachmentContractList}" var="attachment" varStatus="status">
                                           <tr>
                                               <td>${status.index + 1}</td>
                                               <c:choose>
                                                   <c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
                                                                               or fn:containsIgnoreCase(attachment.attachmentName,'png')
                                                                               or fn:containsIgnoreCase(attachment.attachmentName,'gif')
                                                                               or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
                                                       <td><img src="${attachment.url}" width="50" height="50" alt="${attachment.attachmentName}"/></td>
                                                   </c:when>
                                                   <c:otherwise>
                                                       <c:choose>
                                                           <c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
                                                               <td><a href="${attachment.url}">${attachment.attachmentName}</a></td>
                                                           </c:when>
                                                           <c:otherwise>
                                                               <td><a href="javascript:void(0)" onclick="openDialogView('预览','${ctx}/previewController/previewUrl?fileUrl=${attachment.url}','80%','80%')">${attachment.attachmentName}</a></td>
                                                           </c:otherwise>
                                                       </c:choose>
                                                   </c:otherwise>
                                               </c:choose>
                                               <td>${attachment.attachmentUser}</td>
                                               <td><fmt:formatDate value="${attachment.createDate}" pattern="yyyy-MM-dd"/></td>
                                               <td>
                                                   <a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${attachment.url}" class="btn btn-success btn-xs">下载</a>
                                               </td>
                                        </tr>
                                           </c:forEach>
                                       </table>
                                   </td>
                               </tr>
                       </tbody>
                </table>
                </div>
            </div>--%>
        </div>
        </div>
</div>
</body>
</html>