<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>施工联系单管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">

	</script>
</head>
<body class="hideScroll">
		<form:form id="inputForm" modelAttribute="workFullConstructsheet"  method="post" class="form-horizontal">
		<sys:message content="${requestScope.message}"/>
		<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
		   <tbody>
		   		<tr>
					<td class="width-15 active" rowspan="9"><label class="pull-right">台账信息：</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">施工单位：</label></td>
					<td class="width-40" colspan="3">
						${workFullManage.constructId.unitName}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">联系单主题：</label></td>
					<td class="width-40" colspan="3">
						${workFullConstructsheet.constructsheetTopic}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目编号：</label></td>
					<td class="width-30">
						${workFullConstructsheet.projectNumber}
					</td>
					<td class="width-15 active"><label class="pull-right">联系单编号：</label></td>
					<td class="width-30">
						${workFullConstructsheet.constructsheetNumber}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">施工标段：</label></td>
					<td class="width-30">
						${workFullConstructsheet.constructSection}
					</td>
					<td class="width-15 active"><label class="pull-right">是否产生费用增减：</label></td>
					<td class="width-30">
						${fns:getDictLabel(workFullConstructsheet.costIncreaseDecrease,'cost_increase_decrease' ,'' )}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">业主处理意见：</label></td>
					<td class="width-40" colspan="3">
						${workFullConstructsheet.proprietorComment}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">变更原因及主要内容：</label></td>
					<td class="width-40" colspan="3">
						${workFullConstructsheet.changeContext}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">备注信息：</label></td>
					<td class="width-40" colspan="3">
						${workFullConstructsheet.remarks}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">文件上传：</label></td>
					<td class="width-40" colspan="3">
						<div>
							<div style="float:left; height: 100%; width: 100%; ">
								<table id="listManuscriptFile"  style="text-align: center;width: 100%;margin-top:10px;"  class="table table-striped table-bordered table-condensed" >
									<tr>
										<%--<td>序号</td>--%><td>文件名</td><td>上传人</td><td>上传时间</td><td>操作</td>
									</tr>
									<c:if test="${not empty workFullConstructsheet.workAttachments}">
										<c:forEach items="${workFullConstructsheet.workAttachments}" var="attachment" varStatus="varStatus">
										<tr>
											<%--<td>${varStatus.index+1}</td>--%>
												<%--<td>${workFullConstructsheet.workattachment.attachmentName}</td>--%>
											<c:choose>
												<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
															   or fn:containsIgnoreCase(attachment.attachmentName,'png')
															   or fn:containsIgnoreCase(attachment.attachmentName,'gif')
															   or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
													<td><img src="${attachment.url}" onclick="openDialogView(' ','${ctx}/sys/picturepreview/picturePreview?url=${attachment.url}','860px','600px')"	width="50" height="50" alt="${attachment.attachmentName}"/></td>
												</c:when>
												<c:otherwise>
													<c:choose>
														<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
															<%--<td><a href="${workFullConstructsheet.workattachment.url}"><span title="${workFullConstructsheet.workattachment.attachmentName}">${fns:abbr(workFullConstructsheet.workattachment.attachmentName, 20)}</span></a></td>--%>
															<td><a href="javascript:void(0)" onclick="preview('预览','${attachment.url}','80%','80%','1')">
																<span title="${attachment.attachmentName}">${fns:abbr(attachment.attachmentName, 30)}</span></a></td>
														</c:when>
														<c:otherwise>
															<%--<td><a href="javascript:void(0)" onclick="openDialogViewPre('预览','${ctx}/previewController/previewUrl?fileUrl=${workFullConstructsheet.workattachment.url}','80%','80%')"><span title="${workFullConstructsheet.workattachment.attachmentName}">${fns:abbr(workFullConstructsheet.workattachment.attachmentName, 20)}</span></a></td>--%>
															<td><a href="javascript:void(0)" onclick="preview('预览','${attachment.url}','80%','80%')">
																<span title="${attachment.attachmentName}">${fns:abbr(attachment.attachmentName, 30)}</span></a></td>
														</c:otherwise>
													</c:choose>
												</c:otherwise>
											</c:choose>
											<td>${attachment.attachmentUser}</td>
											<td><fmt:formatDate value="${attachment.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
											<td>
												<a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${attachment.url}" class="btn btn-success btn-xs">下载</a>
											</td>
										</tr>
										</c:forEach>
									</c:if>
								</table>
							</div>
						</div>
					</td>
				</tr>
				<tr>
					<td class="width-15 active" rowspan="5"><label class="pull-right">项目信息:</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目编号：</label></td>
					<td class="width-30">
							${workFullManage.fullProjectNumber}
					</td>
					<td class="width-15 active"><label class="pull-right">项目来源：</label></td>
					<td class="width-30">
							${fns:getDictLabel(workFullManage.fullProjectSource, 'full_project_source', '')}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
					<td class="width-30" colspan="3">
							${workFullManage.fullProjectName}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">行业分类：</label></td>
					<td class="width-30">
							${fns:getDictLabel(workFullManage.fullIndustryType, 'full_industry_type', '')}
					</td>
					<td class="width-15 active"><label class="pull-right">结构类型：</label></td>
					<td class="width-30">
							${fns:getDictLabel(workFullManage.fullStructureType, 'full_structure_type', '')}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">投资额(元)：</label></td>
					<td class="width-40">
							${workFullManage.fullInvestMoney}
					</td>
				</tr>
				<tr>
					<td class="width-15 active" rowspan="5"><label class="pull-right">客户单位:</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">业主单位：</label></td>
					<td class="width-40" colspan="3">
							${workFullManage.workClientInfo.name}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">客户信用等级：</label></td>
					<td class="width-30">
							${workFullManage.workClientInfo.creditRank}
					</td>
					<td class="width-15 active"><label class="pull-right">业主联系人：</label></td>
					<td class="width-30">
							${workFullManage.workClientInfo.workClientLinkman.name}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">职务：</label></td>
					<td class="width-30">
							${workFullManage.workClientInfo.workClientLinkman.position}
					</td>
					<td class="width-15 active"><label class="pull-right">联系方式：</label></td>
					<td class="width-30">
							${workFullManage.workClientInfo.workClientLinkman.linkPhone}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">QQ：</label></td>
					<td class="width-30">
							${workFullManage.workClientInfo.workClientLinkman.qq}
					</td>
					<td class="width-15 active"><label class="pull-right">Email：</label></td>
					<td class="width-30">
							${workFullManage.workClientInfo.workClientLinkman.email}
					</td>
				</tr>
		 	</tbody>
		</table>
	</form:form>
</body>
</html>