<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目列表</title>
	<meta name="decorator" content="default"/>
	<%@include file="/webpage/include/treetable.jsp" %>
	<script type="text/javascript">
        $(function(){
            $("#treeTable").treeTable({expandLevel : 2,column:1}).show();
        });
        function openDialogre(title,url,width,height,target) {
            if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
                width = 'auto';
                height = 'auto';
            } else {//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url,
                btn: ['提交', '暂存', '关闭'],
                btn1: function (index, layero) {
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if (target) {
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    } else {
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    var formId = inputForm.attr("id");
                    if(formId){
                        var $document = iframeWin.contentWindow.document;
                        $document.getElementById(formId).setAttribute("action","${ctx}/workfulldesignchange/workFullDesignchange/save?submit=submit");
                        formSubmit($document,formId,index);
                    }
                },
                btn2: function (index, layero) {
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if (target) {
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    } else {
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    var formId = inputForm.attr("id");
                    if(formId){
                        var $document = iframeWin.contentWindow.document;
                        $document.getElementById(formId).setAttribute("action","${ctx}/workfulldesignchange/workFullDesignchange/save?submit=toStore");
                        formSubmit($document,formId,index);
                    }
                    return false;
                },
                btn3: function (index) {
                }
            });
        }
        function formSubmit($document,inputForm,index){
            var validateForm = $($document.getElementById(inputForm)).validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $($document.getElementById("#messageBox")).text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
            if(validateForm.form()){
                var loadingMessage = parent.layer.load(0, {shade: [0.1,'#393d49']});
                $($document.getElementById(inputForm)).ajaxSubmit({
                    success:function(data) {
                        top.layer.close(index);
                        parent.layer.msg("保存成功！！！",{icon:6});
                        parent.layer.close(loadingMessage);
                        window.location.reload();
                    }
                });
            }
        }
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>
			<ul class="nav nav-tabs">
				<li class="active"><a href="${ctx}/workfulldesignchange/workFullDesignchange/workfullmanageList">项目列表</a></li>
				<li><a href="${ctx}/workfulldesignchange/workFullDesignchange/auditTodo">待审核列表</a></li>
				<li><a href="${ctx}/workfulldesignchange/workFullDesignchange/auditHistory">已审核列表</a></li>
			</ul>
		</h5>
		<%--<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>--%>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workFullManage" action="${ctx}/workfulldesignchange/workFullDesignchange/workfullmanageList" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
		<div class="form-group">
			<label>项目编号：</label>
			<form:input path="fullProjectNumber" htmlEscape="false"    class="form-control required"/>
			<label>项目名称：</label>
			<form:input path="fullProjectName" htmlEscape="false"    class="form-control required"/>
		</div>
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="treeTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th style="text-align: center;">序号</th>
				<th style="text-align: center;"  class="sort-column fullProjectNumber">项目编号</th>
				<th style="text-align: center;"  class="sort-column fullProjectName">项目名称</th>
				<th style="text-align: center;"  class="sort-column ciName">客户单位</th>
				<th style="text-align: center;">项目负责人</th>
				<th style="text-align: center;"  class="sort-column createDate">创建日期</th>
				<th style="text-align: center;"  class="sort-column fullProjectStatus">项目状态</th>
				<th style="text-align: center;">设计变更</th>
				<th style="text-align: center;">操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workFullManage" varStatus="index">
			<tr  id="${workFullManage.id}" pId="${workFullManage.totalFullId ne '1'?workFullManage.totalFullId:'0'}">
				<td>${index.index +1}</td>
				<td>
					<span title="${workFullManage.fullProjectNumber}">${fns:abbr(workFullManage.fullProjectNumber, 30)}</span>
				</td>
				<td>
					<a  href="javascript:void(0)" onclick="openDialogView('查看项目', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=0','80%','80%')">
						<span title="${workFullManage.fullProjectName}">${fns:abbr(workFullManage.fullProjectName, 30)}</span>
					</a>
				</td>
				<td>
					<span title="${workFullManage.ciName}">${fns:abbr(workFullManage.ciName, 30)}</span>
				</td>
				<td>
					<span title="${workFullManage.hostMasterName}">${fns:abbr(workFullManage.hostMasterName, 30)}</span>
				</td>
				<td>
					<fmt:formatDate value="${workFullManage.createDate}" pattern="yyyy-MM-dd"/>
				</td>
				<td>
					${fns:getDictLabel(workFullManage.fullProjectStatus,'full_project_status' ,'' )}
				</td>
				<td>
					<div style="text-align: center">
					<c:choose>
						<c:when test="${workFullManage.fullProjectStatus le 3 and workFullManage.fullProjectStatus ge 1}">
							<shiro:hasPermission name="workfulldesignchange:workFullDesignchange:add">
								<a href="javascript:void(0)" onclick="openDialogre('新增设计变更', '${ctx}/workfulldesignchange/workFullDesignchange/form?workFullManageId=${workFullManage.id}&dialog=add&listpage=workfullmanageList','80%','80%')" class="btn btn-info btn-xs" >设计变更</a>
							</shiro:hasPermission>
						</c:when>
						<c:otherwise>
							<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('该阶段无法添加设计变更',{icon:2})" class="btn btn-default btn-xs">设计变更</a>
						</c:otherwise>
					</c:choose>
					</div>
				</td>
				<td>
					<div style="text-align: center">
					<shiro:hasPermission name="workfulldesignchange:workFullDesignchange:list">
						<a href="javascript:void(0)" onclick="openDialogView('设计变更列表','${ctx}/workfulldesignchange/workFullDesignchange/list?workFullManageId=${workFullManage.id}','80%','80%')" class="btn btn-info btn-xs" >设计变更记录</a>
					</shiro:hasPermission>
					</div>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>