<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目登记查看</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">

        $(function () {

            if(${requestScope.linkmanList !=null}){
                var defaultLinkmanName = "";
                $.each(JSON.parse('${requestScope.linkmanList}'),function(n,value){
                    var optionTag = '<option id="linkman_attr_'+n+'" type="text" value='+n+'>'+value.linkmanName+'</option>';
                    $("#linkman_list").append(optionTag);
                    if(n==0){
                        defaultLinkmanName=value.linkmanName;
//                        $("#clientLevel").val(value.creditRank);
//                        $("#linkMan").val(value.linkmanName);
//                        $("#position").val(value.linkmanPosition);
//                        $("#linkPhone").val(value.linkmanPhone);
//                        $("#Email").val(value.linkmanEmail);
//                        $("#QQ").val(value.QQ);
                    }
                });
                $("#linkman_list option:first").prop("selected","selected").text(defaultLinkmanName);
            }
            if(${requestScope.build_linkmanList !=null}){
                var defaultLinkmanName = "";
                $.each(JSON.parse('${requestScope.build_linkmanList}'),function(n,value){
                    var optionTag = '<option id="build_linkman_attr_'+n+'" type="text" value='+n+'>'+value.linkmanName+'</option>';
                    $("#build_linkman_list").append(optionTag);
                    if(n==0){defaultLinkmanName=value.linkmanName;}
                });
                $("#build_linkman_list option:first").prop("selected","selected").text(defaultLinkmanName);
            }

        })


        /**
         * 查看联系人（需要用到linkManList）
         */
        function selectLinkman(index,target) {
            if(target=='linkman'){
                var manList = JSON.parse('${requestScope.linkmanList}');

                var linkman = manList[index];
                $("#clientLevel").val(linkman.creditRank);
                $("#linkMan").val(linkman.linkmanName);
                $("#position").val(linkman.linkmanPosition);
                $("#linkPhone").val(linkman.linkmanPhone);
                $("#Email").val(linkman.linkmanEmail);
                $("#QQ").val(linkman.QQ);

            }
            if(target=='build_linkman'){
                var manList =  JSON.parse('${requestScope.build_linkmanList}');

                var build_linkman = manList[index];
                $("#build_clientLevel").val(build_linkman.creditRank);
                $("#build_linkMan").val(build_linkman.linkmanName);
                $("#build_position").val(build_linkman.linkmanPosition);
                $("#build_linkPhone").val(build_linkman.linkmanPhone);
                $("#build_Email").val(build_linkman.linkmanEmail);
                $("#build_QQ").val(build_linkman.QQ);
            }
        }
	</script>
</head>
<body class="hideScroll">
<div class="tabs-container">
	<ul class="nav nav-tabs">
		<li class="active"><a data-toggle="tab" href="#tab-1" aria-expanded="true">项目信息</a>
		</li>
		<li class=""><a data-toggle="tab" href="#tab-2" aria-expanded="false">客户合同信息</a>
		</li>
	</ul>
	<div class="tab-content">
		<div id="tab-1" class="tab-pane active">
			<form:form id="inputForm" modelAttribute="workFullManage" action="${ctx}/workfullmanage/workFullManage/save" method="post" class="form-horizontal">
				<form:hidden path="id"/>
				<sys:message content="${message}"/>
				<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
					<tbody>
					<tr>
						<td class="width-20 active" rowspan="3"><label class="pull-right">合同信息</label></td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>合同名称：</label></td>
						<td class="width-25" colspan="3">
							<c:choose>
								<c:when test="${not empty workFullManage.workContractInfo.name}">
									${workFullManage.workContractInfo.name}
								</c:when>
								<c:otherwise>
									${workFullManage.contractName}
								</c:otherwise>
							</c:choose>
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">合同编号：</label></td>
						<td class="width-25">
								${workFullManage.contractId}
						</td>
					</tr>
					<tr>
						<td class="width-20 active" rowspan="7"><label class="pull-right">项目信息</label></td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">总项目名称：</label></td>
						<td class="width-25">
								${workFullManage.totalFullName}
						</td>
						<td class="width-15 active"><label class="pull-right">总项目编号：</label></td>
						<td class="width-25">
								${workFullManage.totalFullNumber}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">项目编号：</label></td>
						<td class="width-25">
								${workFullManage.fullProjectNumber}
						</td>
						<td class="width-15 active"><label class="pull-right">项目来源：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullManage.fullProjectSource, 'full_project_source', '')}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
						<td class="width-25">
								${workFullManage.fullProjectName}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">行业分类：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullManage.fullIndustryType, 'full_industry_type', '')}
						</td>
						<td class="width-15 active"><label class="pull-right">结构类型：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullManage.fullStructureType, 'full_structure_type', '')}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">行业二分类：</label></td>
						<td class="width-35">
								${fns:getDictLabel(workFullManage.psort, 'psort', '')}
						</td>
						<td class="width-15 active"><label class="pull-right">详细分类：</label></td>
						<td class="width-35">
							<c:choose>
								<c:when test="${workFullManage.psort eq 1}">
									${fns:getDictLabel(workFullManage.ssort, 'ssort1', '')}
								</c:when>
								<c:when test="${workFullManage.psort eq 2}">
									${fns:getDictLabel(workFullManage.ssort, 'ssort2', '')}
								</c:when>
								<c:when test="${workFullManage.psort eq 3}">
									${fns:getDictLabel(workFullManage.ssort, 'ssort3', '')}
								</c:when>
								<c:when test="${workFullManage.psort eq 4}">
									${fns:getDictLabel(workFullManage.ssort, 'ssort4', '')}
								</c:when>
								<c:when test="${workFullManage.psort eq 5}">
									${fns:getDictLabel(workFullManage.ssort, 'ssort5', '')}
								</c:when>
								<c:when test="${workFullManage.psort eq 10}">
									${fns:getDictLabel(workFullManage.ssort, 'ssort10', '')}
								</c:when>
								<c:otherwise>
									无
								</c:otherwise>
							</c:choose>
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">投资额（元）：</label></td>
						<td class="width-25">
								${workFullManage.fullInvestMoney}
						</td>
					</tr>
					<tr>
						<td class="width-20 active" rowspan="5"><label class="pull-right">客户信息</label></td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">业主单位：</label></td>
						<td class="width-25" colspan="3">
							<input type="hidden" id="clientId" name="clientId" value="${workFullManage.workClientInfo.id}"/>
								${workFullManage.workClientInfo.name}
						</td>
					</tr>
					<tr>
						<%--<td class="width-15 active"><label class="pull-right">客户信用等级：</label></td>--%>
						<%--<td class="width-25">--%>
								<%--${workFullManage.workClientInfo.creditRank}--%>
						<%--</td>--%>
						<td class="width-15 active"><label class="pull-right">查看联系人：</label></td>
						<td class="width-25">
							<select id="linkman_list" onchange="selectLinkman(this.value,'linkman')" class="linkman_list max-width-100 form-control" />
						</td>
						<td class="width-15 active"><label class="pull-right">联系人：</label></td>
						<td class="width-25">
							<input value="${workFullManage.workClientInfo.workClientLinkmanList[0].name}" id="linkMan" readonly="true" class="form-control linkman_attr"/>
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">职务：</label></td>
						<td class="width-25">
							<input value="${workFullManage.workClientInfo.workClientLinkmanList[0].position}" id="position" readonly="true" class="form-control linkman_attr"/>
						</td>
						<td class="width-15 active"><label class="pull-right">联系方式：</label></td>
						<td class="width-25">
							<input value="${workFullManage.workClientInfo.workClientLinkmanList[0].linkPhone}" id="linkPhone" readonly="true" class="form-control linkman_attr"/>
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">QQ：</label></td>
						<td class="width-25">
							<input value="${workFullManage.workClientInfo.workClientLinkmanList[0].qq}" id="QQ" readonly="true" class="form-control linkman_attr"/>
						</td>
						<td class="width-15 active"><label class="pull-right">Email：</label></td>
						<td class="width-25">
							<input value="${workFullManage.workClientInfo.workClientLinkmanList[0].email}" id="Email" readonly="true" class="form-control linkman_attr"/>
						</td>
					</tr>

					<tr>
						<td class="width-20 active" rowspan="5"><label class="pull-right">建设方信息</label></td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">业主单位：</label></td>
						<td class="width-25" colspan="3">
								${workFullManage.workBuildInfo.name}
						</td>
					</tr>
					<tr>
						<%--<td class="width-15 active"><label class="pull-right">客户信用等级：</label></td>--%>
						<%--<td class="width-25">--%>
								<%--${workFullManage.workBuildInfo.creditRank}--%>
						<%--</td>--%>
						<td class="width-15 active"><label class="pull-right">查看联系人：</label></td>
						<td class="width-25">
							<select id="build_linkman_list" onchange="selectLinkman(this.value,'build_linkman')" class="build_linkman_list max-width-100 form-control" />
						</td>
						<td class="width-15 active"><label class="pull-right">联系人：</label></td>
						<td class="width-25">
							<input value="${workFullManage.workBuildInfo.workClientLinkmanList[0].name}" id="build_linkMan" readonly="true" class="form-control build_linkman_attr"/>
						</td>

					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">职务：</label></td>
						<td class="width-25">
							<input value="${workFullManage.workBuildInfo.workClientLinkmanList[0].position}" id="build_position" readonly="true" class="form-control build_linkman_attr"/>
						</td>
						<td class="width-15 active"><label class="pull-right">联系方式：</label></td>
						<td class="width-25">
							<input value="${workFullManage.workBuildInfo.workClientLinkmanList[0].linkPhone}" id="build_linkPhone" readonly="true" class="form-control build_linkman_attr"/>
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">QQ：</label></td>
						<td class="width-25">
							<input value="${workFullManage.workBuildInfo.workClientLinkmanList[0].qq}" id="build_QQ" readonly="true" class="form-control build_linkman_attr"/>
						</td>
						<td class="width-15 active"><label class="pull-right">Email：</label></td>
						<td class="width-25">
							<input value="${workFullManage.workBuildInfo.workClientLinkmanList[0].email}" id="build_Email" readonly="true" class="form-control build_linkman_attr"/>
						</td>
					</tr>
					<tr>
						<td class="width-20 active"><label class="pull-right">施工单位</label></td>
						<td colspan="4">
							<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
								<thead>
								<th>施工单位</th>
								<th>施工方联系人</th>
								<th>联系方式</th>
								</thead>
								<tbody id="constructId">
								<tr>
									<td><a href="javascript:void(0)" onclick="openDialogView('查看','${ctx}/workfullmanage/workFullConstruct/form?id=${workFullManage.constructId.id}&tabId=1','80%','80%')">${workFullManage.constructId.unitName}</a></td>
									<td>${workFullManage.constructId.unitLinkMan}</td>
									<td>${workFullManage.constructId.linkPhone}</td>
								</tr>
								</tbody>
							</table>
						</td>
					</tr>
					<tr>
						<td class="width-20 active"><label class="pull-right">监理单位</label></td>
						<td colspan="4">
							<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
								<thead>
								<th>监理单位</th>
								<th>监理方联系人</th>
								<th>监理方式</th>
								</thead>
								<tbody id="surveyId">
								<tr>
									<td><a href="javascript:void(0)" onclick="openDialogView('查看','${ctx}/workfullmanage/workFullSurvey/form?id=${workFullManage.surveyId.id}&tabId=1','80%','80%')">${workFullManage.surveyId.unitName}</a></td>
									<td>${workFullManage.surveyId.unitLinkMan}</td>
									<td>${workFullManage.surveyId.linkPhone}</td>
								</tr>
								</tbody>
							</table>
						</td>
					</tr>
					<tr>
						<td class="width-20 active"><label class="pull-right">设计单位</label></td>
						<td colspan="4">
							<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
								<thead>
								<th>设计单位</th>
								<th>设计方联系人</th>
								<th>设计方式</th>
								</thead>
								<tbody id="designId">
								<tr>
									<td><a href="javascript:void(0)" onclick="openDialogView('查看','${ctx}/workfullmanage/workFullDesign/form?id=${workFullManage.designId.id}&tabId=1','80%','80%')">${workFullManage.designId.unitName}</a></td>
									<td>${workFullManage.designId.unitLinkMan}</td>
									<td>${workFullManage.designId.linkPhone}</td>
								</tr>
								</tbody>
							</table>
						</td>
					</tr>
					<tr>
						<td class="width-20 active" rowspan="5"><label class="pull-right">项目概况</label></td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">项目分类：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullManage.fullProjectType, 'full_project_type', '')}
						</td>
						<td class="width-15 active"><label class="pull-right">工程所在地：</label></td>
						<td class="width-25">
								${workFullManage.area.name}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">工程性质：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullManage.fullProjectProperty, 'full_project_property', '')}
						</td>

					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">工程规模：</label></td>
						<td class="width-25">
								${workFullManage.fullProjectScale}
						</td>
						<td class="width-15 active"><label class="pull-right">计量单位：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullManage.fullCountUnit, 'full_count_unit', '')}
						</td>

					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">项目特性：</label></td>
						<td class="width-25" colspan="3">
								${workFullManage.fullProjectFeature}
						</td>
					</tr>
					<tr>
						<td class="width-20 active" rowspan="6"><label class="pull-right">洽谈记录</label></td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">洽谈开始时间：</label></td>
						<td class="width-25">
							<fmt:formatDate value="${workFullManage.talkStartTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
						</td>
						<td class="width-15 active"><label class="pull-right">洽谈结束时间：</label></td>
						<td class="width-25">
							<fmt:formatDate value="${workFullManage.talkEndTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">咨询费用支付方式：</label></td>
						<td class="width-25">
								${fns:getDictLabel(workFullManage.askPayMode, 'ask_pay_mode', '')}
						</td>

					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">标准说明：</label></td>
						<td class="width-25" colspan="3">
								${workFullManage.standardExplain}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">固定价（元）：</label></td>
						<td class="width-25">
								${workFullManage.fixedPrice}
						</td>

					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">业主要求：</label></td>
						<td class="width-25" colspan="3">
								${workFullManage.clientRequire}
						</td>
					</tr>
					<tr>
						<td class="width-20 active" rowspan="2"><label class="pull-right">部门安排</label></td>
						<td class="width-15 active"><label class="pull-right">主办公司及部门：</label></td>
						<td class="width-25">
								${workFullManage.hostCompany.name}
						</td>
						<td class="width-15 active"><label class="pull-right">协办公司及部门：</label></td>
						<td class="width-25">
								${workFullManage.followCompany.name}
						</td>
					</tr>
					<tr>

					</tr>
					<tr>
						<td class="width-20 active" rowspan="2"><label class="pull-right">人员安排</label></td>
						<td class="width-15 active"><label class="pull-right">主办公司负责人：</label></td>
						<td class="width-25">
								${workFullManage.hostMasterName}
						</td>
						<td class="width-15 active"><label class="pull-right">协办公司负责人：</label></td>
						<td class="width-25">
								${workFullManage.followMasterName}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">主办公司项目成员：</label></td>
						<td class="width-25">
								${workFullManage.hostMemberName}
						</td>
						<td class="width-15 active"><label class="pull-right">协办公司项目成员：</label></td>
						<td class="width-25">
								${workFullManage.followMemberName}
						</td>
					</tr>
					<tr>
						<td class="width-20 active" rowspan="2"><label class="pull-right">附件信息</label></td>
						<td class="width-25" colspan="4">
							<script>
                                $(function () {
                                    $("img").not(".upload_ico").each(function () {
                                        var num = 1 ;
                                        $(this).click(function () {
                                            var flag = num%2;
                                            if(flag == 1){
                                                $(this).css("width","90%");
                                                $(this).css("height","90%");
                                                num++;
                                            }else if(flag ==0){
                                                $(this).css("width","50px");
                                                $(this).css("height","50px");
                                                num++;
                                            }
                                        })
                                    });
                                    $("#param").val() == 2 && $(".addBtn").hide() || $(".addBtn").show()
                                })
							</script>
							<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
								<thead>
								<tr>
									<%--<th>序号</th>--%>
									<th>附件名称</th>
									<th>上传人</th>
									<th>上传时间</th>
									<th width="100">操作</th>
								</tr>
								</thead>
								<tbody>
								<c:choose>
									<c:when test="${not empty workFullManage.workAttachments}">
										<c:forEach items="${workFullManage.workAttachments}" var="workClientAttachment" varStatus="status">
											<tr>
												<%--<td>${status.index + 1}</td>--%>
												<c:choose>
													<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
													   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
													   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
										 			   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
													   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
														<td><img src="${workClientAttachment.url}" width="50" height="50" alt="${workClientAttachment.attachmentName}"/></td>
													</c:when>
													<c:otherwise>
														<c:choose>
															<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
																<td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','80%','80%','1')">${workClientAttachment.attachmentName}</a></td>
															</c:when>
															<c:otherwise>
																<td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','80%','80%')">${workClientAttachment.attachmentName}</a></td>
															</c:otherwise>
														</c:choose>
													</c:otherwise>
												</c:choose>
												<td>${workClientAttachment.createBy.name}</td>
												<td><fmt:formatDate value="${workClientAttachment.createDate}"  pattern="yyyy-MM-dd HH:mm:ss"/></td>
												<td>
													<a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${workClientAttachment.url}" class="btn btn-success btn-xs">下载</a>
												</td>
											</tr>
										</c:forEach>
									</c:when>
									<c:otherwise>
										<tr>
											<td colspan="5" align="center">暂无数据</td>
										</tr>
									</c:otherwise>
								</c:choose>
								</tbody>
							</table>
						</td>
					</tr>
					</tbody>
				</table>
			</form:form>
		</div>
		<div id="tab-2" class="tab-pane">
	<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
		<tbody>
		<tr>
			<td class="width-15 active" rowspan="14"><label class="pull-right">基本信息：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right"><font color="red">*</font>客户名称：</label></td>
			<td class="width-85" colspan="3">
				${workFullManage.workClientInfo.name}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">组织机构代码：</label></td>
			<td class="width-35">
				${workFullManage.workClientInfo.orUnicode}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">客户性质：</label></td>
			<td class="width-35">
				${fns:getMainDictLabel(workFullManage.workClientInfo.companyType, 'company_type', '')}
			</td>
			<td class="width-15 active"><label class="pull-right">所在行业：</label></td>
			<td class="width-35">
				${fns:getMainDictLabel(workFullManage.workClientInfo.companyIndustry, 'company_industry', '')}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">客户类型：</label></td>
			<td class="width-35">
				${fns:getMainDictLabel(workFullManage.workClientInfo.clientType, 'client_type', '')}
			</td>
			<td class="width-15 active"><label class="pull-right">信用等级：</label></td>
			<td class="width-35">
				${fns:getDictLabel(workFullManage.workClientInfo.creditRank, 'credit_rank', '')}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">所在地区：</label></td>
			<td class="width-35">
				${workFullManage.workClientInfo.area.name}
			</td>
			<td class="width-15 active"><label class="pull-right">法人代表：</label></td>
			<td class="width-35">
				${workFullManage.workClientInfo.lawerPresint}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">邮政编码：</label></td>
			<td class="width-35">
				${workFullManage.workClientInfo.zipCode}
			</td>
			<td class="width-15 active"><label class="pull-right">传真：</label></td>
			<td class="width-35">
				${workFullManage.workClientInfo.fax}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">电子邮箱：</label></td>
			<td class="width-35">
				${workFullManage.workClientInfo.email}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">开户银行及开户账号：</label></td>
			<td colspan="3">
				<%--table table-striped table-bordered table-hover table-condensed dataTables-example dataTable--%>
				<table id="bankinfo" class="table table-striped table-bordered table-condensed">
					<thead>
					<tr>
						<%--<th> <input type="checkbox" class="i-checks"></th>--%>
						<th  class="sort-column name">序号</th>
						<th  class="sort-column companyType">开户银行</th>
						<th  class="sort-column clientType">开户账户</th>
					</tr>
					</thead>
					<tbody id="workClientBankList">
					<c:choose>
						<c:when test="${not empty workFullManage.workClientInfo.workClientBankList}">
							<c:forEach items="${workFullManage.workClientInfo.workClientBankList}" var="workClientBank" varStatus="status">
								<tr>
									<td>${status.index + 1}</td>
									<td>${workClientBank.ourBank}</td>
									<td>${workClientBank.bankNumber}</td>
								</tr>
							</c:forEach>
						</c:when>
						<c:otherwise>
							<tr>
								<td colspan="3" align="center">暂无数据</td>
							</tr>
						</c:otherwise>
					</c:choose>
					</tbody>
				</table>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">税务号：</label></td>
			<td class="width-35" colspan="3">
				${workFullManage.workClientInfo.taxId}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">注册地址：</label></td>
			<td class="width-35" colspan="3">
				${workFullManage.workClientInfo.registerAddress}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">详细地址：</label></td>
			<td class="width-35" colspan="3">
				${workFullManage.workClientInfo.address}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">公司网址：</label></td>
			<td class="width-35" colspan="3">
				${workFullManage.workClientInfo.companyUrl}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">单位简介：</label></td>
			<td class="width-35" colspan="3">
				${workFullManage.workClientInfo.remarks}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">联系人：</label></td>
			<td colspan="4">
				<table id="contentTable" class="table table-striped table-bordered table-condensed">
					<thead>
					<tr>
						<th class="hide"></th>
						<th>序号</th>
						<th>联系人姓名</th>
						<th>职务</th>
						<th>QQ</th>
						<th>联系方式1</th>
						<th>联系方式2</th>
						<th>E-mail</th>
					</tr>
					</thead>
					<tbody id="workClientLinkmanList">
					<c:choose>
						<c:when test="${not empty workFullManage.workClientInfo.workClientLinkmanList}">
							<c:forEach items="${workFullManage.workClientInfo.workClientLinkmanList}" var="workClientLinkman" varStatus="status">
								<tr>
									<td>${status.index + 1}</td>
									<td>${workClientLinkman.name}</td>
									<td>${workClientLinkman.position}</td>
									<td>${workClientLinkman.qq}</td>
									<td>${workClientLinkman.linkPhone}</td>
									<td>${workClientLinkman.linkMobile}</td>
									<td>${workClientLinkman.email}</td>
								</tr>
							</c:forEach>
						</c:when>
						<c:otherwise>
							<tr>
								<td colspan="8" align="center">暂无数据</td>
							</tr>
						</c:otherwise>
					</c:choose>
					</tbody>
				</table>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">客户资料：</label></td>
			<td colspan="4">
				<table id="contentTable1" class="table table-striped table-bordered table-condensed">
					<thead>
					<tr>
						<th class="hide"></th>
						<%--<th>序号</th>--%>
						<th>文件名</th>
						<th>上传人</th>
						<th>上传时间</th>
						<th width="100">操作</th>
					</tr>
					</thead>
					<tbody id="workClientAttachmentList">
					<c:choose>
						<c:when test="${not empty workFullManage.workClientInfo.workAttachments}">
							<c:forEach items="${workFullManage.workClientInfo.workAttachments}" var="workClientAttachment" varStatus="status">
								<tr>
									<%--<td>${status.index + 1}</td>--%>
									<c:choose>
										<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
													   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
													   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
													   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
											<td><img src="${workClientAttachment.url}" width="50" height="50" alt="${workClientAttachment.attachmentName}"/></td>
										</c:when>
										<c:otherwise>
											<c:choose>
												<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
													<td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','80%','80%','1')">${workClientAttachment.attachmentName}</a></td>
												</c:when>
												<c:otherwise>
													<td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','80%','80%')">${workClientAttachment.attachmentName}</a></td>
												</c:otherwise>
											</c:choose>
										</c:otherwise>
										<%--<c:otherwise>
                                            <c:choose>
                                                <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                    <td><a href="${workClientAttachment.url}">${workClientAttachment.attachmentName}</a></td>
                                                </c:when>
                                                <c:otherwise>
                                                    <td><a href="javascript:void(0)" onclick="openDialogViewPre('预览','${ctx}/previewController/previewUrl?fileUrl=${workClientAttachment.url}','80%','80%')">${workClientAttachment.attachmentName}</a></td>
                                                </c:otherwise>
                                            </c:choose>
                                        </c:otherwise>--%>
									</c:choose>
									<td>${workClientAttachment.createBy.name}</td>
									<td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/> </td>
									<td>
										<a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${workClientAttachment.url}" class="btn btn-success btn-xs">下载</a>
									</td>
								</tr>
							</c:forEach>
						</c:when>
						<c:otherwise>
							<tr>
								<td colspan="5" align="center">暂无数据</td>
							</tr>
						</c:otherwise>
					</c:choose>
					</tbody>
				</table>
				<script type="text/javascript">
                    $(function () {
                        $("img").not(".upload_ico").each(function () {
                            var num = 1 ;
                            $(this).click(function () {
                                var flag = num%2;
                                if(flag == 1){
                                    $(this).css("width","90%");
                                    $(this).css("height","90%");
                                    num++;
                                }else if(flag ==0){
                                    $(this).css("width","50px");
                                    $(this).css("height","50px");
                                    num++;
                                }
                            })
                        });
                    })
				</script>
			</td>
		</tr>
		<tr>
			<td class="width-15 active" rowspan="11"><label class="pull-right">合同信息：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right"><font color="red">*</font>合同名称：</label></td>
			<td class="width-35">
				${workFullManage.workContractInfo.name}
			</td>
			<td class="width-15 active"><label class="pull-right">签订日期：</label></td>
			<td class="width-35">
				<fmt:formatDate value="${workFullManage.workContractInfo.contractDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">合同生效日期：</label></td>
			<td class="width-35">
				<fmt:formatDate value="${workFullManage.workContractInfo.effectiveDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
			</td>
			<td class="width-15 active"><label class="pull-right">合同终止日期：</label></td>
			<td class="width-35">
				<fmt:formatDate value="${workFullManage.workContractInfo.closingDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">客户名称：</label></td>
			<td class="width-35">
				${workFullManage.workContractInfo.client.name}
			</td>
			<td class="width-15 active"><label class="pull-right">合同类型：</label></td>
			<td class="width-35">
				${fns:getDictLabel(workFullManage.workContractInfo.contractType, 'contractType', '')}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">合同编号：</label></td>
			<td class="width-35">
				${workFullManage.workContractInfo.contractNum}
			</td>
			<td class="width-15 active"><label class="pull-right">合同金额(元)：</label></td>
			<td class="width-35">
				${workFullManage.workContractInfo.contractPrice}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right"> 创建人：</label></td>
			<td class="width-35">
				${workFullManage.workContractInfo.createName}
			</td>
			<td class="width-15 active"><label class="pull-right">合同特别条款：</label></td>
			<td class="width-35" >
				${workFullManage.workContractInfo.contractSpecial}
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="pull-right">合同资料：</label></td>
			<td colspan="3">
				<table class="table table-striped table-bordered table-condensed">
					<thead>
					<tr>
						<th>文件名称</th>
						<th>上传时间</th>
						<th>上传人</th>
						<th width="100">操作</th>
					</tr>
					</thead>
					<tbody id="workContractAnnexList">
					<c:choose>
						<c:when test="${not empty workFullManage.workContractInfo.workAttachments}">
							<c:forEach items="${workFullManage.workContractInfo.workAttachments}" var="workContractAnnexList" varStatus="status">
								<c:choose>
									<c:when test="${fn:containsIgnoreCase(workContractAnnexList.name,'jpg')
														   or fn:containsIgnoreCase(workContractAnnexList.name,'png')
														   or fn:containsIgnoreCase(workContractAnnexList.name,'gif')
														   or fn:containsIgnoreCase(workContractAnnexList.name,'jpeg')}">
										<td><img src="${workContractAnnexList.url}" width="50" height="50" alt="${workContractAnnexList.name}"/></td>
									</c:when>
									<c:otherwise>
										<c:choose>
											<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
												<td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','80%','80%','1')">${workClientAttachment.attachmentName}</a></td>
											</c:when>
											<c:otherwise>
												<td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','80%','80%')">${workClientAttachment.attachmentName}</a></td>
											</c:otherwise>
										</c:choose>
									</c:otherwise>
									<%--<c:otherwise>
                                        <c:choose>
                                            <c:when test="${fn:containsIgnoreCase(workContractAnnexList.name,'pdf')}">
                                                <td><a href="${workContractAnnexList.url}">${workContractAnnexList.name}</a></td>
                                            </c:when>
                                            <c:otherwise>
                                                <td><a href="javascript:void(0)" onclick="openDialogViewPre('预览','${ctx}/previewController/previewUrl?fileUrl=${workContractAnnexList.url}','80%','80%')">${workContractAnnexList.name}</a></td>
                                            </c:otherwise>
                                        </c:choose>
                                    </c:otherwise>--%>
								</c:choose>
								<td>
									<fmt:formatDate value="${workContractAnnexList.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
								</td>
								<td>${workContractAnnexList.createBy.name}</td>
							</c:forEach>
						</c:when>
						<c:otherwise>
							<tr>
								<td colspan="5" align="center">暂无数据</td>
							</tr>
						</c:otherwise>
					</c:choose>

					</tbody>
				</table>
			</td>
		</tr>
		</tbody>
	</table>
</div>
</div>
</div>
</body>
</html>