<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目管理管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>项目管理列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="#">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="#">选项1</a>
				</li>
				<li><a href="#">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workProject" action="${ctx}/caseinfo/caseInfo/projectlists" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
			<span>项目名称：</span>
				<form:input path="name" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>项目编号：</span>
				<form:input path="number" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>项目类型：</span>
			<form:input path="sort" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
		 </div>
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<%--<th  class="sort-column updateDate">update_date</th>
				<th  class="sort-column remarks">remarks</th>--%>
				<th  class="">项目名称</th>
				<th  class="">项目编号</th>
				<th  class="">项目类型</th>
					<th  class="">登记时间</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workProject">
			<tr>
				<td> <input type="checkbox" id="${workProject.id}" class="i-checks"></td>
				<%--<td> <input type="checkbox" id="${workProject.id}" class="i-checks"></td>
				<td><a  href="#" onclick="openDialogView('查看项目管理', '${ctx}/workproject/workProject/form?id=${workProject.id}','80%','80%')">
					<fmt:formatDate value="${workProject.updateDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
				</a></td>
				<td>
					${workProject.remarks}
				</td>--%>
				<td>
					${workProject.name}
				</td>
				<td>
					${workProject.number}
				</td>
				<td>
					${workProject.sort}
				</td>
				<td>
					<fmt:formatDate value="${workProject.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
				</td>
					<%--<td>
						<c:choose>
							<c:when test="${workProject.state == 1}">
								归档中
							</c:when>
							<c:when test="${workProject.state == 3}">
								已归档
							</c:when>
							<c:otherwise>
								未归档
							</c:otherwise>
						</c:choose>
					</td>--%>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>