<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>已审核项目登记管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        $(document).ready(function() {
            laydate.render({
                elem: '#beginDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
                ,type: 'datetime'
            });
            laydate.render({
                elem: '#endDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
                ,type: 'datetime'
            });
        });
	</script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-title" style="height: 70px;">
			<h5>
				<ul class="nav nav-tabs">
					<li ><a href="${ctx}/projectManagement/projectManagement/list">工程项目信息列表</a></li>
					<li><a href="${ctx}/projectManagement/projectManagement/workProjectManagementTodoList">待办任务</a></li>
					<li class="active"><a href="${ctx}/projectManagement/projectManagement/workProjectManagementHistoricList">已办任务</a></li>
				</ul>
			</h5>
			<%--<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>

			</div>--%>
		</div>

		<div class="ibox-content">
			<sys:message content="${message}"/>
			<!--查询条件-->
			<div class="row">
				<div class="col-sm-12">
					<form:form id="searchForm" modelAttribute="act" action="${ctx}/projectManagement/projectManagement/workProjectManagementHistoricList" method="get" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
						<div class="form-group">
							<label>创建时间：</label>
							<input id="beginDate"  name="beginDate"  type="text" readonly="readonly" maxlength="20" style="width:200px;" class="laydate-icondate form-control layer-date input-sm"
								   value="<fmt:formatDate value="${act.beginDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
							　--　
							<input id="endDate" name="endDate" type="text" readonly="readonly" maxlength="20" style="width:200px;" class="laydate-icondate form-control layer-date input-sm"
								   value="<fmt:formatDate value="${act.endDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
						</div>
					</form:form>
					<br/>
				</div>
			</div>
			<!-- 工具栏 -->
			<div class="row">
				<div class="col-sm-12">
					<div class="pull-left">
						<button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
					</div>
					<div class="pull-right">
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
					</div>
				</div>
			</div>
			<!-- 表格 -->
			<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
				<thead>
				<tr>
                    <th style="text-align: center;width: 10%">流程发起人</th>
					<th style="text-align: center;width: 10%">流程名称</th>
					<th style="text-align: center;width: 10%">流程版本</th>
					<th style="text-align: center;width: 15%">项目名称</th>
					<th style="text-align: center;width: 10%">项目编号</th>
					<th style="text-align: center;width: 10%">项目类型</th>
					<th style="text-align: center;width: 15%">备注信息</th>
					<th style="text-align: center;width: 15%">创建时间</th>
					<%--<th>操作</th>--%>
				</tr>
				</thead>
				<tbody>
				<c:choose>
				<c:when test="${not empty list}">
				<c:forEach items="${list}" var="workengineeringproject">
					<c:set var="task" value="${workengineeringproject.act.task}" />
					<c:set var="vars" value="${workengineeringproject.act.vars}" />
					<c:set var="procDef" value="${workengineeringproject.act.procDef}" />
					<c:set var="status" value="${workengineeringproject.act.status}" />
					<tr>
						<td>${workengineeringproject.act.vars.map.applyUserId}</td>
						<td>${procDef.name}</td>
						<td><b title='流程版本号'>V: ${procDef.version}</b></td>
						<td>
							<a  href="javascript:void(0)" onclick="openDialogView('查看工程项目信息', '${ctx}/workengineeringproject/workEngineeringProject/form?id=${workengineeringproject.id}&name=view','80%','80%')">
								<span title="${workengineeringproject.projectId.name}">${fns:abbr(workengineeringproject.projectId.name,30)}</span>
							</a>
						</td>
						<td>
							<a  href="javascript:void(0)" onclick="openDialogView('查看工程项目信息', '${ctx}/workengineeringproject/workEngineeringProject/form?id=${workengineeringproject.id}&name=view','80%','80%')">
								<span title="${workengineeringproject.projectId.name}">${fns:abbr(workengineeringproject.projectId.number,30)}</span>
							</a>
						</td>
						<td>${fns:getMainDictLabel(workengineeringproject.businessType, 'business_type', '')}</td>
						<td>${workengineeringproject.remarks}</td>
						<td><fmt:formatDate value="${workengineeringproject.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
						<%--<td>
							</td>--%>
					</tr>
				</c:forEach>
				</c:when>
					<c:otherwise>
						<tr>
							<td colspan="15" align="center">
								暂无数据
							</td>
						</tr>
					</c:otherwise>
				</c:choose>
				</tbody>
			</table>
			<!-- 分页代码 -->
			<table:page page="${page}"></table:page>
			<br/>
			<br/>
		</div>
		<td>${act.vars.map.applyUserId}</td>
	</div>
</div>
</body>
</html>