<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>员工通讯录</title>
	<meta name="decorator" content="default"/>
    <style>
        body{
            background-color:transparent;
            filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
            color:#ffffff;
            background-color:rgba(255,255,255,0);
            height:100%;
        }
    </style>
    <script type="text/javascript">
        $(document).ready(function() {
            $("#cus_name").show();
            $("#cus_name").siblings().hide();
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });
            laydate.render({
                elem: '#beginEntryDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            laydate.render({
                elem: '#endEntryDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });

        });

        function openDialog(title,url,width,height,target) {
            if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
                width = 'auto';
                height = 'auto';
            } else {//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url,
                btn: ["提交","关闭"],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示

                    if(iframeWin.contentWindow.doSubmit(index) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn2: function (index) {

                }
            });
        }

        function setParentInfo(ids,names,nos,salarys){
            return;
        }
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
    <sys:message content="${message}"/>
    <div class="layui-row">
        <div class="full-width fl">
            <div class="contentShadow layui-row" id="queryDiv">
            <form:form id="searchForm" modelAttribute="workStaffBasicInfo" action="${ctx}/workstaff/workStaffBasicInfo/addressbook" method="post" class="form-inline">
                <input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
                <input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
                <table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
                <div class="commonQuery">
                    <div class="layui-item query athird">
                        <label class="layui-form-label">姓    名：</label>
                        <div class="layui-input-block">
                            <form:input path="name" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
                        </div>
                    </div>
                    <div class="layui-item query athird">
                        <label class="layui-form-label">部门：</label>
                        <div class="layui-input-block with-icon">
                            <sys:treeselect id="office" name="office.id" value="${workStaffBasicInfo.office.id}" labelName="office.name" labelValue="${workStaffBasicInfo.office.name}"
                                            title="部门" url="/sys/office/treeData?type=2" cssClass="form-control layui-input required" notAllowSelectParent="true" isAll="true"/>
                        </div>
                    </div>
                    <div class="layui-item athird fr">
                        <div class="input-group">
                            <a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
                            <button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
                            <button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
                        </div>
                    </div>
                    <div style="    clear:both;"></div>
                </div>
                <div id="moresees" style="clear:both;display:none;">
                    <div class="layui-item query athird">
                        <label class="layui-form-label">工    号：</label>
                        <div class="layui-input-block">
                            <form:input path="no" htmlEscape="false" maxlength="10"  class=" form-control layui-input"/>
                        </div>
                    </div>
                    <div class="layui-item query athird">
                        <label class="layui-form-label">移动电话：</label>
                        <div class="layui-input-block">
                            <form:input path="mobile" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
                        </div>
                    </div>
                    <%--<div class="layui-item query athird">--%>
                        <%--<label class="layui-form-label">部门：</label>--%>
                        <%--<div class="layui-input-block with-icon">--%>
                            <%--<sys:treeselect id="office" name="office.id" value="${workStaffBasicInfo.office.id}" labelName="office.name" labelValue="${workStaffBasicInfo.office.name}"--%>
                                            <%--title="部门" url="/sys/office/treeData?type=2" cssClass="form-control layui-input required" notAllowSelectParent="true"/>--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <div class="layui-item query athird">
                        <label class="layui-form-label">职级：</label>
                        <div class="layui-input-block with-icon">
                            <sys:treeselectJobGrade id="jobGrade" name="jobGrade.id" value="${workStaffBasicInfo.jobGrade.id}" labelName="jobGrade.name" labelValue="${workStaffBasicInfo.jobGrade.name}"
                                                    title="职级类型" url="/workjobgrade/workJobGrade/treeData"  cssClass="form-control layui-input" allowClear="true" notAllowSelectParent="true"/>
                        </div>
                    </div>
                    <div class="layui-item query athird">
                        <label class="layui-form-label">员工状态：</label>
                        <div class="layui-input-block">
                            <form:select path="status" class="form-control simple-select required">
                                <form:option value="" label=""/>
                                <form:options items="${fns:getDictList('staff_status')}" itemLabel="label" itemValue="label" htmlEscape="false"/>
                            </form:select>
                        </div>
                    </div>
                    <%--<div class="layui-item query athird">--%>
                        <%--<label class="layui-form-label">入职日期：</label>--%>
                        <%--<div class="layui-input-block">--%>
                            <%--<input id="beginEntryDate" name="beginEntryDate" type="text" placeholder="开始时间" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"--%>
                                   <%--value="<fmt:formatDate value="${workStaffBasicInfo.beginEntryDate}" pattern="yyyy-MM-dd"/>"/>--%>
                            <%--</input>--%>
                            <%--<span class="group-sep">-</span>--%>
                            <%--<input id="endEntryDate" name="endEntryDate" type="text" placeholder="结束时间" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"--%>
                                   <%--value="<fmt:formatDate value="${workStaffBasicInfo.endEntryDate}" pattern="yyyy-MM-dd"/>"/>--%>
                            <%--</input>--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <%--<div class="layui-item query athird">--%>
                        <%--<label class="layui-form-label">操作：</label>--%>

                    <%--</div>--%>
                </div>
            </form:form>
	        </div>
	    </div>

        <div class="full-width fl">
            <div class="contentShadow layui-form contentDetails">
                <div class="nav-btns">
                    <%--<shiro:hasPermission name="workstaff:workStaffBasicInfo:add">--%>
                        <%--<table:addRow url="${ctx}/workstaff/workStaffBasicInfo/form" title="员工信息"></table:addRow><!-- 增加按钮 -->--%>
                    <%--</shiro:hasPermission>--%>
                    <button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
                    <div style="clear: both;"></div>
                </div>
                <table class="oa-table layui-table" id="contentTable"></table>

                <!-- 分页代码 -->
                <table:page page="${page}"></table:page>
                <div style="clear: both;"></div>
            </div>
        </div>
    </div>
    <div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                {field:'index',align:'center', title: '序号',width:40}
                ,{field:'no',align:'center', title: '工号',minWidth:100,templet:function(d){
                        var xml = "<a class=\"attention-info\" href=\"javascript:void(0);\" onclick=\"openDialogView('查看员工信息', '${ctx}/workstaff/workStaffBasicInfo/addressbookview?id="+d.id+"','95%','95%')\">" +
                            "<span title=" + d.no + ">" + d.no + "</span></a>";
                        return xml;
                    }}
                ,{field:'name',align:'center', title: '姓名',minWidth:100,templet:function(d){
                    var xml = "<a class=\"attention-info\" href=\"javascript:void(0);\" onclick=\"openDialogView('查看员工信息', '${ctx}/workstaff/workStaffBasicInfo/addressbookview?id="+d.id+"','95%','95%')\">" +
                        "<span title=" + d.name + ">" + d.name + "</span></a>";
                    return xml;
                }}
                // ,{field:'idCard',align:'center', title: '身份证号码',minWidth:150}
                ,{field:'mobile',align:'center', title: '移动电话', minWidth:100}
                ,{field:'office',align:'center', title: '部门', minWidth:100}
                // ,{field:'role',align:'center', title: '岗位', minWidth:100}
                ,{field:'jobGrade',align:'center', title: '职级', minWidth:100}
                ,{field:'status',align:'center', title: '员工状态', minWidth:80}
                // ,{field:'entryDate', align:'center',sort:true,title: '入职日期',width:100}
                <%--,{field:'op',align:'center',title:"操作",width:130,templet:function(d){--%>
                        <%--////对操作进行初始化--%>
                        <%--var xml = "";--%>

                        <%--if(d.canedit != undefined && d.canedit == "1")--%>
                            <%--xml +="<a href=\"javascript:void(0)\" onclick=\"openDialog('修改', '${ctx}/workstaff/workStaffBasicInfo/form?id="+ d.id + "','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";--%>

                        <%--if(d.candelete != undefined && d.candelete == "1")--%>
                            <%--xml +="<a href=\"${ctx}/workstaff/workStaffBasicInfo/delete?id=" + d.id + "\" onclick=\"return confirmx('确认要删除信息吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 删除</a>";--%>
                        <%--return xml;--%>
                    <%--}}--%>
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workStaffBasicInfo" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"id":"${workStaffBasicInfo.id}"
                    <%--,"role":"${workStaffBasicInfo.roleName}"--%>
                    ,"no":"<c:out value="${workStaffBasicInfo.no}" escapeXml="true"/>"
                    ,"name":"<c:out value="${workStaffBasicInfo.name}" escapeXml="false"/>"
                    <%--,"idCard":"<c:out value="${workStaffBasicInfo.idCard}" escapeXml="true"/>"--%>
                    ,'mobile':"<c:out value="${workStaffBasicInfo.mobile}" escapeXml="true"/>"
                    ,'office':"<c:out value="${workStaffBasicInfo.office.name}" escapeXml="true"/>"
                    ,'jobGrade':"<c:out value="${workStaffBasicInfo.jobGrade.name}" escapeXml="true"/>"
                    ,'status':"<c:out value="${workStaffBasicInfo.status}" escapeXml="true"/>"
                    <%--,"entryDate":"<fmt:formatDate value="${workStaffBasicInfo.entryDate}" pattern="yyyy-MM-dd"/>"--%>
                    <%--<shiro:hasPermission name="workstaff:workStaffBasicInfo:edit">,"canedit":"1"</shiro:hasPermission>--%>
                    <%--<shiro:hasPermission name="workstaff:workStaffBasicInfo:del">,"candelete":"1"</shiro:hasPermission>--%>
                }
                </c:forEach>
                </c:if>
            ]
        });

    })

    resizeListTable(130);/*消除由于有竖向滚动条造成table出现横向滚动条*/
    $("a").on("click",addLinkVisied);
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>